﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable across all of the CAP services.</title>

<!-- VARIABLES -->
<let
		name="RP.Identifier.TFN"
		value="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" />

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CAS.400041
    
            IFCOUNT(CONTEXT(RP.Y0)) >1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CAS.400041" diagnostics="DVR.ATO.CAS.400041" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"></assert>
<!--
        Rule ID: VR.ATO.CAS.400042
    
        IFCOUNT(CONTEXT(RP.Y0-1)) >1
                RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.CAS.400042" diagnostics="DVR.ATO.CAS.400042" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.GEN.000199
            
            IF period.startDate = NULLORBLANK WHERE CONTEXT(ALL)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000201
        
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate, ./xbrli:endDate)]) = 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.000208
    
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
         -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>
<!--
            Rule ID: VR.ATO.GEN.000237
        
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" subject="xbrli:context/xbrli:period/xbrli:endDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000240
        
            IF context.id = NULLORBLANK
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.001019
        
            IF RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty"
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'ReportingParty'))]) = 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.410113
        
            IF RP:entity.identifier.TFN = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113" subject="xbrli:context" test="xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier and
                    count(xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[(@scheme != 'http://www.ato.gov.au/tfn') or string-length(normalize-space(.)) = 0]) = 0 "></assert>
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.001023

            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" subject="xbrli:context" test="xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1') and ./xbrli:segment/xbrldi:explicitMember[contains(., 'ReportingParty')]]">

<!--
            Rule ID: VR.ATO.GEN.410113
    
            IF RP:entity.identifier.TFN = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.0" subject="xbrli:identifier" test="string-length(normalize-space(
                        xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0"></assert>
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.001021
        
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" subject="xbrli:entity/xbrli:identifier" test="count(xbrli:entity/xbrli:identifier[not(Exslt.ExsltStrings:lowercase(@scheme)='http://www.ato.gov.au/tfn')]) = 0"></assert>
<!--
            Rule ID: VR.ATO.CAS.400009
    
            IF RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> NULLORBLANK AND
            ((RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> ""RelPrdDrtn.02.01:Y0"") OR (RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> ""RelPrdDrtn.02.01:Y0Minus1""))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CAS.400009" diagnostics="DVR.ATO.CAS.400009" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$')
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')) ]) = 0"></assert>
</rule>
</pattern>