﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:date="http://exslt.org/dates-and-times" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings" xmlns:common="http://exslt.org/common" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:service="http://sbr.gov.au/comn/prelodge.02.service" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" xmlns:rvctc3.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:cgls.0002.prv="http://sbr.gov.au/rprt/ato/cgls/cgls.0002.private.02.00.module" xmlns:cgls.0002.lodge.request.02.00="http://sbr.gov.au/rprt/ato/cgls/cgls.0002.lodge.request.02.00.report" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data" xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M48" /><xsl:apply-templates select="/" mode="M50" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the CGLS services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]                     ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="TRFR.Contexts" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Transferor$')]                     ]" /><xsl:variable name="TRFR.ContextIds" select="$TRFR.Contexts/@id" /><xsl:variable name="JE.Contexts" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]                     ]" /><xsl:variable name="JE.ContextIds" select="$JE.Contexts/@id" /><xsl:variable name="RP.COTP.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$')]) = 1]                     ]" /><xsl:variable name="RP.COTP.ContextId" select="$RP.COTP.Context/@id" /><xsl:variable name="RP.COTF.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$')]) = 1]                     ]" /><xsl:variable name="RP.COTF.ContextId" select="$RP.COTF.Context/@id" /><xsl:variable name="RP.COTT.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') and regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$')]) = 1]                     ]" /><xsl:variable name="RP.COTT.ContextId" select="$RP.COTT.Context/@id" /><xsl:variable name="RP.GRP.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and regexp:test(., '^LossGenSource\.\d\d\.\d\d:Group$')]) = 1]                     ]" /><xsl:variable name="RP.GRP.ContextId" select="$RP.GRP.Context/@id" /><xsl:variable name="RP.TRFD.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and regexp:test(., '^LossGenSource\.\d\d\.\d\d:Transferred$')]) = 1]                     ]" /><xsl:variable name="RP.TRFD.ContextId" select="$RP.TRFD.Context/@id" /><xsl:variable name="RP.TOT.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') and regexp:test(., '^LossGenSource\.\d\d\.\d\d:Total$')]) = 1]                     ]" /><xsl:variable name="RP.TOT.ContextId" select="$RP.TOT.Context/@id" /><xsl:variable name="RP.Y0.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]                     ]" /><xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id" /><xsl:variable name="RP.Y0-1.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]                     ]" /><xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id" /><xsl:variable name="RP.Y0-2.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]                     ]" /><xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id" /><xsl:variable name="RP.Y0-3.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]                     ]" /><xsl:variable name="RP.Y0-3.ContextId" select="$RP.Y0-3.Context/@id" /><xsl:variable name="RP.Y0-4P.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4Plus$')]) = 1]                     ]" /><xsl:variable name="RP.Y0-4P.ContextId" select="$RP.Y0-4P.Context/@id" /><xsl:variable name="RP.INTI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:InterestIncome$')]) = 1]                     ]" /><xsl:variable name="RP.INTI.ContextId" select="$RP.INTI.Context/@id" /><xsl:variable name="RP.PASSI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:ModifiedPassiveIncome$')]) = 1]                     ]" /><xsl:variable name="RP.PASSI.ContextId" select="$RP.PASSI.Context/@id" /><xsl:variable name="RP.OFFI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:OffshoreBankingIncome$')]) = 1]                     ]" /><xsl:variable name="RP.OFFI.ContextId" select="$RP.OFFI.Context/@id" /><xsl:variable name="RP.ALLI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                      and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                     and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:AllOtherForeignSourceIncome$')]) = 1]                     ]" /><xsl:variable name="RP.ALLI.ContextId" select="$RP.ALLI.Context/@id" /><xsl:variable name="RP.Identifier.TFN" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                     and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/                     ../../xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" /><xsl:template match="text()" priority="-1" mode="M48" /><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="@*|*" mode="M48" /></xsl:template>

<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M50">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                          (number(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])                           &gt; 0                           or                           number(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])                           &gt; 0                           or                           number(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])                           &gt; 0                           or                           number(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])                           &gt; 0)                          and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                                                             or                                 number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                                                             or                              number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')])                              = 0                           )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                                                             or                              number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')])                              = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                                                             or                                  number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')])                              = 0                          )                           and                          (                                  count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1')])                                 = 0                                                             or                              number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1')])                              = 0                          )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404000</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             sum(common:node-set(                    rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                          !=                             sum(common:node-set(                             rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                   number(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                            &gt; 0                         and                         (                           count(rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])                            = 0                         )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                           count(rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])                         &gt; 0                             and                            (                                 count(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                                                            or                                number(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                         )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                            sum(common:node-set(                            rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]))                            &gt;                            sum(common:node-set(                            rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                            count(rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                            &gt; 0                            and                            (                                sum(common:node-set(                                rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                                &gt;                                sum(common:node-set(                                rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                            )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404005</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.Utilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (count(rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and number(normalize-space(.)) &gt; 0 ]) &gt; 0                              or                              count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and number(normalize-space(.)) &gt; 0 ]) &gt; 0)                             and                             count(rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId ])                             = 0                                                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             count($TRFR.ContextIds) = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             sum(common:node-set(                    rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                          !=                             sum(common:node-set(                             rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                sum(common:node-set(                                rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                                &gt;                                sum(common:node-set(                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404012</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and                             (                                sum(common:node-set(                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                                !=                                sum(common:node-set(                                                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             sum(common:node-set(                    rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                          !=                             sum(common:node-set(                             rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404014</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.UtilisedNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                          not                          (                            number(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                            &gt; 0                            and                            (                               count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])                               = 0                            )                             )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404015</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.UtilisedNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                          not                          (                            count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])                            &gt; 0                            and                            (                                count(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                                                            or                                number(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])                                = 0                            )                             )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404016</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.UtilisedNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                            sum(common:node-set(                            rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]))                            &gt;                            sum(common:node-set(                            rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.UtilisedNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                sum(common:node-set(                                rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                                &gt;                                sum(common:node-set(                                rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404018</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.UtilisedNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             sum(common:node-set(                    rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|                          rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))                          !=                             sum(common:node-set(                             rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404019</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt; 0                             and                             (                                sum(common:node-set(                                rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                                &gt;                                sum(common:node-set(                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                      not                      (                             rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                             and                             count($JE.ContextIds) = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404022</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                             and                             (count($JE.ContextIds) &gt; 0                              or                              count(rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0)                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404023</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                             and                             (                                sum(common:node-set(                                rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                ))                                &gt;                                sum(common:node-set(                                rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                ))                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404145</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                              rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                             and                             (                                round(sum(common:node-set(                                rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                )) * 100)                                !=                                (                                    round(sum(common:node-set(                                    rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )) * 100)                                    -                                    round(sum(common:node-set(                                    rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )) * 100)                                     +                                    round(sum(common:node-set(                                    rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                         )) * 100)                                    -                                    round(sum(common:node-set(                                    rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                                    rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                    )) * 100)                                           )                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404146</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[                         not(@i:nil='true' or @i:nil='1')                          and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                         xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                          xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                         and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                         and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Transferor$')]                         ]" priority="1003" mode="M50"><xsl:variable name="This.TRFR.ContextId" select="./@id" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             ((number(../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              number(../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              &gt; 1.000)                              or                             ((number(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              number(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              &gt; 1.000)                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(                             ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(                             ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404037</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(                             ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(                             ../rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404049</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(                             ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                             and                        count(../rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                          = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404050</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(                             ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) = 0                             and                             count(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                             &gt; 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404051</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             count(                             ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[                             not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]                             ) &gt; 0                             and                             count(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])                             = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404052</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[                         not(@i:nil='true' or @i:nil='1')                          and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                         xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                          xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                         and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                         and regexp:test(., '^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]                         ]" priority="1002" mode="M50"><xsl:variable name="This.JE.ContextId" select="./@id" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         count(                         ../rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[                         not(@i:nil='true' or @i:nil='1') and @contextRef = $This.JE.ContextId]                         ) &gt; 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404057</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M50">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (number(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              number(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404055</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M50">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not                         (                             (number(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div                              number(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))                              = 0                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CGLS.404056</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template><xsl:template match="text()" priority="-1" mode="M50" /><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template></xsl:stylesheet>