﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.000208

            IF COUNT(RP) <> 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" 
                test="count($RP.Context) = 1"/>
        
        <!--
            Rule ID: VR.ATO.GEN.000226

            IF COUNT(INT) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.000226" diagnostics="DVR.ATO.GEN.000226" 
                test="count($INT.Context) &lt;= 1"/>
        
        <!--
            Rule ID: VR.ATO.GEN.410113 
            
            IF (RP:entity.identifier.TFN) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.1" 
                test="
                        not
                        (
                          xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and
                          not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                              xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                              xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                              
                        )"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428251

            IF COUNT(RP.Y0) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428251" diagnostics="DVR.ATO.CTR.428251" 
                test="count($RP.Y0.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428252

            IF COUNT(RP.Y0-) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428252" diagnostics="DVR.ATO.CTR.428252" 
                test="count($RP.Y0-.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428253

            IF COUNT(RP.Y0-1) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428253" diagnostics="DVR.ATO.CTR.428253" 
                test="count($RP.Y0-1.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428254

            IF COUNT(RP.TOFA) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428254" diagnostics="DVR.ATO.CTR.428254" 
                test="count($RP.TOFA.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428255

            IF COUNT(RP.JAUS) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428255" diagnostics="DVR.ATO.CTR.428255" 
                test="count($RP.JAUS.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428256

            IF COUNT(RP.JFOREIGN) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428256" diagnostics="DVR.ATO.CTR.428256" 
                test="count($RP.JFOREIGN.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428259

            IF COUNT(RP.CFCLC) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428259" diagnostics="DVR.ATO.CTR.428259" 
                test="count($RP.CFCLC.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428260

            IF COUNT(RP.CFC404) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428260" diagnostics="DVR.ATO.CTR.428260" 
                test="count($RP.CFC404.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428261

            IF COUNT(RP.CFCUC) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428261" diagnostics="DVR.ATO.CTR.428261"
                test="count($RP.CFCUC.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428262

            IF COUNT(CONTEXT(RPI.Opening)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428262" diagnostics="DVR.ATO.CTR.428262"
                test="count($RPI.Opening.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428263

            IF COUNT(CONTEXT(RPI.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428263" diagnostics="DVR.ATO.CTR.428263"
                test="count($RPI.Closing.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428264

            IF COUNT(RP.CMPLY) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428264" diagnostics="DVR.ATO.CTR.428264"
                test="count($RP.CMPLY.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428265

            IF COUNT(RP.ORD) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428265" diagnostics="DVR.ATO.CTR.428265" 
                test="count($RP.ORD.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.GEN.001026

            IF (RP:entity.identifier.TFN = NULLORBLANK) AND (INT:entity.identifier.ABN = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001026" diagnostics="DVR.ATO.GEN.001026" 
                test="
                        not
                        (
                            count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                            = 0
                            and
                            count(xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0])
                            = 0
                        )"/>
    </rule>

    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
        <!--
          Rule ID: VR.ATO.GEN.001023
          
          IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
            RETURN VALIDATION MESSAGE
          END IF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" 
                test="(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                  $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                  or
                  not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"/>
        
        <!--
          Rule ID: VR.ATO.GEN.001024
          
          IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = RprtPyType.xx.xx:ReportingParty) AND (entity.identifier.scheme <> http://www.ato.gov.au/tfn)
            RETURN VALIDATION MESSAGE
          END IF
        -->
        <assert id="VR.ATO.GEN.001024" diagnostics="DVR.ATO.GEN.001024" 
                test="
                  not
                  (
                  xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                  xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                  )
                  or
                  xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
          Rule ID: VR.ATO.GEN.001025
          
          IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = RprtPyType.xx.xx:Intermediary) AND (entity.identifier.scheme <> http://www.ato.gov.au/abn)
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.GEN.001025" diagnostics="DVR.ATO.GEN.001025" 
                test="
                    not
                    (
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(Intermediary)$')]
                    )
                    or
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
          Rule ID: VR.ATO.CTR.428248
          
            IF (FinclArrngmtType.xx.xx:FinancialArrangementType <> NULLORBLANK) AND (FinclArrngmtType.xx.xx:FinancialArrangementType <> FinclArrngmtType.xx.xx:TOFA)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428248" diagnostics="DVR.ATO.CTR.428248"
                test="
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:(TOFA)$')]
                  or
                  not
                  (
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$')]
                  )"/>
        
        <!--
          Rule ID: VR.ATO.CTR.428249
          
          IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassification <> NULLORBLANK)
          AND (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassification <> 
          SET(CountryResCFCClass.xx.xx:ListedCountry, CountryResCFCClass.xx.xx:UnlistedCountry, CountryResCFCClass.xx.xx:Section404Country))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.CTR.428249" diagnostics="DVR.ATO.CTR.428249"
                test="
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:(ListedCountry|Section404Country|UnlistedCountry)$')]
                  or
                  not
                  (
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$')]
                  )"/>

      <!--IF (RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> NULLORBLANK)
      AND (RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> 
      SET("RelPrdDrtn.02.01:Y0", "RelPrdDrtn.02.01:Y0Minus", "RelPrdDrtn.02.01:Y0Minus1"))
      RETURN VALIDATION MESSAGE
      ENDIF-->

      <assert id="VR.ATO.CTR.428244" diagnostics="DVR.ATO.CTR.428244"
                test="
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.02\.01:(Y0|Y0Minus|Y0Minus1)$')]
                  or
                  not
                  (
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$')]
                  )"/>
      



      <!--
            Rule ID: VR.ATO.GEN.410197
            
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Intermediary") AND (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty")    
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410197" diagnostics="DVR.ATO.GEN.410197"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$')] 
                        and
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.02.03:(Intermediary|ReportingParty)$')])
                    )"/>
        
        <!-- 
          Rule ID: VR.ATO.CTR.428273

          IF period.startDate >= period.endDate WHERE NOT CONTEXT(SET(RPI.Opening, RPI.Closing))
           RETURN VALIDATION MESSAGE
          END IF
        -->
        <assert id="VR.ATO.CTR.428273" diagnostics="DVR.ATO.CTR.428273" 
                test="
                  (@id=$RPI.Opening.ContextId or @id=$RPI.Closing.ContextId) or
                  not
                  (
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                    
                    function:IsDate1GreaterOrEqualToDate2
                    (
                      xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                      xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )
                  )"/>
    </rule>

    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
          Rule ID: VR.ATO.GEN.428016

          IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
            RETURN VALIDATION MESSAGE
          ENDIF        
        -->
        <assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.0"
                test="not(../../@id = $RP.ContextId) or not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)"/>
    </rule>
</pattern>
