﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
    id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

    <rule
            context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ctr/ctr_0003/ctr.0003.lodge.request.02.00.report.xsd'] and not(@i:nil='true' or @i:nil='1')]">

        <!--IEE-->
        <let
                    name="RP.CTR.TFN"
                    value="$RP.CTR.Context/xbrli:entity/xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />

        <!--
            Rule ID: VR.ATO.CTR.428234	
            
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND 
                (COUNT(SCHEDULE = "IEE") > 0) AND 
                (RP:entity.identifier.TFN = ANY OCCURRENCE OF ([IEE50]))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
        -->
        <assert  id="VR.ATO.CTR.428234" diagnostics="DVR.ATO.CTR.428234" test="not(                    
                                count($RP.CTR.TFN) &gt; 0
                                and
                                count($IEE.Context) &gt; 0
                                and
                                count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.CTR.TFN]) &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428240	
            
            IF (CTR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
                (COUNT(SCHEDULE = "IEE") > 0) AND 
                (ANY OCCURRENCE OF ([IEE116] = "R") AND 
                ([IEE82] <> CTR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code 
            [IEE82] = IEE:RP:rvctc3.02.00:Elections.Revocation.Year
        -->

        <assert  id="VR.ATO.CTR.428240" diagnostics="DVR.ATO.CTR.428240" test="not(
                                count(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and 
                                count($IEE.Context) &gt; 0
                            and 
                                count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = 'R']) &gt; 0
                            and
                                $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                            
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428037
             
            IF ([CTR55] = NULL) AND (COUNT(SCHEDULE = "IEE") > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR55] = CTR:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
        -->

        <assert  id="VR.ATO.CTR.428037" diagnostics="DVR.ATO.CTR.428037" test="not(
                            count($CTR.Context/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and count($IEE.Context) &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428039	
            
            IF ([CTR56] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR56] = CTR:RP:rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
        -->

        <assert  id="VR.ATO.CTR.428039" diagnostics="DVR.ATO.CTR.428039" test="not(
                            $CTR.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = 'R'
                            and count($IEE.Context) =0
                        )"></assert>
        
        <!--CAS

            Rule ID: VR.ATO.CTR.428123
        
            IF ([CTR84] <= 100000) AND ([CTR99] <= 100000) AND
            (COUNT(SCHEDULE = "CAS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR99] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationAllowableDeduction.Amount
        -->

        <assert  id="VR.ATO.CTR.428123" diagnostics="DVR.ATO.CTR.428123" test="not(
                              sum(common:node-set(bafpr1.02.00:Expense.DepreciationAndAmortisation.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              &lt;=	100000
                              and 
                              sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              &lt;=	100000
                              and count($CAS.Context) = 1
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428124
        
            IF (([CTR168] = NULL) AND ([CTR169] = NULL) AND ([CTR170] = NULL)) AND
            (([CTR84] > 100000) OR ([CTR99] > 100000)) AND
            (COUNT(SCHEDULE = "CAS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR168] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [CTR169] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [CTR170] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR99] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.CTR.428124" diagnostics="DVR.ATO.CTR.428124" 
                test="not(
                         (	
                            count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                         )
                         and
                         (	
                             sum(common:node-set(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                             &gt; 	100000
                             or
                             sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                             &gt; 	100000
                         )	
                         and count($CAS.Context) = 0
                         )"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428128
        
            IF ([CTR255] > NULL) AND ([CTR256] > NULL) AND (COUNT(SCHEDULE = "CAS") = 1) AND
            (([CAS39] > 0 ) OR ([CAS40] > 0))
                RETURN VALDIATION MESSAGE
            ENDIF
            [CTR255] = CTR:RP.TOFA:bafpr1.xx.xx:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:bafpr1.xx.xx:Expense.DeductibleOther.Amount
            [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
            [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
        -->

        <assert  id="VR.ATO.CTR.428128" diagnostics="DVR.ATO.CTR.428128" test="not(
                           sum(common:node-set(bafpr1.02.04:Income.OtherTotal.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           &gt; 0
                           and
                           sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           &gt; 0   
                           and count($CAS.Context) = 1
                           and(
                                sum(common:node-set($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 	0
                                or
                                sum(common:node-set($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 	0
                           )	
                          )"></assert>
        <!--LS

            Rule Id: VR.ATO.CTR.428034	CMN.ATO.CTR.428034
            
            IF ([CTR53] = "1") AND (COUNT(SCHEDULE = "LS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428034" diagnostics="DVR.ATO.CTR.428034" test="not(
                                pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '1'
                                and 
                                count($LOS.Context) &gt; 0
                            )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428102	CMN.ATO.CTR.428102
            
            IF ([CTR53] = NULLORBLANK) AND 
                ([CTR117] > 100000) AND 
                (COUNT(SHEDULE = "LS") = 1) AND 
                ([LS15] = NULL) AND ([LS16] = NULL) AND ([LS17] = NULL) AND ([LS18] = NULL) AND ([LS19] = NULL) AND ([LS53] = NULL)
                
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
            [CTR117] = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount 
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS53] = LS:RP.Y0-5+:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
        -->

        <assert  id="VR.ATO.CTR.428102" diagnostics="DVR.ATO.CTR.428102" test="not(
                        count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        and
                        rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 100000
                        and
                        count($LOS.Context) &gt; 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        count($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                    )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428190	CMN.ATO.CTR.428190
        
            IF (COUNT(SCHEDULE = "LS") = 1) AND ([CTR175] <> [LS50])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR175] = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
            [LS50] = LS:RP.ALL:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428190" diagnostics="DVR.ATO.CTR.428190" test="not(
                        count($LOS.Context) &gt; 0
                        and 
                        sum(common:node-set(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                        != 
                        sum(common:node-set($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ALL.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                    )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428099	CMN.ATO.CTR.428099
        
            IF ([CTR175] + [CTR176] > 100000) AND
                ([CTR53] = NULLORBLANK) AND (COUNT(SCHEDULE = "LS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR175] = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
            [CTR176] = CTR:RP:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
       

       
       -->


        <assert  id="VR.ATO.CTR.428099" diagnostics="DVR.ATO.CTR.428099" test="not(
                            sum(common:node-set(
                                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )) &gt; 100000
                            and
                            count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            and 
                            count($LOS.Context) = 0
                        )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428191	CMN.ATO.CTR.428191
            
            IF (COUNT(SCHEDULE = "LS") = 1) AND ([CTR176] <> [LS52])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR176] = CTR:RP:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS52] = LS:RP.ALL:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->
         <assert  id="VR.ATO.CTR.428191" diagnostics="DVR.ATO.CTR.428191" test="not(
                                count($LOS.Context) &gt; 0
                                and 
                                sum(common:node-set(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                != 
                                sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ALL.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            )"></assert>

        <!--
            IF (([CTR58] > 0)  AND (COUNT(SCHEDULE = "NIPSS") = 0)) OR ((SUM[NIPSS9]) <> [CTR58])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR58] = CTR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert id="VR.ATO.CTR.428040" diagnostics="DVR.ATO.CTR.428040"
                test="
                    not
                    (
                        (                 
                            number(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                            and count($NIPSS.Context) = 0
                        )
                        or
                        (
                            sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            != 
                            sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                        )
                    )"/>

        <!--
            Rule Id: VR.ATO.CTR.428278
            Update Comment: CR425 - Rule has been split into 2 rules.
            VR.ATO.CTR.428040 has been trimed and VR.ATO.CTR.428278 has been added.

            IF (([CTR57] > 0) AND (COUNT(SCHEDULE = "NIPSS") = 0)) OR ((SUM[NIPSS4]) <> [CTR57])
            RETURN VALIDATION MESSAGE
            Validation message = CMN.ATO.CTR.428277
            
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert  id="VR.ATO.CTR.428278" diagnostics="DVR.ATO.CTR.428278" subject="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount"
                 test="
                     not
                     (
                         (        
                            number(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and count($NIPSS.Context) = 0
                         )
                         or
                         (
                            sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            != 
                            sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                         )
                     )"></assert>

        <!--
            Rule Id: VR.ATO.CTR.428109
        
            IF (([CTR57] > 0) AND (COUNT(SCHEDULE = "NIPSS") = 0))) OR
            ([CTR207] < SUM[NIPSS3])
             RETURN VALIDATION MESSAGE
            ENDIF

            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") IN TUPLE(ctr.0003.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
            [NIPSS5] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
        -->

        <assert  id="VR.ATO.CTR.428109" diagnostics="DVR.ATO.CTR.428109" test="not(
                              (
                               sum(common:node-set(//lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                               and count($NIPSS.Context) = 0
                              ) 
                              or 
                              (
                                (
                                
                                 //ctr.0003.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = 'DFRW'
                                 and
                                 //nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')] = 'DFRW'
                                )   
                                and
                                sum(common:node-set(//ctr.0003.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                &lt;
                                sum(common:node-set(//nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                              )
                          )"></assert>

        <!--
            Rule Id: VR.ATO.CTR.428101
        
            IF ([CTR208] > 0) AND (((COUNT(SCHEDULE = "NIPSS") = 0) 
            OR (SUM([NIPSS28]) <> [CTR208]))
             RETURN VALIDATION ERROR
            ENDIF
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0003.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
        -->
        <assert  id="VR.ATO.CTR.428101"
                 diagnostics="DVR.ATO.CTR.428101"
                 subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount"
                 test="not
                       ( 
                         (
                            sum(common:node-set(
                            //ctr.0003.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')] = 'DNOABN']
                            ))
                            &gt; 0
                            and count($NIPSS.Context) = 0
                          )
                          or
                          (
                            sum(common:node-set(
                            //nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']
                            ))
                            !=
                            sum(common:node-set(
                            //ctr.0003.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')] = 'DNOABN']
                            ))
                          )
                       )"></assert>

        <!--PSI

            Rule Id: VR.ATO.CTR.428097
        
            IF ([CTR177] = TRUE) AND (COUNT(SCHEDULE = "PSI") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR177] = CTR:RP:rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
        -->

        <assert  id="VR.ATO.CTR.428097" diagnostics="DVR.ATO.CTR.428097" test="not(
                            //rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and count($PSI.Context) = 0
                        )"></assert>

        <!--CGLS

            Rule Id: VR.ATO.CTR.428135
            
            IF (([CTR117] > 100000) AND ([CTR53] = "1") AND (COUNT(SCHEDULE = "CGLS") = 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR117] = CTR:RP:rvctc2.xx.xx:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428135" diagnostics="DVR.ATO.CTR.428135" test="
                        not(
                            number(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 100000
                            and
                            pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            = 1
                            and
                            count($CGLS.Context) = 0
                        )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428100
            
            IF ([CTR175] + [CTR176] > 100000) AND ([CTR53] = "1") AND (COUNT(SCHEDULE = "CGLS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR175] = CTR:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [CTR176] = CTR:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428100" diagnostics="DVR.ATO.CTR.428100" test="not(
                            sum(common:node-set(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 100000
                            and
                            pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            = 1
                            and
                            count($CGLS.Context) = 0
                        )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428187
            
            IF  (COUNT(SCHEDULE = "CGLS") = 1) AND ([CGLS34] > 0) AND ([CTR176] <> [CGLS34])
            RETURN VALIDATION MESSAGE
            ENDIF 
            [CGLS34] = CGLS:RP.TOT:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [CTR176] = CTR:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->
   
        <assert  id="VR.ATO.CTR.428187" diagnostics="DVR.ATO.CTR.428187" test="not(
                            count($CGLS.Context) = 1
                            and
                            $CGLS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0] 
                            and
                            (
                                sum(common:node-set(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                !=
                                sum(common:node-set($CGLS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>

        <!--CGTS

            Rule ID: VR.ATO.CTR.428027
            UpdateComment: CR245 - Changed [CTR54] to [CTR49]
            
            IF ([CTR49] <> SET("63100","62400")) AND 
            ([CTR52] <> "088") AND 
            ([CGTS7] <> NULL OR [CGTS85] <> NULL OR [CGTS10] <> NULL OR [CGTS13] <> NULL OR [CGTS16] <> NULL OR [CGTS88] <> NULL OR [CGTS19] <> NULL OR [CGTS82] <> NULL OR [CGTS22] <> NULL OR [CGTS25] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CGTS7] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS10] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS13] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.CGTAssetsOrEventsOther.Amount
            [CGTS16] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS88] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.HedgingFinancialArrangements.Amount
            [CGTS19] = CGTS.RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS22] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.RealEstate.Amount
            [CGTS25] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.CGTAssetsOrEventsOther.Amount
        -->

        <assert  id="VR.ATO.CTR.428027" diagnostics="DVR.ATO.CTR.428027" test="
                        not
                        (
                            not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(63100|62400)$')]) 
                            and
                            pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] != '088'                           
                            and
                            (	
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[@contextRef = $RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[@contextRef = $RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                $CGT.Context/rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[@contextRef = $RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                        )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428127
            
            IF (([CTR90] = TRUE) AND (COUNT(SCHEDULE = "CGTS") = 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR90] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->

        <assert  id="VR.ATO.CTR.428127" diagnostics="DVR.ATO.CTR.428127" test="not(
                            rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (. = 'true' or . = '1')]
                            and count($CGT.Context) = 0
                        )"></assert>
        <!--
            Rule Id: CMN.ATO.CTR.428096
            
            IF (([CTR91] > 10000) AND ([CTR53] <> "2") AND (COUNT(SCHEDULE = "CGTS") = 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428096" diagnostics="DVR.ATO.CTR.428096" test="not(
                            (number(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 10000)
                            and 
                            (pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '2')
                            and count($CGT.Context) = 0
                        )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428098
            
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CTR91] <> ([CGTS59] + [CGTS60] + [CGTS61]))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
        -->

        <assert  id="VR.ATO.CTR.428098" diagnostics="DVR.ATO.CTR.428098" test="not(count($CGT.Context) = 1
                                and
                    
                            (sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            != 
                            sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                             
                        )"></assert>

    

        <!--
            IF [CTR328] <> [RDTIS48] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
            [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount


        -->
    
    <assert id="VR.ATO.CTR.428398" diagnostics="DVR.ATO.CTR.428398"
        test="not(
                    (sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))!=
                    sum(common:node-set($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                    and count($RDTIS.Context) = 1                
                )" />


        <!--
            Rule Id: VR.ATO.CTR.428404
            
            IF (COUNT(SCHEDULE = ""RDTIS"") = 1) AND [RDTIS1] = TRUE AND [CTR298] <> TRUE
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR298] = CTR:RP:pyin.02.07:Report.Amendment.Indicator
            [RDTIS1] = RDTIS:RP:pyin.02.07:Report.Amendment.Indicator
        -->

        <assert  id="VR.ATO.CTR.428404" diagnostics="DVR.ATO.CTR.428404"
                 test="not(
                    count($RDTIS.Context) = 1
                    and $RDTIS.Context/pyin.02.07:Report.Amendment.Indicator[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                    and $CTR.Context/pyin.02.07:Report.Amendment.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                 
                    )"/>

        <!--
            IF ([CTR97] <> NULL OR [CTR328] <> NULL OR [CTR210] <> NULL) AND (COUNT(SCHEDULE = "RDTIS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR210] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
            [CTR328] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount

        -->

        <assert  id="VR.ATO.CTR.428354" diagnostics="DVR.ATO.CTR.428354"
                     test="not(
                    
                    (
                    count(gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    or
                    count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 0
                    or
                    count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 0
                    )
                    and
                    count($RDTIS.Context) = 0
                    )"/>

        <!--

            IF [CTR321] <> [RDTIS31] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR321] = CTR:RP:rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount
            [RDTIS31] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount

        -->

        <assert  id="VR.ATO.CTR.428400" diagnostics="DVR.ATO.CTR.428400"
                     test="not(
                 (sum(common:node-set(rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))!=(sum(common:node-set($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                 and
                 count($RDTIS.Context) = 1
                    )"/>
        
        <!-- 
            IF ([CTR113] > 0 OR [CTR194] = TRUE OR [CTR195] = TRUE OR [CTR196] = TRUE) 
                AND
                (COUNT(SCHEDULE = "IDS") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [CTR194] = CTR:RP:rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [CTR196] = CTR:RP:bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator        
        -->
        <assert id="VR.ATO.CTR.428352" diagnostics="DVR.ATO.CTR.428352"
                test="not(
                            (
                                number(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                                or
                                rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                                or
                                rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                                or
                                bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            )
                            and
                            (
                                count($IDS.Context) = 0
                            )
                        )"
                 />

        <!--
        
           IF [CTR113] = 0 AND ([CTR194] = FALSE AND [CTR195] = FALSE AND [CTR196] = FALSE) AND (COUNT(SCHEDULE = "IDS") = 1)
              RETURN VALIDATION MESSAGE
           ENDIF

           [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
           [CTR194] = CTR:RP:rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
           [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
           [CTR196] = CTR:RP:bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator

        -->
        <assert id="VR.ATO.CTR.428353" diagnostics="DVR.ATO.CTR.428353"
                test="not(
                        number(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        (
                            rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and
                            rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and
                            bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        )
                        and
                        (
                           count($IDS.Context) = 1
                        )
                    )"
                 />

        <!--

            IF [CTR97] <> [RDTIS3] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR97] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
            [RDTIS3] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
        -->


        <assert  id="VR.ATO.CTR.428355" diagnostics="DVR.ATO.CTR.428355"
               test="not(
                    ((sum(common:node-set(gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])))!=(sum(common:node-set($RDTIS.Context/bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                    and
                    count($RDTIS.Context) = 1
                )"/>

        <!--

            IF [CTR210] <> [RDTIS46] AND (COUNT(SCHEDULE = "RDTIS") = 1) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR210] = CTR:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
            [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount

          -->

        <assert  id="VR.ATO.CTR.428399" diagnostics="DVR.ATO.CTR.428399"
                         test="not(
                                        ((sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])))!=((sum(common:node-set($RDTIS.Context/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))))
                                        and
                                        count($RDTIS.Context) = 1 
                                   )"/>

        <!--
            IF ([CTR196] = FALSE) AND ([IDS220] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR196] = CTR:RP:bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [IDS220] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        -->
        <assert id="VR.ATO.CTR.428405" diagnostics="DVR.ATO.CTR.428405"
                test="not(
                        bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        and
                        $IDS.Context/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                     )" />

        <!--
            IF ([CTR57] = NULL OR [CTR57] = 0) AND 
            (
                ([CTR83] = NULL OR [CTR83] = 0)
                AND ([IDS22] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR83] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428406" diagnostics="DVR.ATO.CTR.428406"
                test="not(
                        (not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or
                         number(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                        and
                        (
                            (not(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or                         
                             number(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                            and
                            number($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0)
                        )   
                     )" />


        <!--
            IF ([CTR156] > 0) AND ([IDS191] > [CTR156])
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428414" diagnostics="DVR.ATO.CTR.428414"
                test="not( 
                        sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        (
                            sum(common:node-set($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 
                            sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        ))"/>

        <!--
            IF [CTR195] = FALSE AND ([IDS191] > 0 OR [IDS192] > 0 OR [IDS193] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF


            [CTR195] = CTR:RP:rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount

        -->
        <assert id="VR.ATO.CTR.428415" diagnostics="DVR.ATO.CTR.428415"
                test="not( 
                       rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                       and
                       (
                           number($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           or 
                           number($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           or 
                           number($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                       )
                     )"/>

        <!--
            IF ([CTR156] > 0 OR [CTR157] > 0 OR [CTR158] > 0 OR [CTR159] > 0) 
            AND ([IDS185] = NULL AND [IDS186] = NULL AND [IDS187] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->
        <assert id="VR.ATO.CTR.428416" diagnostics="DVR.ATO.CTR.428416"
                test="not( 
                        (
                            sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set($CTR.Context/rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )
                        and
                        (
                            not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"/>

        <!--
            IF ([CTR80] = NULL OR [CTR80] = 0 ) 
            AND 
            ([CTR81] = NULL OR [CTR81] = 0 ) 
            AND ([IDS207] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR80] = CTR:RP.JAUS:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.02:Expense.Operating.Interest.Amount
            [IDS207] = IDS:RP:rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428420" diagnostics="DVR.ATO.CTR.428420"
                test="not( 
                            sum(common:node-set(bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef = $RP.JAUS.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and
                            sum(common:node-set(bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and
                            sum(common:node-set($IDS.Context/rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )"/>

        <!--
            IF ([CTR253] <> TRUE) AND (COUNT(SCHEDULE = ""IDS"") = 1) AND
            ([IDS177] = TRUE )
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR253] = CTR:RP:rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator
        -->
        <assert id="VR.ATO.CTR.428423" diagnostics="DVR.ATO.CTR.428423"
                test="not( 
                           not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                           and
                           count($IDS.Context) = 1
                           and
                           $IDS.Context/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        )"/>
        <!--
            IF ([CTR113] <> NULL) AND ([IDS268] = FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->
        <assert id="VR.ATO.CTR.428425" diagnostics="DVR.ATO.CTR.428425"
                test="not(
                       gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and
                       $IDS.Context/bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                     )" />

        <!--
            IF ([CTR51] <> "03") AND ([IDS221] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR51] = CTR:RP:pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code
            [IDS221] = IDS:RP:bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator        
        -->
        <assert id="VR.ATO.CTR.428426" diagnostics="DVR.ATO.CTR.428426"
                test="not(
                        pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '03'
                        and 
                        $IDS.Context/bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                      )" />

        <!--
            IF ([CTR89] = FALSE) AND ([IDS208] = TRUE)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR89] = CTR:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
            [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
        -->
        <assert id="VR.ATO.CTR.428427" diagnostics="DVR.ATO.CTR.428427"
                test="not(
                       rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                       and
                       $IDS.Context/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                     )" />

        <!--
            IF ([CTR83] >  0) AND ([CTR83] < [IDS22])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR83] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428408" diagnostics="DVR.ATO.CTR.428408"
                test="not(
                            sum(common:node-set(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and
                            sum(common:node-set(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            &lt;
                            sum(common:node-set($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )"/>

        <!--
            IF [CTR198] = FALSE AND [IDS9] = TRUE
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR198] = CTR:RP:rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
            [IDS9] = IDS:RP:rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator
        -->
        <assert id="VR.ATO.CTR.428417" diagnostics="DVR.ATO.CTR.428417"
                test="not(
                           rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                           and
                           $IDS.Context/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                         )"/>

        <!-- 
            IF [CTR73] = NULL AND ([IDS17] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR73] = CTR:RP:bafpr2.02.00:Expense.Operating.CostOfSales.Amount
            [IDS17] = IDS:RP.TangibleRevenue:bafpr1.02.00:Expense.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428418" diagnostics="DVR.ATO.CTR.428418"
                test="not(
                        not(bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        number($IDS.Context/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.TangibleRevenue.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>

        <!--
            IF ([CTR59] = NULL OR [CTR59] = 0) AND [IDS18] > 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR59] = CTR:RP:bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount
            [IDS18] = IDS:RP.TangibleRevenue:bafpr1.02.12:Revenue.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428419" diagnostics="DVR.ATO.CTR.428419"
                test="not(
                        (
                            not(bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
                        )
                        and
                        number($IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.TangibleRevenue.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>

        <!-- 
            IF ([CTR95] = NULL OR [CTR95] = 0) AND ([IDS219] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR95] = CTR:RP:bafpr1.02.02:Income.AssessableOther.Amount
            [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
        -->
        <assert id="VR.ATO.CTR.428421" diagnostics="DVR.ATO.CTR.428421"
                test="not(
                        (
                            not(bafpr1.02.02:Income.AssessableOther.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            or 
                            bafpr1.02.02:Income.AssessableOther.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
                        )
                        and
                        number($IDS.Context/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>

        <!--
            IF ([CTR113] = NULL) AND ([IDS268] = TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR113] = CTR:RP:gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->
        <assert id="VR.ATO.CTR.428424" diagnostics="DVR.ATO.CTR.428424"
                test="not(
                        not(gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        $IDS.Context/bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                    )"/>

        <!--
            IF ([CTR65] = NULL OR [CTR65] = 0) AND ([IDS32] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR65] = CTR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [IDS32] = IDS:RP.RentLease:bafpr1.02.12:Revenue.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428410" diagnostics="DVR.ATO.CTR.428410"
                test="not(
                        sum(common:node-set(bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and
                        $IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.RentLease.IDS.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                      )"/>
        <!--
            IF ([CTR91] = NULL AND ([IDS209] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR91] = CTR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
        -->
        <assert id="VR.ATO.CTR.428422" diagnostics="DVR.ATO.CTR.428422"
                test="not( 
                            not(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])                    
                             and                   
                            $IDS.Context/rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                         
                        )"/>


<!--
        IF (([CTR78] = NULL OR [CTR78] = 0) AND ([CTR79] = NULL OR [CTR79] = 0)) AND ([IDS31] > 0) 
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [CTR78] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.Lease.Amount
        [CTR79] = CTR:RP:bafpr2.02.00:Expense.Operating.Rent.Amount
        [IDS31] = IDS:RP.RentLease:bafpr1.02.00:Expense.Total.Amount
-->

        <assert id="VR.ATO.CTR.428409" diagnostics="DVR.ATO.CTR.428409"
                        test="not( 
                            sum(common:node-set(bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef = $RP.JFOREIGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                         and
                            sum(common:node-set(bafpr2.02.00:Expense.Operating.Rent.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                         and
                            $IDS.Context/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.RentLease.IDS.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                        )"/>
        
        
        <!--         
             IF (([CTR57] = NULL OR [CTR57] = 0) AND ([CTR64] = NULL OR [CTR64] = 0)) AND ([IDS103] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR57] = CTR:RP:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR64] = CTR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
            [IDS103] = IDS:RP.OtherInterest:bafpr1.02.12:Revenue.Total.Amount
        -->
        <assert id="VR.ATO.CTR.428412" diagnostics="DVR.ATO.CTR.428412"
               test="not( 
                        (
                        (not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or number($CTR.Context/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount) = 0)
                        and  
                        (not(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or number($CTR.Context/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                        ) 
                        and 
                        (number($IDS.Context/bafpr1.02.12:Revenue.Total.Amount[@contextRef = $RP.OtherInterest.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                
                        )"/>



        <!--         
            IF ([CTR156] > 0 OR [CTR157] > 0 OR [CTR158] > 0 OR [CTR159] > 0) AND (([IDS191] + [IDS192] + [IDS193]) > ([CTR156] + [CTR157] + [CTR158] + [CTR159]))
               RETURN VALIDATION MESSAGE
            ENDIF


            [CTR156] = CTR:RP.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
            [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
            [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
            [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount 
        -->
        <assert id="VR.ATO.CTR.428413" diagnostics="DVR.ATO.CTR.428413"
               test="not( 
                        (
                            sum(common:node-set($CTR.Context/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set($CTR.Context/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set($CTR.Context/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set($CTR.Context/rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )
                        and(
                            (sum(common:node-set($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                            &gt;
                            (sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            |
                            rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            
                           )   
                        )"/>

    </rule>
</pattern>
