﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

    <rule
            context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ctr/ctr_0003/ctr.0003.lodge.request.02.00.report.xsd'] and not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule Id: VR.ATO.CTR.428016 CMN.ATO.GEN.001001
            
            IF ([CTR11] = NULLORBLANK) AND (COUNT(SCHEDULE = "TCS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR11] = CTR:RP:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        -->
        <assert  id="VR.ATO.CTR.428016" diagnostics="DVR.ATO.CTR.428016" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="not(
                        count(.//pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and  string-length(normalize-space(.)) != 0]) = 0
                        and
                        count($TCS.Context) &gt; 0
                    )"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428121 CMN.ATO.CTR.428121
            
            IF
            (
               (
                 [CTR49] <> SET("62100","62210","62220","62230","62290")
                 OR [CTR51] <> SET("2", "3")
               )
               AND
               (
                 [CTR49] <> SET("63100","63220")
               )
               AND
               (
                [CTR49] <> SET("62100","62210","62220","62230","62290","62300","62400","63210","63300","64110","64190","64200")
                OR
                [CTR57] + [CTR58] + [CTR59] + [CTR60] + [CTR61] + [CTR63] + [CTR64] + [CTR65] + [CTR66] + [CTR67] + [CTR68] + [CTR70] + [CTR252] + [CTR71]  < 250000000
               )
            )
            AND 
            ([CTR196] = TRUE) AND ([CTR53] <> "2") AND (COUNT(SCHEDULE = "TCS") = 0)
            
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR51] = CTR:RP:Residency.TaxPurposesOrganisationStatus.Code
            [CTR57] = CTR:RP:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR59] = CTR:RP:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR60] = CTR:RP:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR63] = CTR:RP:Income.ForestryManagedInvestmentScheme.Amount
            [CTR64] = CTR:RP:Income.Interest.Gross.Amount
            [CTR65] = CTR:RP:Income.RentLeasingHiringGross.Amount
            [CTR66] = CTR:RP:Income.DividendsTotal.Amount
            [CTR67] = CTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [CTR68] = CTR:RP:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [CTR70] = CTR:RP:Income.AssetRevaluationsUnrealisedGains.Amount
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR71] = CTR:RP:Income.OtherGross.Amount
            [CTR196] = CTR:RP:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
            [CTR53] = CTR:RP:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert  id="VR.ATO.CTR.428121" diagnostics="DVR.ATO.CTR.428121"
                 subject="bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator"
                 test="not(
                      (
                        pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(62100|62210|62220|62230|62290)$'))]
                        or
                        not(pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(02|03)$')])
                      )
                      and pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(63100|63220)$'))]
                      and
                      (
                       pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63210|63300|64110|64190|64200)$'))]
                       or
                       sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]|
                           lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]|
                           bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           ctr.0002.lodge.req.02.00:TrustDistributionIncome/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]|  
                           bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]|  
                           lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]| 
                           bafpr1.02.02:Income.OtherGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))  &lt; 250000000
                      )
                      and
                      (
                        count(bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]) != 0
                        and
                        not(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = '2'])
                        and
                        count($TCS.Context) = 0)
                      )"></assert>



        <!--
            S25A
            VR.ATO.CTR.428179
            VR.ATO.CTR.428180
            VR.ATO.CTR.428181
            VR.ATO.CTR.428321

            Rule Id: VR.ATO.CTR.428178
            
            IF(([CTR194] = FALSE) AND (COUNT(SCHEDULE ="S25A") = 1)) AND 
            ((ANY OCCURRENCE OF ([S25A5] <> NULLORBLANK OR [S25A6] > 0 OR [S25A7] <> NULLORBLANK OR [S25A8] <> NULLORBLANK OR [S25A9] <> NULLORBLANK) OR 
            ([S25A10] > 0) OR ([S25A11] > 0) OR ([S25A12] > 0) OR ([S25A13] > 0) OR 
            ([S25A14] > 0) OR ([S25A15] > 0)OR ([S25A16] > 0) OR ([S25A17] > 0)OR ([S25A18] > 0)OR ([S25A19] > 0)OR ([S25A20] > 0) OR ([S25A21] > 0) OR
            ([S25A22] > 0) OR ([S25A23] > 0) OR ([S25A24] > 0) OR ([S25A25] > 0) OR  ([S25A26] > 0) OR  ([S25A27] > 0) OR  ([S25A28] > 0) OR  ([S25A29] > 0) OR  
            ([S25A30] > 0) OR ([S25A31] > 0) OR ([S25A32] > 0) OR  ([S25A33] > 0) OR  ([S25A34] > 0) OR  ([S25A35] > 0) OR   
            ([S25A36] > 0) OR ([S25A37] > 0)OR ([S25A38] > 0)OR ([S25A39] > 0) OR ([S25A40] > 0) OR  ([S25A41] > 0) OR 
            ([S25A42] <> NULL) OR  ([S25A43] <> NULL) OR ([S25A44] <> NULLORBLANK) OR ([S25A45] <> NULLORBLANK) OR 
            (ANY OCCURRENCE OF ([S25A46] <> NULLORBLANK OR [S25A47] <> NULLORBLANK)) OR 
            ([S25A48] <> NULL) OR (ANY OCCURRENCE OF ([S25A49]) <> NULLORBLANK) OR ([S25A50] <> NULLORBLANK) OR 
            ([S25A51] <> NULL) OR ([S25A52] > 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR194] = CTR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A5] = S25A:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            [S25A6] = S25A:RP:bafot.xx.xx:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount
            IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
            [S25A7] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "1")
            IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A8] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "2")
            IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A9] = S25A:RP:pyde.xx.xx:AddressDetails.Country.Code
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "3")
            IN TUPLE(s25a.0001.lodge.req.xx.xx:ForeignLocations)
            [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
            [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
            [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
            [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
            [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:bafot.xx.xx:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:bafot.xx.xx:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:bafot.xx.xx:Miscellaneous.ArmsLengthPricingMethod.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
            [S25A47] = S25A:RP:bafot.xx.xx:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
            [S25A48] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
            IN TUPLE(s25a.0001.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethod)
            [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:bafot.xx.xx:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:bafot.xx.xx:Miscellaneous.NumberofRelatedParties.Count
        -->
        <assert  id="VR.ATO.CTR.428178" diagnostics="DVR.ATO.CTR.428178" test="
	                    not
	                    (
                            (
                    		    rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (.='false' or .='0')]
                                and
                                count($S25A.Context) = 1
                            )
                            and
	                        (	
	                            count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
                                count($S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='1' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                &gt; 0
	                            or
                                count($S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='2' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                &gt; 0
                                or
                                count($S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='3' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                &gt; 0
                                or
                                count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                &gt; 0
                                or
                                count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                                &gt; 0
                                or
	                            count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                            or
	                            count($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
	                            or
	                            count($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and number(.) &gt; 0])
	                            &gt; 0
                        )
                    )"></assert>

        <!--
        VR.ATO.CTR.428321
        
        IF (([CTR49] = SET("62100","62210","62220","62230","62290") AND [CTR51] = SET("02", "03")) 
        OR ([CTR49] = SET("63100","63220"))
        OR ([CTR49] = SET("62100","62210","62220","62230","62290","62300","62400","63210","63300","64110","64190","64200") AND [CTR57] + [CTR58] + [CTR59] + [CTR60] + [CTR61] + [CTR63] + [CTR64] + [CTR65] + [CTR66] + [CTR67] + [CTR68] + [CTR70] + [CTR252] + [CTR71]  >=250000000))
        AND ((COUNT(SCHEDULE = "S25A") > 0) OR (COUNT(SCHEDULE = "TCS" > 0)))
        RETURN VALIDATION MESSAGE
        ENDIF^^
        [CTR49] = CTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
        [CTR51] = CTR:RP:Residency.TaxPurposesOrganisationStatus.Code
        [CTR57] = CTR:RP:Remuneration.PaymentToForeignResidentGross.Amount
        [CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        [CTR59] = CTR:RP:Income.SaleOfGoodsAndServices.Other.Amount
        [CTR60] = CTR:RP:Income.PartnershipDistributionGross.Amount
        [CTR61] = CTR:RP:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0003.lodge.req.xx.xx:TrustDistributionIncome)
        [CTR63] = CTR:RP:Income.ForestryManagedInvestmentScheme.Amount
        [CTR64] = CTR:RP:Income.Interest.Gross.Amount
        [CTR65] = CTR:RP:Income.RentLeasingHiringGross.Amount
        [CTR66] = CTR:RP:Income.DividendsTotal.Amount
        [CTR67] = CTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
        [CTR68] = CTR:RP:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [CTR70] = CTR:RP:Income.AssetRevaluationsUnrealisedGains.Amount
        [CTR252] = CTR:RP.TOFA:Income.Total.Amount
        [CTR71] = CTR:RP:Income.OtherGross.Amount-->
        
        <assert id="VR.ATO.CTR.428321" diagnostics="DVR.ATO.CTR.428321" test="
                     not((
                     (pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(62100|62210|62220|62230|62290)$')]
                     and pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(02|03)$')])
                     or
                     (pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(63100|63220)$')])
                     or
                    (pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63210|63300|64110|64190|64200)$')]
                    and
                    (sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |ctr.0003.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]   
                    |bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    |gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]  
                    |bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.OtherGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))&gt;= 250000000))                    
                )
                and
                (
                (count($S25A.Context) &gt; 0) 
                or
                (count($TCS.Context) &gt; 0)
                )
                )"></assert>

        <!--
            Rule ID: VR.ATO.CTR.428179
            TT2011 Updated: Excludes those entities required to lodge IDS instead of S25A from the test.
            IF (
                 (
                    [CTR49] <> SET("62100","62210","62220","62230","62290")
                    OR [CTR51] <> SET("2", "3")
                 )
                 AND ([CTR49] <> SET("63100","63220"))
                 AND
                 (
                    [CTR49] <> SET("62100","62210","62220","62230","62290","62300","62400","63210","63300","64110","64190","64200")
                    OR [CTR57] + [CTR58] + [CTR59] + [CTR60] + [CTR61] + [CTR63] + [CTR64] + [CTR65] + [CTR66] + [CTR67] + [CTR68] + [CTR70] + [CTR252] + [CTR71]  < 250000000)
                 )
                 AND ([CTR194] = TRUE)
                 AND ([CTR53] <> "2")
                 AND (
                     (COUNT(SCHEDULE ="S25A") = 0)
                     OR 
                     (
                        ALL OCCURRENCES OF[S25A5] = NULLORBLANK
                        AND [S25A6] = NULL
                        AND [S25A7] = NULLORBLANK
                        AND [S25A8] = NULLORBLANK
                        AND [S25A9] = NULLORBLANK
                     )
                     AND ([S25A10] = NULL)
                     AND ([S25A11] = NULL)
                     AND ([S25A12] = NULL)
                     AND ([S25A13] = NULL)
                     AND ([S25A14] = NULL)
                     AND ([S25A15] = NULL)
                     AND ([S25A16] = NULL)
                     AND ([S25A17] = NULL)
                     AND ([S25A18] = NULL)
                     AND ([S25A19] = NULL)
                     AND ([S25A20] = NULL)
                     AND ([S25A21] = NULL)
                     AND ([S25A22] = NULL)
                     AND ([S25A23] = NULL)
                     AND ([S25A24] = NULL)
                     AND ([S25A25] = NULL)
                     AND ([S25A26] = NULL)
                     AND ([S25A27] = NULL)
                     AND ([S25A28] = NULL)
                     AND ([S25A29] = NULL)
                     AND ([S25A30] = NULL)
                     AND ([S25A32] = NULL)
                     AND ([S25A33] = NULL)
                     AND ([S25A34] = NULL)
                     AND ([S25A35] = NULL)
                     AND ([S25A36] = NULL)
                     AND ([S25A37] = NULL)
                     AND ([S25A38] = NULL)
                     AND ([S25A39] = NULL)
                     AND ([S25A40] = NULL)
                     AND ([S25A41] = NULL)
                     AND ([S25A42] = NULL)
                     AND ([S25A43] = NULL)
                     AND ([S25A44] = NULLORBLANK)
                     AND ([S25A45] = NULLORBLANK)
                     AND
                     (
                        ALL OCCURRENCES OF ([S25A46] = NULL AND [S25A47] = NULL)
                     )
                     AND ([S25A48] = NULL)
                     AND (ALL OCCURRENCES OF [S25A49] = NULL)
                     AND ([S25A50] = NULLORBLANK)
                     AND ([S25A51] = NULL)
                     AND ([S25A52] = NULL)
                    )
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR51] = CTR:RP:Residency.TaxPurposesOrganisationStatus.Code
            [CTR57] = CTR:RP:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR59] = CTR:RP:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR60] = CTR:RP:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0003.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR63] = CTR:RP:Income.ForestryManagedInvestmentScheme.Amount
            [CTR64] = CTR:RP:Income.Interest.Gross.Amount
            [CTR65] = CTR:RP:Income.RentLeasingHiringGross.Amount
            [CTR66] = CTR:RP:Income.DividendsTotal.Amount
            [CTR67] = CTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [CTR68] = CTR:RP:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [CTR70] = CTR:RP:Income.AssetRevaluationsUnrealisedGains.Amount
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR71] = CTR:RP:Income.OtherGross.Amount
            [CTR194] = CTR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [CTR53] = CTR:RP:OrganisationDetails.TaxConsolidationStatus.Code
            [S25A5] = S25A:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A6] = S25A:RP:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A7] = S25A:RP:AddressDetails.Country.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A8] = S25A:RP:AddressDetails.Country.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A9] = S25A:RP:AddressDetails.Country.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethod )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count
        -->

        <assert  id="VR.ATO.CTR.428179" diagnostics="DVR.ATO.CTR.428179"
                 subject="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator"
                 test="not(
                 (
                     not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290)$')] )
                     or not(pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(02|03)$')])
                 ) 
                 and not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(63100|63220)$')])
                 and(
                        not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63210|63300|64110|64190|64200)$')])
                        or
                        sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                ctr.0003.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                bafpr1.02.02:Income.OtherGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )) &lt; 250000000
                        )
                 and rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                 and not(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(2)$')])
                 and
                 (      count($S25A.Context)=0
                         or
                         (
                         count($S25A.Context/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId and string-length(normalize-space(.)) != 0]) = 0
                         and count($S25A.Context/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId]) = 0
                         and count($S25A.Context/s25a.0002.lodge.req.02.00:ForeignLocations[not(@i:nil='true' or @i:nil='1') and regexp:test(pyin.02.00:Report.ItemOrder.Number,'^(1|2|3)$')]/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId and string-length(normalize-space(.)) != 0]) = 0
                         and count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0 
                         and count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.ServicesOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Opening.S25A.ContextId] )=0
                         and count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Closing.S25A.ContextId])=0 
                         and count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Opening.S25A.ContextId])=0 
                         and count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Closing.S25A.ContextId])=0 
                         and count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Opening.S25A.ContextId])=0 
                         and count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Closing.S25A.ContextId])=0 
                         and count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Opening.S25A.ContextId] )=0
                         and count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Closing.S25A.ContextId])=0 
                         and count($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         and count($S25A.Context/bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.S25A.ContextId])=0
                         )
                       )  
                    )"/>


        <!--
            IF 
                (
                    (
                        [CTR49] <> SET("62100","62210","62220","62230","62290") OR 
                        [CTR51] <> SET("02", "03")
                    ) 
                    AND 
                    (
                        [CTR49] <> SET("63100","63220")
                    ) 
                    AND 
                    (
                        [CTR49] <> SET("62100","62210","62220","62230","62290","62300","62400","63210","63300","64110","64190","64200") OR 
                        [CTR57] + [CTR58] + [CTR59] + [CTR60] + [CTR61] + [CTR63] + [CTR64] + [CTR65] + [CTR66] + [CTR67] + [CTR68] + 
                        [CTR70] + [CTR252] + [CTR71] < 250000000
                    )
                ) 
                AND ([CTR195] = TRUE) 
                AND ([CTR53] <> "2") 
                AND 
                (
                    (COUNT(SCHEDULE ="S25A") = 0) OR 
                    (
                        ([S25A53] = NULL) AND ([S25A54] = NULL) AND ([S25A55] = NULL) AND ([S25A56] = NULL) AND ([S25A57] = NULL) AND 
                        ([S25A58] = NULL) AND ([S25A59] = NULL) AND ([S25A60] = NULL) AND ([S25A61] = NULL) AND ([S25A62] = NULL) AND 
                        ([S25A63] = NULL) AND ([S25A64] = NULL) AND ([S25A65] = NULL) AND ([S25A66] = NULL) AND ([S25A67] = NULL) AND 
                        ([S25A68] = NULL) AND ([S25A69] = NULL) AND ([S25A70] = NULL) AND ([S25A71] = NULL) AND ([S25A72] = NULL) AND 
                        ([S25A73] = NULL) AND ([S25A74] = NULL) AND ([S25A75] = NULL) AND ([S25A76] = NULL) AND ([S25A77] = NULL) AND 
                        ([S25A78] = NULL) AND ([S25A79] = NULL) AND ([S25A80] = NULL) AND ([S25A81] = NULL) AND ([S25A82] = NULL) AND 
                        ([S25A83] = NULL) AND ([S25A84] = NULL)
                    )
                )
                
                RETURN VALIDATION MESSAGE
                
            ENDIF

            [CTR57] = CTR:RP:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR59] = CTR:RP:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR60] = CTR:RP:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0003.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR63] = CTR:RP:Income.ForestryManagedInvestmentScheme.Amount
            [CTR64] = CTR:RP:Income.Interest.Gross.Amount
            [CTR65] = CTR:RP:Income.RentLeasingHiringGross.Amount
            [CTR66] = CTR:RP:Income.DividendsTotal.Amount
            [CTR67] = CTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [CTR68] = CTR:RP:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [CTR70] = CTR:RP:Income.AssetRevaluationsUnrealisedGains.Amount
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR71] = CTR:RP:Income.OtherGross.Amount
            [CTR195] = CTR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [CTR53] = CTR:RP:OrganisationDetails.TaxConsolidationStatus.Code
            [S25A53] = S25A:RP.Opening.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404andUnlisted:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A74] = S25A:RP:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount
            [S25A75] = S25A:RP:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
            [S25A76] = S25A:RP:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert  id="VR.ATO.CTR.428181" diagnostics="DVR.ATO.CTR.428181" subject="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator"
                 test="not(                       
                        (
                            pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(62100|62210|62220|62230|62290)$'))] 
                            or pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(02|03)$'))]
                        )                          
                        and 
                        (
                            not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(63100|63220)$')])
                        )
                        and
                        (
                            not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63210|63300|64110|64190|64200)$')]) 
                            or
                            sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                ctr.0003.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                                bafpr1.02.02:Income.OtherGross.Amount[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                )
                               ) &lt; 250000000
                        )
                        and
                        rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(2)$')])=0
                        and
                        (
                         count($S25A.Context) = 0
                         or
                         (
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and                            
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId  and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef = $RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            and
                            count($S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                         )
                        )
                    )"></assert>


        <!--
            Rule ID: VR.ATO.CTR.428189
        
            IF (([CTR83] <= 0) or ([CTR83] = NULL)) AND ((COUNT(SCHEDULE=""S25A"") >0) AND ([S25A14] > 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR83] = CTR:RP.JForeign:bafpr2.xx.xx:Expense.Operating.RoyaltiesTotal.Amount
            [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
        -->
        <assert  id="VR.ATO.CTR.428189" diagnostics="DVR.ATO.CTR.428189" test="not(
                                    (
                                        sum(common:node-set(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.JFOREIGN.CTR.ContextId])) &lt;= 0
                                        or count(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.JFOREIGN.CTR.ContextId])=0
                                    )
                                    and count($S25A.Context) &gt; 0
                                    and sum(common:node-set($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId])) &gt; 0)"></assert>

        <!--
            Rule Id: VR.ATO.CTR.428180
           
            IF [CTR195] = FALSE AND (COUNT(SCHEDULE = "S25A") = 1) AND
            (([S25A53] > 0) OR ([S25A54] > 0) OR ([S25A55] > 0) OR ([S25A56] > 0) OR ([S25A57] > 0) OR ([S25A58] > 0) OR 
            ([S25A59] > 0) OR ([S25A60] > 0) OR ([S25A61] > 0) OR ([S25A62] > 0) OR ([S25A63] > 0) OR ([S25A64] > 0) OR 
            ([S25A65] > 0) OR ([S25A66] > 0) OR ([S25A67] > 0) OR ([S25A68] > 0) OR ([S25A69] > 0) OR ([S25A70] > 0) OR ([S25A71] > 0) OR ([S25A72] > 0) OR ([S25A73] > 0) OR 
            ([S25A74] > 0) OR ([S25A75] > 0) OR  
            ([S25A76] <> NULL) OR ([S25A77] <> NULL) OR 
            ([S25A78] <> NULL) OR ([S25A79] <> NULL) OR 
            ([S25A80] <> NULL) OR ([S25A81] <> NULL) OR  
            ([S25A82] <> NULL) OR ([S25A83] <> NULL) OR 
            ([S25A84] <> NULL))
            RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR195] = CTR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404andUnlisted:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A74] = S25A:RP:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount
            [S25A75] = S25A:RP:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
            [S25A76] = S25A:RP:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert  id="VR.ATO.CTR.428180" diagnostics="DVR.ATO.CTR.428180" test="
                        not(
                            rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (.='false' or .='0')]
                            and
                            count($S25A.Context) = 1
                            and
                            (
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and (number(.) &gt; 0)]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                and
                                $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                $S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                     )"></assert>

    </rule>
</pattern>
