﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fitr/fitr_0002/fitr.0002.lodge.request.02.00.report.xsd']]">

        <!--
      Rule ID: VR.ATO.FITR.434033
      
      IF [FITR22] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 0)
      RETURN VALIDATION MESSAGE
      ENDIF
      [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
    -->
        <assert  id="VR.ATO.FITR.434033" diagnostics="DVR.ATO.FITR.434033"
                 test="
                  not
                  (
                     rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')]
                     and 
                     count($CGT.Context) = 0
                  )"></assert>

        <!--
      RULE: VR.ATO.FITR.434034
      
      IF [FITR23] > 10000 AND  (COUNT(SCHEDULE = "CGTS") = 0)
      RETURN VALIDATION MESSAGE
      ENDIF
      [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount-->

        <assert id="VR.ATO.FITR.434034" diagnostics="DVR.ATO.FITR.434034" test="not
              (    
                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 10000
                        and
                        (
                        count($CGT.Context) = 0
                        )                
              )"/>

        <!--
      Rule ID: VR.ATO.FITR.434036
      
      IF (COUNT(SCHEDULE = "CGTS") = 1) AND [FITR23] <> ([CGTS59] + [CGTS60] + [CGTS61])
      [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount
      [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
      [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
      [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
    -->
        <assert  id="VR.ATO.FITR.434036" diagnostics="DVR.ATO.FITR.434036"
                 test="
                  not
                  (
                   count($CGT.Context) = 1
                   and
                   (
                    round(sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )) * 100)
                    != 
                    round(sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )) * 100)
                   )
                  )"></assert>


        <!--
      Rule ID: VR.ATO.FITR.434044
      
      IF [FITR32] > 0 AND  AND (COUNT(SCHEDULE = "NIPSS") = 0) 
        RETURN VALIDATION MESSAGE
      ENDIF
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
    -->
        <assert  id="VR.ATO.FITR.434044" diagnostics="DVR.ATO.FITR.434044"
                 test="
                 not
                 (
                    number(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    count($NIPSS.Context) = 0
                 )"></assert>


        <!--
      Rule ID: VR.ATO.FITR.434045
      
      IF (COUNT(SCHEDULE = "NIPSS") = 1)
      AND [FITR32] > 0
      AND (([FITR72] + 1) < SUM([NIPSS28])) 
      RETURN VALIDATION MESSAGE
      ENDIF
    
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
      [FITR72] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
      [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
      WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
      IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
    -->
        <assert  id="VR.ATO.FITR.434045" diagnostics="DVR.ATO.FITR.434045"
                 test="
                 not
                 (
                    count($NIPSS.Context) = 1  
                    and
                    number(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    (
                      round(sum(common:node-set(
                        rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )) + 1) * 100
                      &lt; 
                      round(sum(common:node-set(
                        $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DNOABN']
                      ))) * 100
                    )
                 )"></assert>

        <!--
        Rule ID: VR.ATO.FITR.434056
        
        IF (COUNT(SCHEDULE = ""NIPSS"") = 1) AND SUM([NIPSS4]) > [FITR47]
        [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        [FITR47] = FITR:RP:Income.Other.Amount
        -->
        <assert id="VR.ATO.FITR.434056" diagnostics="DVR.ATO.FITR.434056"
                 test="not(count($NIPSS.Context) = 1
                       and
                       sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                                            [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                       &gt; 
                       sum(common:node-set(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.FITR.ContextId  and not(@i:nil='true' or @i:nil='1')])))"/>

        <!--
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND SUM([NIPSS3]) > ([FITR71] + 1)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
                    IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            
            [FITR71] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->
        <assert id="VR.ATO.FITR.434080" diagnostics="DVR.ATO.FITR.434080"
                test="not(
                        count($NIPSS.Context) = 1 and
                        (
                            sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/nipss.0001.lodge.req.02.00:PAYGWithholding
                                /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                                [@contextRef = $RP.NIPSS.ContextId 
                                 and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')]) = 'DFRW'
                                 and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 
                            (sum(common:node-set(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                                [@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                             + 1)
                        )
                      )"/>

        <!--
			IF ([FITR76] + [FITR77]) > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
			[FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.FITR.434085" diagnostics="DVR.ATO.FITR.434085"
                test="not(
						count($LOS.Context) = 0 
						and
						round(sum(common:node-set(
							rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
							| rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef = $RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))* 100 )
						&gt; 
						100000 * 100
					)"/>

        <!--
			IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [FITR76]  
				RETURN VALIDATION MESSAGE
			ENDIF
	        
			[LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
			[FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434086" diagnostics="DVR.ATO.FITR.434086"
				test="
					not
					(
						count($LOS.Context) = 1
						and
						round(sum(common:node-set(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
						!=
						round(sum(common:node-set($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
					)"/>

        <!--
        Rule ID: VR.ATO.FITR.434087
        
        IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [FITR77]  
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        [FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert  id="VR.ATO.FITR.434087" diagnostics="DVR.ATO.FITR.434087"
         test="
            not
            (
                count($LOS.Context) = 1
                and
                round(sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                !=
                round(sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.All.LOS.ContextId and  not(@i:nil='true' or @i:nil='1')]))*100)
            )"/>


        <!--
        Rule ID: VR.ATO.FITR.434088
        
        IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS62] + [CGTS63]) <> [FITR77]  
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
        [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
        [FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert  id="VR.ATO.FITR.434088" diagnostics="DVR.ATO.FITR.434088"
                 test="
                 not
                 (
                     count($CGT.Context) = 1
                     and
                     round(sum(common:node-set($CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|$CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                     !=
                     round(sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                 )"/>


        <!--
      Rule ID: VR.ATO.FITR.434046
      
      IF (COUNT(SCHEDULE = "NIPSS") = 1) AND SUM([NIPSS9]) <> [FITR32] 
        RETURN VALIDATION MESSAGE
      ENDIF
      [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
      -->

        <!--<assert id="VR.ATO.FITR.434046" diagnostics="DVR.ATO.FITR.434046" 
              test="not
              (
              (count($NIPSS.Context) = 1)
              and
              (
              sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))!=
              sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))
              )
              )"/>-->

        <assert id="VR.ATO.FITR.434046" diagnostics="DVR.ATO.FITR.434046"
                test="not
              (
              count($NIPSS.Context) = 1
              and
              sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))
              != 
              sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))  
              
              )"/>

        <!--                      
            IF [FITR22] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS86] = NULL AND [CGTS85] = NULL AND [CGTS87] = NULL AND [CGTS83] = NULL AND [CGTS82] = NULL AND [CGTS84] = NULL AND [CGTS81] = NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
      -->
        <assert  id="VR.ATO.FITR.434031" diagnostics="DVR.ATO.FITR.434031"
                 test="
                  not(
                  rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                  and
                  count($CGT.Context) = 1
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  )
                  "/>


        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1)  AND [FITR22] <> TRUE  AND ([CGTS86] <> NULL OR [CGTS85] <> NULL OR [CGTS87] <> NULL OR [CGTS83] <> NULL OR [CGTS82] <> NULL OR [CGTS84] <> NULL OR [CGTS81] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
      -->
        <assert  id="VR.ATO.FITR.434032" diagnostics="DVR.ATO.FITR.434032"
                 test="
                  not(
                  count($CGT.Context) = 1
                  and 
                  not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')])
                  and
                  (
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                  )
                  )
                  "/>


        <!-- Rule ID: VR.ATO.FITR.434066
        
        IF ([FITR56] > 100000) AND (COUNT(SCHEDULE = "CAS") = 0) 
        RETURN VALIDATION MESSAGE
        ENDIF
        
        NOTE:
       [FITR56] = FITR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434066" diagnostics="DVR.ATO.FITR.434066" test="not
                (
                number(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) != 0]) &gt; 100000
                and
                count($CAS.Context) = 0
                )"/>



        <!-- Rule ID: VR.ATO.FITR.434140
        
        IF (COUNT(SCHEDULE = "CAS") = 1)  AND ([CAS39] > 0 OR [CAS40] > 0) AND [FITR134] = NULL AND [FITR135] = NULL AND [FITR136] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        
        NOTE:
        [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
        [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
        [FITR134] = FITR:RP.TOFA:Income.GainsTotal.Amount
        [FITR135] = FITR:RP.TOFA:Expense.LossesTotal.Amount
        [FITR136] = FITR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434140" diagnostics="DVR.ATO.FITR.434140" test="not
                (
                count ($CAS.Context) = 1
                    and
                    (
                    number ($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    or
                    number ($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )
                    and
                    (
                    not (bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )
                    and
                    (
                    not(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )
                    and
                    (
                    not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not (@i:nil='true' or @i:nil='1')])
                    )
                
                )"/>

        <!--
            IF COUNT(SCHEDULE = "CAS") = 1 AND ([CAS13] + [CAS14]) > [FITR56]  
                RETURN VALIDATION MESSAGE
            ENDIF

            [CAS13] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount
            [CAS14] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount
            [FITR56] = FITR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434065" diagnostics="DVR.ATO.FITR.434065"
                test="not(
                        count($CAS.Context) = 1
                        and (
                          (round(sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100) +
                           round(sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100))
                            &gt;
                          round(sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.FITR.ContextId and not (@i:nil='true' or @i:nil='1')]))*100)
                        )
                      )"/>


    </rule>

</pattern>
