﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormLOS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

    <!-- LOS Variables -->
    <let name="LOS.Context"
         value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0002/ls.0002.lodge.request.02.00.report.xsd']]" />


    <let name="RP.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]
                    ]" />

    <let name="RP.LOS.ContextId" value="$RP.LOS.Context/@id" />

    <let name="RP.All.LOS.Context"
         value="$LOS.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:All$')]) = 1]
            ]"/>

    <let name="RP.All.LOS.ContextId" value="$RP.All.LOS.Context/@id" />


    <!--RP.Y0 Context Variables -->
    <let name="RP.Y0.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]
                    ]" />

    <let name="RP.Y0.LOS.ContextId" value="$RP.Y0.LOS.Context/@id" />

    <!--RP.Y0Minus1 Context Variables -->
    <let name="RP.Y0-1.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]
                    ]" />

    <let name="RP.Y0-1.ContextId" value="$RP.Y0-1.Context/@id" />

    <!--RP.Y0Minus2 Context Variables -->
    <let name="RP.Y0-2.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]
                    ]" />

    <let name="RP.Y0-2.ContextId" value="$RP.Y0-2.Context/@id" />

    <!--RP.Y0Minus3 Context Variables -->
    <let name="RP.Y0-3.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]
                    ]" />

    <let name="RP.Y0-3.ContextId" value="$RP.Y0-3.Context/@id" />

    <!--RP.Y0Minus4 Context Variables -->
    <let name="RP.Y0-4.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4$')]) = 1]
                    ]" />

    <let name="RP.Y0-4.ContextId" value="$RP.Y0-4.Context/@id" />

    <!--RP.Y0Minus5Plus Context Variables -->
    <let name="RP.Y0-5P.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus5Plus$')]) = 1]
                    ]" />

    <let name="RP.Y0-5P.ContextId" value="$RP.Y0-5P.Context/@id" />

    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0002/ls.0002.lodge.request.02.00.report.xsd']]">


        <!-- *** NOTE: Only add CrossForm rules from the LOS AP360 here that are applicable to FITR. *** -->

        <!--
            Rule ID: VR.ATO.LS.414017
            
            IF (PARENT RETURN <> SET(""CTR"", ""TRT"")) AND 
                (([LS15] <> NULL) OR ([LS16] <> NULL) OR ([LS17] <> NULL) OR ([LS18] <> NULL) OR ([LS19] <> NULL) OR ([LS53] <> NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS53] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
        -->
        <assert id="VR.ATO.LS.414017" diagnostics="DVR.ATO.LS.414017"
                test="not(rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')])"/>

        <!--
            Rule ID: VR.ATO.LS.414022
            
            IF (PARENT RETURN<>""CTR"") AND ([LS25] <> NULL OR [LS26] <> NULL OR [LS27] <> NULL OR [LS28] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
            [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
            [LS27] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
            [LS28] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->
        <assert id="VR.ATO.LS.414022" diagnostics="DVR.ATO.LS.414022"
                test="not(rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])"/>

        <!--
            IF RP:period.startDate <> PARENT RETURN:RP:period.startDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.001027" diagnostics="DVR.ATO.GEN.001027"
                 test="not(                    
                            (  
                                $RP.FITR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                $RP.LOS.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                             )                    
                        )"/>
        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.001028" diagnostics="DVR.ATO.GEN.001028"
                 test=" not(                    
                            (
                                $RP.FITR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                $RP.LOS.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                             )
                        )"/>
        <!--
           
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
            xbrli:context[@id=$RP.LOS.ContextId]
            RP.LOS.Context
        -->
        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.FITR"
                 test="not(
                            $RP.LOS.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.FITR.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"/>

        <!--                
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010"
                 test=" not(                    
                            (
                                $FITR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $FITR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            )
                        )"/>


    </rule>
    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0002/ls.0002.lodge.request.02.00.report.xsd']]/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL 
                AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text IN TUPLE 
                (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
                (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
                WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
               RETURN VALIDATION MESSAGE
            ENDIF            
            
        -->
        <assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045.FITR"
                 test="not(                    
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and 
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $FITR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.FITR.ContextId
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']
                      )"/>



    </rule>
</pattern>