﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Field Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            Rule ID: VR.ATO.FITR.434007

            IF (FITR:RP:pyin.xx.xx:Report.TargetFinancial.Year = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434007" diagnostics="DVR.ATO.FITR.434007"
                test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            Rule ID: VR.ATO.FITR.434018
            
            IF [FITR14] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR14] = FITR:RP:Party.Type.Code
        -->
        <assert id="VR.ATO.FITR.434018" diagnostics="DVR.ATO.FITR.434018"
                test="pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            Rule ID: VR.ATO.FITR.434019
            
            IF [FITR15] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR15] = FITR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
        -->
        <assert id="VR.ATO.FITR.434019" diagnostics="DVR.ATO.FITR.434019"
                test="emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.FITR.434020
            
            IF [FITR16] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR16] = FITR:RP:SuperannuationFundDetails.FundBenefitStructure.Code
        -->
        <assert id="VR.ATO.FITR.434020" diagnostics="DVR.ATO.FITR.434020"
                test="emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--  
            Rule ID: VR.ATO.FITR.434021
            Disabled until further notice
            
            IF [FITR:RP:OrganisationControl.RegisteredMembers.Count] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
        
        <assert id="VR.ATO.FITR.434021" diagnostics="DVR.ATO.FITR.434021"
                test="pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
        -->
        <!-- 
            Rule ID:VR.ATO.FITR.434023
            
            IF [FITR18] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR18] = FITR:RP:OrganisationDetails.Establishment.Date
        -->
        <assert id="VR.ATO.FITR.434023" diagnostics="DVR.ATO.FITR.434023"
                test="pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--  
            Rule ID: VR.ATO.FITR.434025
            
            IF [FITR19] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR19] = FITR:RP:OrganisationDetails.OperationCease.Indicator
        -->
        <assert id="VR.ATO.FITR.434025" diagnostics="DVR.ATO.FITR.434025"
                test="pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--  
            Rule ID: VR.ATO.FITR.434028
        
            IF [FITR21] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR21] = FITR:RP:CapitalGainsTax.Event.Indicator
        -->
        <assert id="VR.ATO.FITR.434028" diagnostics="DVR.ATO.FITR.434028"
                test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--  
            Rule ID: VR.ATO.FITR.434070
            
            IF [FITR65] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR65] = FITR:RP:Income.Taxable.Amount
        -->
        <assert id="VR.ATO.FITR.434070" diagnostics="DVR.ATO.FITR.434070"
                test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            Rule ID: VR.ATO.FITR.434083
            
            IF [FITR75] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR75] = FITR:RP:IncomeTax.PayableOrRefundableTotal.Amount        
        -->
        <assert id="VR.ATO.FITR.434083" diagnostics="DVR.ATO.FITR.434083"
                test="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.FITR.434099
            
            IF [FITR84] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR84] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Indicator        
        -->
        <assert id="VR.ATO.FITR.434099" diagnostics="DVR.ATO.FITR.434099"
                test= "rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.FITR.434105
            
            IF [FITR90] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR90] = FITR:RP:InternationalDealings.RelatedPartiesTransactions.Indicator
        -->
        <assert id="VR.ATO.FITR.434105" diagnostics="DVR.ATO.FITR.434105"
                test="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.FITR.434106
            
            IF [FITR91] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR91] = FITR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->
        <assert id="VR.ATO.FITR.434106" diagnostics="DVR.ATO.FITR.434106"
                test="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF [FITR92] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        -->
        <assert id="VR.ATO.FITR.434114" diagnostics="DVR.ATO.FITR.434114"
                test="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>


        <!--
            Rule ID: VR.ATO.FITR.434120	
            
            IF [FITR93] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR93] = FITR:RP:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator
        -->
        <assert id="VR.ATO.FITR.434120" diagnostics="DVR.ATO.FITR.434120"
                test="rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule id: VR.ATO.FITR.434121
            
            IF [FITR94] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR94] = FITR:RP:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->
        <assert id="VR.ATO.FITR.434121" diagnostics="DVR.ATO.FITR.434121"
                test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.FITR.434122	
            
            IF [FITR96] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR96] = FITR:RP:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
        -->
        <assert id="VR.ATO.FITR.434122" diagnostics="DVR.ATO.FITR.434122"
                test="rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--  
            Rule ID: VR.ATO.FITR.434125
                
            IF [FITR98] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR98] = FITR:RP:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator
        -->
        <assert id="VR.ATO.FITR.434125" diagnostics="DVR.ATO.FITR.434125"
                test="emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            Rules ID: VR.ATO.FITR.434143
            
            IF [FITR66] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR66] = FITR:RP:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.FITR.434143" diagnostics="DVR.ATO.FITR.434143"
                test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
                AND (pyde.xx.xx:AddressDetails.Currency.Code = "C") 
                AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) 
                IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
                    RETURN VALIDATION MESSAGE
            ENDIF
          -->
        <assert id="VR.ATO.FITR.434011" diagnostics="DVR.ATO.FITR.434011"
                test="not(
                        count(
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:AddressDetails.Line1.Text
                                    [not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0
                                    and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                    and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']
                        ) != 1                            
	                  )"/>

        <!--
            IF COUNT(((RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
            AND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalNameCurrency.Code = "C") 
            AND (RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK)) 
            IN TUPLE xbrli\orgname2.xx.xx:OrganisationNameDetails) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434146" diagnostics="DVR.ATO.FITR.434146"
                test="not(
                        count(
                            orgname2.02.00:OrganisationNameDetails
                                [not(@i:nil='true' or @i:nil='1') 
                                    and pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and string-length(normalize-space(.)) != 0]
                                    and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                            and exslt:uppercase(.) = 'MN']
                                    and pyde.02.00:OrganisationNameDetails.Currency.Code
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and exslt:uppercase(.) = 'C']
                                ]
                             ) != 1
	                    )"/>

        <!--
            IF [FITR103] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR103] = FITR:RP:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)             
        -->
        <assert id="VR.ATO.FITR.434133" diagnostics="DVR.ATO.FITR.434133"
                test="not(
                         count(
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:PersonNameDetails.FamilyName.Text
                                [    
                                        @contextRef = $RP.ContextId 
                                    and not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0                                
                                    
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code
                                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL'
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code
                                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                                    and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code
                                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'                                           
                                ]                                
                         ) = 0
                      )"/>

        <!--
            IF [FITR108] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR108] = FITR:RP:ElectronicContact.Telephone.Minimal.Number 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = '03') 
                IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
        -->
        <assert id="VR.ATO.FITR.434136" diagnostics="DVR.ATO.FITR.434136"
                test="not(
                         count(
                            phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                                [ 
                                      @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                  and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code
                                      [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '03'
                                ]
                            ) = 0
                         )"/>

        <!--
            IF [FITR199] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
        -->
        <assert id="VR.ATO.FITR.434276" diagnostics="DVR.ATO.FITR.434276"
                test="rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails">
        <!--
            Rule ID: VR.ATO.FITR.434013
            
            IF [FITR10] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR10] = FITR:RP:AddressDetails.StateOrTerritory.Code 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                IN TUPLE(addressdetails2.xx.xx:AddressDetails )
         -->
        <assert id="VR.ATO.FITR.434013" diagnostics="DVR.ATO.FITR.434013"
                test="
                  count(pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                  or              
                  pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId] != 'POS'
                  or 
                  count(pyde.02.01:AddressDetails.Usage.Code) = 0
                  or
                  pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId] != 'C'
                  or
                  count(pyde.02.00:AddressDetails.Currency.Code) = 0"
                />

        <!--
            IF [FITR11] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR11] = FITR:RP:AddressDetails.Postcode.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                IN TUPLE(addressdetails2.xx.xx:AddressDetails )
        -->
        <assert id="VR.ATO.FITR.434014" diagnostics="DVR.ATO.FITR.434014"
                test="
                  count(pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                  or              
                  pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId] != 'POS'
                  or 
                  count(pyde.02.01:AddressDetails.Usage.Code) = 0
                  or
                  pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId] != 'C'
                  or
                  count(pyde.02.00:AddressDetails.Currency.Code) = 0"
                />
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fitr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]">
        <!--  
            
            WHERE IN TUPLE(fitr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            IF gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF            
            
        -->

        <assert id="VR.ATO.FITR.434228" diagnostics="DVR.ATO.FITR.434228"
                test="not(
                        (count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0]) = 0) 
                      )"/>
    </rule>
</pattern>

