﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>

    <rule context="xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (xbrli\perioddetails1.xx.xx.PeriodDetails)
            IF pyin.xx.xx:Period.Type.Code <> NULLORBLANK 
            AND pyin.xx.xx:Period.Type.Code <> SET(""ControlOutsideAustraliaPartPeriod"", ""SubstitutedAccountingPeriod"")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408058" diagnostics="DVR.ATO.FTER.408058"
               test="not(
                            pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) !=0 
                                and not(regexp:test(.,'^(?i)(ControlOutsideAustraliaPartPeriod|SubstitutedAccountingPeriod)$'))]
                      )"/>
    </rule>

    <rule context="xbrli:xbrl/fter.0001.lodge.req.02.00:Trustee/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee\perioddetails1.xx.xx.PeriodDetails)
            IF pyid.xx.xx:Period.Type.Code <> ""NonResidentPartPeriod""
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408081" diagnostics="DVR.ATO.FTER.408081"
                test="pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and .='NonResidentPartPeriod']"/>
    </rule>

    <rule context="xbrli:xbrl/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FTER62] <> NULLORBLANK AND [FTER62] <> SET(""051"",""161"",""212"",""217"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER62] = FTER:RP:Party.Type.Code IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
        -->
        <assert id="VR.ATO.FTER.408117" diagnostics="DVR.ATO.FTER.408117"
                test="not(
                            pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]
                            and not(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(051|161|212|217)$')])
                      )"/>
    </rule>

    <rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyin.xx.xx:Report.CompletionHours.Number) <> SET(1-999)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410082" diagnostics="DVR.ATO.GEN.410082"
                test="regexp:test(., '^([1-9]|[1-9][0-9]|[0-9][0-9][0-9])$')"/>

    </rule>
    <rule context="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            WHERE IN TUPLE(fter.000.lodge.req.xx.xx:DeclarationOfTrustee\declaration2.xx.xx:Declaration)
            IF (pyin.xx.xx:Declaration.StatementType.Code <> NULLORBLANK)
            AND (pyin.xx.xx:Declaration.StatementType.Code  <> SET (""HardCopy"", ""TrueAndCorrect"" )
               RETURN VALIDATION MESSAGE
            ENDIF^^
        -->
        <assert id="VR.ATO.FTER.408163" diagnostics="DVR.ATO.FTER.408163"
                test="not(
                            pyin.02.03:Declaration.StatementType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))&gt; 0]
                            and
                            not(regexp:test(pyin.02.03:Declaration.StatementType.Code, '^(?i)(HardCopy|TrueAndCorrect)$'))
                        
                
                )"/>

    </rule>
    

</pattern>