﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Period" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Period Common Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (xbrli\perioddetails1.xx.xx.PeriodDetails)
            IF pyin.xx.xx:Period.Type.Code <> NULLORBLANK AND pyin.xx.xx:Period.Type.Code <> SET(""ControlOutsideAustraliaPartPeriod"", ""SubstitutedAccountingPeriod"")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.408058" diagnostics="DVR.ATO.GEN.408058"
                 test="not(
                            period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.05:Period.Type.Code
                                    [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            and not(
                                period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.05:Period.Type.Code
                                    [not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(ControlOutsideAustraliaPartPeriod|SubstitutedAccountingPeriod)$')])
                       )"/>
    </rule>

    <rule context="period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (perioddetails1.xx.xx.PeriodDetails)
            IF (pyin.xx.xx:Period.Type.Code = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.408057" diagnostics="DVR.ATO.GEN.408057"
                 test="not(
                         not(pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>
        <!--
            WHERE IN TUPLE(perioddetails1.xx.xx.PeriodDetails)
            IF pyin.xx.xx:Period.Start.Date = NULL OR pyin.xx.xx:Period.End.Date = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.408059" diagnostics="DVR.ATO.GEN.408059"
                 test="not(
                         not(pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')])
                         or
                         not(pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            WHERE IN TUPLE (perioddetails1.xx.xx.PeriodDetails)
            IF pyin.xx.xx:Period.End.Date <= pyin.xx.xx:Period.Start.Date
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.408060" diagnostics="DVR.ATO.GEN.408060"
                 test="not(
                         not(function:IsDate1GreaterThanDate2(pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], 
                                                              pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"/>
    </rule>

</pattern>
