﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="StandAloneContent" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Stand Alone Content Validations</title>
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            WHERE PARENT RETURN DOES NOT EXIST
            IF COUNT(INT) = 0 AND RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408165" diagnostics="DVR.ATO.FTER.408165"
                test="not(
                        count($INT.Context) = 0
                        and
                        not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     )" />
        
        <!--
            WHERE PARENT RETURN DOES NOT EXIST
            IF [FTER95] <> ""E""
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            VR.ATO.FTER.408025	CMN.ATO.FTER.408025
        -->
        <assert id="VR.ATO.FTER.408025" diagnostics="DVR.ATO.FTER.408025"
                test="rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                        [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(E)$')]
                     "/>

        <!-- 
            IF (RP:pyin.xx.xx.Lodgment.PeriodYear.Year <> NULL) AND (RP:pyin.xx.xx:Lodgment.PeriodYear.Year < 2005)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->
        <assert id="VR.ATO.FTER.408087" diagnostics="DVR.ATO.FTER.408087"
                test="not(
                            rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and 
                              exslt:uppercase(.) = 'E']
                        and 
                            number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &lt; 2005
                      )" />

      <!--
			WHERE PARENT RETURN DOES NOT EXIST
			IF COUNT (TUPLE(xbrli\organisationname2.xx.xx:OrganisationNameDetails) 
				WHERE TUPLE ELEMENT EXPLICIT OrganisationNameDetails.Currency.Code = "C" 
				AND TUPLE ELEMENT EXPLICIT OrganisationNameDetails.OrganisationalNameType.Code = "MN" 
				AND TUPLE ELEMENT EXPLICIT OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) <> 1
			   RETURN VALIDATION MESSAGE
			ENDIF
            
		-->
        <assert id="VR.ATO.FTER.408145" diagnostics="DVR.ATO.FTER.408145"
				test="not(
						count(
							orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')
							and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
							and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']
							and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
						) != 1
					)"/>

        <!--
            WHERE PARENT RETURN DOES NOT EXIST
            IF COUNT (TUPLE(xbrli\address2.xx.xx.AddressDetails) WHERE TUPLE ELEMENT EXPLICIT 
            pyde.xx.xx:AddressDetails.Currency.Code = "C" AND TUPLE ELEMENT EXPLICIT 
            pyde.xx.xx:AddressDetails.Usage.Code = "POS" AND TUPLE ELEMENT EXPLICIT 
            pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) <> 1
                RETURN VALIDATION  MESSAGE
            ENDIF
        -->

        <assert id="VR.ATO.FTER.408146" diagnostics="DVR.ATO.FTER.408146"
                test=" count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                             and pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
                             and pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']
                             and pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                         ])=1
                         "/>

    </rule>


</pattern>

