﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:dtyp.02.04="http://sbr.gov.au/fdtn/sbr.02.04.dtyp" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:date="http://exslt.org/dates-and-times" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:iee.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report" xmlns:iee.0002.prv.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.private.02.00.module" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M39" /><xsl:apply-templates select="/" mode="M40" /><xsl:apply-templates select="/" mode="M42" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M39" /><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="@*|*" mode="M39" /></xsl:template>

<!--
        PATTERN VariablesVariables Validations-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and                 ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="Int.Context" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and                 ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]]" /><xsl:variable name="Int.ContextId" select="$Int.Context/@id" /><xsl:variable name="RP.Election.E" select="xbrli:xbrl/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'E']" /><xsl:variable name="RP.Election.R" select="xbrli:xbrl/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'R']" /><xsl:variable name="RP.PartyType.051" select="xbrli:xbrl/pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and . = '051']" /><xsl:variable name="RP.Organisation.C.MN" select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Organisation.P.MN" select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Address.C.POS" select="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]" /><xsl:variable name="RP.Address.P.POS" select="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]" /><xsl:variable name="RP.Trustee.Organisation.C.MN" select="xbrli:xbrl/iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Person.C.LGL.DecSig" select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL'] and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'DECLARATIONSIGNATORY'] and ./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']]" /><xsl:template match="text()" priority="-1" mode="M40" /><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="pyde.02.01:AddressDetails.Usage.Code[not(ancestor::node()[exslt:uppercase(local-name(.)) = 'SPECIFIEDINDIVIDUAL']) and not(@i:nil='true' or @i:nil='1')]" priority="1032" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'POS')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410106</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.01:AddressDetails.Usage.Code[ancestor::node()[exslt:uppercase(local-name(.)) = 'SPECIFIEDINDIVIDUAL'] and not(@i:nil='true' or @i:nil='1')]" priority="1031" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'RES')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410110</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1030" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410213</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(exslt:uppercase(.), 'UNKNOWN'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or                           regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or                           regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or                           regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(?i)(AS ABOVE )(.*)$') or                           regexp:test(.,'^(.*)(?i)( AS ABOVE )(.*)$') or                           regexp:test(.,'^(.*)(?i)( AS ABOVE)$') or                           regexp:test(.,'^(?i)(AS ABOVE)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(exslt:uppercase(.), 'UNKNOWN'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or                           regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or                           regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or                           regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(exslt:uppercase(.), 'UNKNOWN'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')] and                   not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410214</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410167</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410148</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410174</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   (ancestor::node()[exslt:uppercase(local-name(.)) = 'TRUSTEEORPARTNER'] or                   ancestor::node()[exslt:uppercase(local-name(.)) = 'FAMILYTRUST'] or                   ancestor::node()[exslt:uppercase(local-name(.)) = 'SPECIFIEDINDIVIDUAL']) and                   pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                    pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'C'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410139</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'AU'] and                   pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410211</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'AU'] and                   pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'FALSE' or . = '0')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410212</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(exslt:uppercase(.), 'C/-')] and                   not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410055</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   (pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] or                     pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                     not(pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                   not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                   not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410018</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                   not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                   not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410053</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and                   not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410191</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   exslt:uppercase(local-name(..)) = 'XBRL' and                    exslt:uppercase(pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD' and                   (function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or                     function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410050</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   exslt:uppercase(local-name(..)) = 'XBRL' and                    exslt:uppercase(pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD' and                   (function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or                     function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410056</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(function:IsDate1GreaterOrEqualToDate2(pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410068</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')] and                       pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')] and                       pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410097</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.05:PersonNameDetails.Usage.Code[ancestor::node()[exslt:uppercase(local-name(.)) = 'SPECIFIEDINDIVIDUAL'] and not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'IDENTIFIER')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410239</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(., ' - '))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         count(prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]) &gt; 0                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410243</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnunstrcnm1.02.01:PersonUnstructuredName</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="             not(pyin.02.00:Declaration.Signature.Date)             or              not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], date:date-time()))             " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430255</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/                     declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/                     pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $Int.ContextId and (. = 0 or exslt:uppercase(.) = 'FALSE'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410264</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId and (. = 0 or exslt:uppercase(.) = 'FALSE'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410264</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]                     /prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="(exslt:uppercase(.)='DECLARATIONSIGNATORY')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.436279</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]                      /pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'LGL')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410145</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]                      /pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'C')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410164</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                   regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                   regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                   not(                                            ancestor::node()[exslt:uppercase(local-name(.)) = 'TRUSTEEORPARTNER']                          and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         and pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(.) != 'IDENTIFIER']                                               )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410239</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/ieee.002.lodge.req.02.00:TrusteeOrPartner/pyde.02.05:PersonNameDetails.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410180</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.05:PersonNameDetails.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410183</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410217</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410216</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.PersonNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410218</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]                     /orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                     /pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410143</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                   not(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   function:IsDate1GreaterThanDate2(concat(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] - 1, '-07-01'),                                                     ..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410058</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410066</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   ..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                                                       period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                    function:IsDate1GreaterThanDate2(                     period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                     ..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410073</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.DateSpecified.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="     not (count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;  1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410237</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN'] and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410027</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410028</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410029</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.NonResidentFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410032</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410025</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   $RP.Election.E and                    $RP.PartyType.051 and                   pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410026</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL'] and ./pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN'] and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410042</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                                                      period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or                   function:IsDate1GreaterThanDate2(..//rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                                                     period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410057</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and                   not(pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')]) and                   not(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   not(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410092</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'FALSE' or . = '0')] and                   (pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] or                     period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or                     period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410093</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and                   period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                   period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410094</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.NonResidentFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and                   pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410085</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 4)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410189</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/iee.0002.lodge.req.02.00:TrusteeOrPartner/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]                     /orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                     /pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410142</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=". &gt;='1' and . &lt;='999'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410082</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and . = '051']                         and                  iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]/                  declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/                  pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId                                                                  and not(@i:nil='true' or @i:nil='1')                                                                  and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410260</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/                         pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                         and exslt:uppercase(.) != 'DECLARATIONSIGNATORY'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410125</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.05:PersonNameDetails.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                        (                           prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/                           pyde.02.05:PersonUnstructuredName.Usage.Code                               [@contextRef = $Int.ContextId                                 and not(@i:nil='true' or @i:nil='1')                                 and string-length(normalize-space(.)) != 0                                and exslt:uppercase(.) != 'CONTACT']                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410263</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(period1.02.01:PeriodDetails[exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']                         /pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410234</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                   (iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']/pyin.02.00:PeriodStart.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                     function:IsDate1GreaterThanDate2(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) or                   (not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                     iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']/pyin.02.00:PeriodStart.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                     function:IsDate1GreaterThanDate2(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'SUBSTITUTEDACCOUNTINGPERIOD']/pyin.02.00:PeriodStart.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410072</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]) &gt; 10)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410186</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/iee.0002.lodge.req.02.00:TrusteeOrPartner</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                  and  exslt:uppercase(../pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1')] ) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 4)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410187</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 4)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410188</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(function:IsDate1GreaterThanDate2(rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410059</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.DateSpecified.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   //pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   //pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410222</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count($RP.Address.C.POS/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1 or                            count($RP.Address.P.POS/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410120</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.00:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count($RP.Organisation.C.MN/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1 or                            count($RP.Organisation.P.MN/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410150</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'E' and                  (not(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or                     not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or                     not(rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and  exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']) or                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'POS' and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) or                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'POS' and  exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) or                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or                     not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or                     not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or                     not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code) = 'LGL' and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code) = 'C']) or                     not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'RES' and  exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) or                     not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'RES' and  exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) or                     not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']) or                     not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'])))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410006</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)  = 'E'] and                   pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (. = 217 or . = 212)] and                  not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)  = 'E'] and                   pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (. = 051 or . = 161)] and                  pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410015</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(true|1)$')] and                   not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   not(/xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   not(/xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410075</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(false|0)$')] and                   (pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or                     /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or                     /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410083</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(true|1)$')] and                   /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                    /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410088</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '051' and                                                       not(pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410034</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                    rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)  = 'E'] and                   pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ((. = 161) or (. = 217) or (. = 212))])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410035</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(true|1)$')] and                                                       /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                    /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410091</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.NonResidentFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                    ((not(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                       function:IsDate1GreaterThanDate2(                         concat(number(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) - 1, '-07-01'),                         rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) or                     (not(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                       function:IsDate1GreaterThanDate2(                         rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                         concat(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0], '-06-30'))) or                     (period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                       function:IsDate1GreaterThanDate2(                         period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                         rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) or                      (period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and                       function:IsDate1GreaterThanDate2(                         rvctc3.02.00:Elections.DateSpecified.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                         period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD']]/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410074</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.DateSpecified.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '02' or . = '03')] and                    not(pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                   not(/xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) and                    not(/xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410089</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and  . = '01'] and                    (pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or                     /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or                     /xbrli:xbrl/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(./pyin.02.05:Period.Type.Code) = 'NONRESIDENTPARTPERIOD']/pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410090</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyin.02.00:Lodgment.PeriodYear.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and . &lt; '2011'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410231</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Lodgment.PeriodYear.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]                             /declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]                             /pyin.02.03:Declaration.StatementType.Code[not(@i:nil='true' or @i:nil='1')                                   and string-length(normalize-space(.)) != 0                                  and not(regexp:test(.,'^(?i)(HardCopy|TrueAndCorrect)(.*)$'))])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410254</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 count(iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]                             /declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]                             /prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]) &gt; 0                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410258</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.05:PersonNameDetails.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                     pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (regexp:test(.,'^(217|212|161)$'))]                     and declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410259</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                 (                 count (iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]) &gt; 10                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410250</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                 (                 count (iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]) !=                 count (iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')])                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410251</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code) = 'LGL' and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code) = 'C'] and                   not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) and                   not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410067</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410104</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(--|\x27\x27|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                   regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                   regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000446</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                   regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000448</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                    regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410140</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410215</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)\ - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)P\/L(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or                   regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or                   regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or                   regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(--|\x27\x27|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)( T\/A| T\/A P\x27ship| T\/A Pship| T\/A P\/Ship| T\/A Partnership)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(?i)(T\/A )(.*)$') and regexp:test(.,'^(.*)(?i)( Pship| P\x27ship| P\/ship)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef =$Int.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0                          and( pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef =$Int.ContextId and not(@i:nil='true' or @i:nil='1')] ='03')                           and ( pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[@contextRef =$Int.ContextId and not(@i:nil='true' or @i:nil='1') and (regexp:test(.,'^(01|02)$'))])                          " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.432016</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                       not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/                             pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                             and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'                             and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C'])          and           not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410247</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(          (orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/                             pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                             and string-length(normalize-space(.)) != 0                             and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'                             and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C'])          and           (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])         )         " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410246</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                     not(                     (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'LGL'])                     or (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonNameDetails.Usage.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'DECLARATIONSIGNATORY'])                      or (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.Currency.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'C'])                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410248</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                     not(                     (orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'MN'])                     or (orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'C'])                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410249</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')])                        " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410252</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUEANDCORRECT')])=1        " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410255</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnunstrcnm1.02.01:PersonUnstructuredName" priority="1000" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $Int.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                    and                   not(pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $Int.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410179</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.05:PersonUnstructuredName.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template><xsl:template match="text()" priority="-1" mode="M42" /><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template></xsl:stylesheet>