﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:dtyp.02.04="http://sbr.gov.au/fdtn/sbr.02.04.dtyp" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:date="http://exslt.org/dates-and-times" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:iee.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report" xmlns:iee.0002.prv.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.private.02.00.module" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M39" /><xsl:apply-templates select="/" mode="M40" /><xsl:apply-templates select="/" mode="M41" /><xsl:apply-templates select="/" mode="M44" /><xsl:apply-templates select="/" mode="M45" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M39" /><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="@*|*" mode="M39" /></xsl:template>

<!--
        PATTERN VariablesVariables Validations-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and                 ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="Int.Context" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and                 ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]]" /><xsl:variable name="Int.ContextId" select="$Int.Context/@id" /><xsl:variable name="RP.Election.E" select="xbrli:xbrl/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'E']" /><xsl:variable name="RP.Election.R" select="xbrli:xbrl/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'R']" /><xsl:variable name="RP.PartyType.051" select="xbrli:xbrl/pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and . = '051']" /><xsl:variable name="RP.Organisation.C.MN" select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Organisation.P.MN" select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Address.C.POS" select="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]" /><xsl:variable name="RP.Address.P.POS" select="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]" /><xsl:variable name="RP.Trustee.Organisation.C.MN" select="xbrli:xbrl/iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'P'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]" /><xsl:variable name="RP.Person.C.LGL.DecSig" select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL'] and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'DECLARATIONSIGNATORY'] and ./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']]" /><xsl:template match="text()" priority="-1" mode="M40" /><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

<!--
        PATTERN ContextContext Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M41">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $Int.ContextId and not(@i:nil='true' or @i:nil='1')]                          and                         (not(xbrli:context[@id = $Int.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                         xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]))                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count($RP.Context) = 1" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count($Int.Context) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                          and                         not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410113</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M41" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M41">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and                         xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and                         function:IsDate1GreaterOrEqualToDate2(                             xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],                             xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                       xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]                        and                       not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' or exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')])                   )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@id and string-length(normalize-space(@id)) != 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/id</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')]                          and                         not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(Intermediary|ReportingParty)$')])                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M41" /></xsl:template><xsl:template match="text()" priority="-1" mode="M41" /><xsl:template match="@*|node()" priority="-2" mode="M41"><xsl:apply-templates select="@*|*" mode="M41" /></xsl:template>

<!--
        PATTERN DataTypesDataTypes Validations-->


	<!--
      RULE -->
<xsl:template match="@id[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[A-Za-z_][A-Za-z0-9._-]*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001012</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:Residency.NonResidentFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc3.02.00:Elections.DateSpecified.Date[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc3.02.00:Elections.Commencement.Date[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[1-9]\d*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{9}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{9}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{4}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{8}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template><xsl:template match="text()" priority="-1" mode="M44" /><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

<!--
        PATTERN FieldPatternsFieldPatterns Validations-->


	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.text[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'\d'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410194</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410195</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId) or string-length(normalize-space(.)) = 0 or . = '01' or . = '02' or . = '03'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410232</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C' or exslt:uppercase(.) = 'P'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000466</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M45"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'ESQ' or                 $ucvalue = 'II' or                 $ucvalue = 'III' or                 $ucvalue = 'IV' or                 $ucvalue = 'JNR' or                 $ucvalue = 'JP' or                 $ucvalue = 'MHA' or                 $ucvalue = 'MHR' or                 $ucvalue = 'MLA' or                 $ucvalue = 'MLC' or                 $ucvalue = 'MP' or                 $ucvalue = 'QC' or                 $ucvalue = 'SNR'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000458</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M45"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = '2LT' or                 $ucvalue = 'AB' or                 $ucvalue = 'ABBOT' or                 $ucvalue = 'AC' or                 $ucvalue = 'ACM' or                 $ucvalue = 'ADM' or                 $ucvalue = 'AIR CDRE' or                 $ucvalue = 'ALDERMAN' or                 $ucvalue = 'AM' or                 $ucvalue = 'ARCHBISHOP' or                 $ucvalue = 'ARCHDEACON' or                 $ucvalue = 'ASSOC PROF' or                 $ucvalue = 'AVM' or                 $ucvalue = 'BARON' or                 $ucvalue = 'BARONESS' or                  $ucvalue = 'BISHOP' or                 $ucvalue = 'BR' or                 $ucvalue = 'BRIG' or                 $ucvalue = 'CANON' or                 $ucvalue = 'CAPT' or                 $ucvalue = 'CARDINAL' or                 $ucvalue = 'CDRE' or                 $ucvalue = 'CDT' or                 $ucvalue = 'CHAP' or                 $ucvalue = 'CMDR' or                 $ucvalue = 'CMM' or                 $ucvalue = 'COL' or                 $ucvalue = 'CONST' or                 $ucvalue = 'COUNT' or                 $ucvalue = 'COUNTESS' or                 $ucvalue = 'CPL' or                 $ucvalue = 'CPO' or                 $ucvalue = 'DAME' or                 $ucvalue = 'DEACON' or                 $ucvalue = 'DEACONESS' or                 $ucvalue = 'DEAN' or                 $ucvalue = 'DUCHESS' or                 $ucvalue = 'DUKE' or                 $ucvalue = 'EARL' or                 $ucvalue = 'EF' or                 $ucvalue = 'FLGOFF' or                 $ucvalue = 'FLT LT' or                 $ucvalue = 'FR' or                 $ucvalue = 'FSGT' or                 $ucvalue = 'GEN' or                 $ucvalue = 'GNR' or                 $ucvalue = 'GP CAPT' or                 $ucvalue = 'HON' or                 $ucvalue = 'HON JUDGE' or                 $ucvalue = 'HON JUST' or                 $ucvalue = 'HRH' or                 $ucvalue = 'INSP' or                 $ucvalue = 'JUDGE' or                 $ucvalue = 'JUST' or                 $ucvalue = 'LAC' or                 $ucvalue = 'LACW' or                 $ucvalue = 'LADY' or                 $ucvalue = 'LBDR' or                 $ucvalue = 'LCPL' or                 $ucvalue = 'LORD' or                 $ucvalue = 'LS' or                 $ucvalue = 'LT' or                 $ucvalue = 'LT CMDR' or                 $ucvalue = 'LT COL' or                 $ucvalue = 'LT GEN' or                 $ucvalue = 'MADAM' or                 $ucvalue = 'MAJ' or                 $ucvalue = 'MAJ GEN' or                 $ucvalue = 'MASTER' or                 $ucvalue = 'MATRON' or                 $ucvalue = 'MAYOR' or                 $ucvalue = 'MAYORESS' or                 $ucvalue = 'MIDN' or                 $ucvalue = 'MISS' or                 $ucvalue = 'MON' or                 $ucvalue = 'MOST REV' or                 $ucvalue = 'MR' or                 $ucvalue = 'MRS' or                 $ucvalue = 'MS' or                 $ucvalue = 'PASTOR' or                 $ucvalue = 'PATRIARCH' or                 $ucvalue = 'PLT OFF' or                 $ucvalue = 'PO' or                 $ucvalue = 'PRIOR' or                 $ucvalue = 'PROF' or                 $ucvalue = 'PTE' or                 $ucvalue = 'RABBI' or                 $ucvalue = 'RADM' or                 $ucvalue = 'RECTOR' or                 $ucvalue = 'REV' or                 $ucvalue = 'RF' or                 $ucvalue = 'RT HON' or                 $ucvalue = 'RT REV' or                 $ucvalue = 'RT REV BISHOP' or                 $ucvalue = 'RT REV MON' or                 $ucvalue = 'SBLT' or                 $ucvalue = 'SEN' or                 $ucvalue = 'SGT' or                 $ucvalue = 'SIR' or                 $ucvalue = 'SMN' or                 $ucvalue = 'SNR CONST' or                 $ucvalue = 'SQN LDR' or                 $ucvalue = 'SR' or                 $ucvalue = 'SSGT' or                 $ucvalue = 'SUPR' or                 $ucvalue = 'SWAMI' or                 $ucvalue = 'TF' or                 $ucvalue = 'VADM' or                 $ucvalue = 'VERY REV' or                 $ucvalue = 'VICAR' or                 $ucvalue = 'VISCOUNT' or                 $ucvalue = 'WG CDR' or                 $ucvalue = 'WO' or                 $ucvalue = 'WO1' or                 $ucvalue = 'WO2'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000459</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000460</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M45"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'ACT' or                 $ucvalue = 'NSW' or                 $ucvalue = 'NT' or                 $ucvalue = 'QLD' or                 $ucvalue = 'SA' or                 $ucvalue = 'TAS' or                 $ucvalue = 'VIC' or                 $ucvalue = 'WA'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M45"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'AD' or                 $ucvalue = 'AE' or                 $ucvalue = 'AF' or                 $ucvalue = 'AG' or                 $ucvalue = 'AI' or                 $ucvalue = 'AL' or                 $ucvalue = 'AM' or                 $ucvalue = 'AN' or                 $ucvalue = 'AO' or                 $ucvalue = 'AQ' or                 $ucvalue = 'AR' or                 $ucvalue = 'AS' or                 $ucvalue = 'AT' or                 $ucvalue = 'AU' or                 $ucvalue = 'AW' or                 $ucvalue = 'AX' or                 $ucvalue = 'AZ' or                 $ucvalue = 'BA' or                 $ucvalue = 'BB' or                 $ucvalue = 'BD' or                 $ucvalue = 'BE' or                 $ucvalue = 'BF' or                 $ucvalue = 'BG' or                 $ucvalue = 'BH' or                 $ucvalue = 'BI' or                 $ucvalue = 'BJ' or                 $ucvalue = 'BL' or                 $ucvalue = 'BM' or                 $ucvalue = 'BN' or                 $ucvalue = 'BO' or                 $ucvalue = 'BR' or                 $ucvalue = 'BS' or                 $ucvalue = 'BT' or                 $ucvalue = 'BV' or                 $ucvalue = 'BW' or                 $ucvalue = 'BY' or                 $ucvalue = 'BZ' or                 $ucvalue = 'CA' or                 $ucvalue = 'CC' or                 $ucvalue = 'CD' or                 $ucvalue = 'CF' or                 $ucvalue = 'CG' or                 $ucvalue = 'CH' or                 $ucvalue = 'CI' or                 $ucvalue = 'CK' or                 $ucvalue = 'CL' or                 $ucvalue = 'CM' or                 $ucvalue = 'CN' or                 $ucvalue = 'CO' or                 $ucvalue = 'CR' or                 $ucvalue = 'CU' or                 $ucvalue = 'CV' or                 $ucvalue = 'CX' or                 $ucvalue = 'CY' or                 $ucvalue = 'CZ' or                 $ucvalue = 'DE' or                 $ucvalue = 'DJ' or                 $ucvalue = 'DK' or                 $ucvalue = 'DM' or                 $ucvalue = 'DO' or                 $ucvalue = 'DZ' or                 $ucvalue = 'EC' or                 $ucvalue = 'EE' or                 $ucvalue = 'EG' or                 $ucvalue = 'EH' or                 $ucvalue = 'ER' or                 $ucvalue = 'ES' or                 $ucvalue = 'ET' or                 $ucvalue = 'FI' or                 $ucvalue = 'FJ' or                 $ucvalue = 'FK' or                 $ucvalue = 'FM' or                 $ucvalue = 'FO' or                 $ucvalue = 'FR' or                 $ucvalue = 'GA' or                 $ucvalue = 'GB' or                 $ucvalue = 'GD' or                 $ucvalue = 'GE' or                 $ucvalue = 'GF' or                 $ucvalue = 'GG' or                 $ucvalue = 'GH' or                 $ucvalue = 'GI' or                 $ucvalue = 'GL' or                 $ucvalue = 'GM' or                 $ucvalue = 'GN' or                 $ucvalue = 'GP' or                 $ucvalue = 'GQ' or                 $ucvalue = 'GR' or                 $ucvalue = 'GS' or                 $ucvalue = 'GT' or                 $ucvalue = 'GU' or                 $ucvalue = 'GW' or                 $ucvalue = 'GY' or                 $ucvalue = 'HK' or                 $ucvalue = 'HM' or                 $ucvalue = 'HN' or                 $ucvalue = 'HR' or                 $ucvalue = 'HT' or                 $ucvalue = 'HU' or                 $ucvalue = 'ID' or                 $ucvalue = 'IE' or                 $ucvalue = 'IL' or                 $ucvalue = 'IM' or                 $ucvalue = 'IN' or                 $ucvalue = 'IO' or                 $ucvalue = 'IQ' or                 $ucvalue = 'IR' or                 $ucvalue = 'IS' or                 $ucvalue = 'IT' or                 $ucvalue = 'JE' or                 $ucvalue = 'JM' or                 $ucvalue = 'JO' or                 $ucvalue = 'JP' or                 $ucvalue = 'KE' or                 $ucvalue = 'KG' or                 $ucvalue = 'KH' or                 $ucvalue = 'KI' or                 $ucvalue = 'KM' or                 $ucvalue = 'KN' or                 $ucvalue = 'KP' or                 $ucvalue = 'KR' or                 $ucvalue = 'KW' or                 $ucvalue = 'KY' or                 $ucvalue = 'KZ' or                 $ucvalue = 'LA' or                 $ucvalue = 'LB' or                 $ucvalue = 'LC' or                 $ucvalue = 'LI' or                 $ucvalue = 'LK' or                 $ucvalue = 'LR' or                 $ucvalue = 'LS' or                 $ucvalue = 'LT' or                 $ucvalue = 'LU' or                 $ucvalue = 'LV' or                 $ucvalue = 'LY' or                 $ucvalue = 'MA' or                 $ucvalue = 'MC' or                 $ucvalue = 'MD' or                 $ucvalue = 'ME' or                 $ucvalue = 'MF' or                 $ucvalue = 'MG' or                 $ucvalue = 'MH' or                 $ucvalue = 'MK' or                 $ucvalue = 'ML' or                 $ucvalue = 'MM' or                 $ucvalue = 'MN' or                 $ucvalue = 'MO' or                 $ucvalue = 'MP' or                 $ucvalue = 'MQ' or                 $ucvalue = 'MR' or                 $ucvalue = 'MS' or                 $ucvalue = 'MT' or                 $ucvalue = 'MU' or                 $ucvalue = 'MV' or                 $ucvalue = 'MW' or                 $ucvalue = 'MX' or                 $ucvalue = 'MY' or                 $ucvalue = 'MZ' or                 $ucvalue = 'NA' or                 $ucvalue = 'NC' or                 $ucvalue = 'NE' or                 $ucvalue = 'NF' or                 $ucvalue = 'NG' or                 $ucvalue = 'NI' or                 $ucvalue = 'NL' or                 $ucvalue = 'NO' or                 $ucvalue = 'NP' or                 $ucvalue = 'NR' or                 $ucvalue = 'NU' or                 $ucvalue = 'NZ' or                 $ucvalue = 'OM' or                 $ucvalue = 'PA' or                 $ucvalue = 'PE' or                 $ucvalue = 'PF' or                 $ucvalue = 'PG' or                 $ucvalue = 'PH' or                 $ucvalue = 'PK' or                 $ucvalue = 'PL' or                 $ucvalue = 'PM' or                 $ucvalue = 'PN' or                 $ucvalue = 'PR' or                 $ucvalue = 'PS' or                 $ucvalue = 'PT' or                 $ucvalue = 'PW' or                 $ucvalue = 'PY' or                 $ucvalue = 'QA' or                 $ucvalue = 'RE' or                 $ucvalue = 'RO' or                 $ucvalue = 'RS' or                 $ucvalue = 'RU' or                 $ucvalue = 'RW' or                 $ucvalue = 'SA' or                 $ucvalue = 'SB' or                 $ucvalue = 'SC' or                 $ucvalue = 'SD' or                 $ucvalue = 'SE' or                 $ucvalue = 'SG' or                 $ucvalue = 'SH' or                 $ucvalue = 'SI' or                 $ucvalue = 'SJ' or                 $ucvalue = 'SK' or                 $ucvalue = 'SL' or                 $ucvalue = 'SM' or                 $ucvalue = 'SN' or                 $ucvalue = 'SO' or                 $ucvalue = 'SR' or                 $ucvalue = 'ST' or                 $ucvalue = 'SV' or                 $ucvalue = 'SY' or                 $ucvalue = 'SZ' or                 $ucvalue = 'TC' or                 $ucvalue = 'TD' or                 $ucvalue = 'TF' or                 $ucvalue = 'TG' or                 $ucvalue = 'TH' or                 $ucvalue = 'TJ' or                 $ucvalue = 'TK' or                 $ucvalue = 'TL' or                 $ucvalue = 'TM' or                 $ucvalue = 'TN' or                 $ucvalue = 'TO' or                 $ucvalue = 'TR' or                 $ucvalue = 'TT' or                 $ucvalue = 'TV' or                 $ucvalue = 'TW' or                 $ucvalue = 'TZ' or                 $ucvalue = 'UA' or                 $ucvalue = 'UG' or                 $ucvalue = 'UM' or                 $ucvalue = 'US' or                 $ucvalue = 'UY' or                 $ucvalue = 'UZ' or                 $ucvalue = 'VA' or                 $ucvalue = 'VC' or                 $ucvalue = 'VE' or                 $ucvalue = 'VG' or                 $ucvalue = 'VI' or                 $ucvalue = 'VN' or                 $ucvalue = 'VU' or                 $ucvalue = 'WF' or                 $ucvalue = 'WS' or                 $ucvalue = 'YE' or                 $ucvalue = 'YT' or                 $ucvalue = 'ZA' or                 $ucvalue = 'ZM' or                 $ucvalue = 'ZW'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410192</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C' or exslt:uppercase(.) = 'P'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428202</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'MN'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410049</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId                   or string-length(normalize-space(.)) = 0                 or exslt:uppercase(.) = 'TRUEANDCORRECT'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410265</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $Int.ContextId                             and string-length(normalize-space(.)) != 0                            and exslt:uppercase(.)!='TRUEANDCORRECT')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410265</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                        exslt:uppercase(.) = 'CONTROLOUTSIDEAUSTRALIAPARTPERIOD' or                        exslt:uppercase(.) = 'NONRESIDENTPARTPERIOD' or                        exslt:uppercase(.) = 'SUBSTITUTEDACCOUNTINGPERIOD'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410116</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId) or string-length(normalize-space(.)) = 0 or                        exslt:uppercase(.) = 'E' or                       exslt:uppercase(.) = 'R'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.03:Party.Type.Code[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId) or string-length(normalize-space(.)) = 0 or                        . = '051' or                        . = '161' or                        . = '212' or                        . = '217'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410019</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId) or string-length(normalize-space(.)) = 0 or (. &gt;= '2011')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410233</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId) or string-length(normalize-space(.)) = 0 or (. &gt;= '1995')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410236</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN') or string-length(normalize-space(.)) = 0 or function:ValidateABN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430318</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(../../@id = $RP.ContextId) or not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428016</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410031</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or function:ValidateTAN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or function:ValidateACN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410105</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or function:ValidateACN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or function:ValidateABN(.)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="(regexp:test(.,'^(.*)([a-zA-Z\ \-])(.*)$')or string-length(normalize-space(.))=0)             " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430253</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 200" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430252</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template><xsl:template match="text()" priority="-1" mode="M45" /><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template></xsl:stylesheet>