﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:dtyp.02.04="http://sbr.gov.au/fdtn/sbr.02.04.dtyp" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:date="http://exslt.org/dates-and-times" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:iee.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report" xmlns:iee.0002.prv.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.private.02.00.module" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M35" /><xsl:apply-templates select="/" mode="M36" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN CrossFormCrossForm Validations-->


	<!--
      RULE -->
<xsl:template match="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M35">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410135</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410136</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1') and ./pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C'] and ./pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410137</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   //rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] and                   //rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] !=                   //pyin.02.00:Lodgment.PeriodYear.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410051</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.Commencement.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                     $INT.IEE.ContextId                      and                     (count(//iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]) &gt; 0                     or  count(//declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410261</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="//rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M35">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.IEE.ContextId) or exslt:uppercase(.) != 'R'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410197</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="//iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M35">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyde.02.03:Party.Type.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '217' or . = '161' or . = '212')] and                   not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '1' or . = 'true')]) and                   not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410099</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="//iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M35">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] and                     pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] =                      $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410041</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="//iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M35">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (. = '1' or . = 'true')]) and                   not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.IEE.410086</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template><xsl:template match="text()" priority="-1" mode="M35" /><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="@*|*" mode="M35" /></xsl:template>

<!--
        PATTERN CrossFormVariablesXBRL Cross Form Variables.-->
<xsl:variable name="IEE.Context" select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']]" /><xsl:variable name="RP.IEE.Context" select="$IEE.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]" /><xsl:variable name="RP.IEE.ContextId" select="$RP.IEE.Context/@id" /><xsl:variable name="INT.IEE.Context" select="$IEE.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]            ]" /><xsl:variable name="INT.IEE.ContextId" select="$INT.IEE.Context/@id" /><xsl:template match="text()" priority="-1" mode="M36" /><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="@*|*" mode="M36" /></xsl:template></xsl:stylesheet>