﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable accross all of the LOS services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.000199
            
            IF period.startDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF  
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000208
            
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1"></assert>
<!--
            Rule ID: VR.ATO.GEN.000237
            
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF  
         -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" subject="xbrli:context/xbrli:period/xbrli:endDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000240
            
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.410113
            
            IF RP:entity.identifier.TFN = NULLORBLANK 
                 RETURN VALIDATION MESSAGE
            ENDIF  
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.1" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier and
                        count(xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[(Exslt.ExsltStrings:lowercase(@scheme) != 'http://www.ato.gov.au/tfn') or string-length(normalize-space(.)) = 0]) = 0 "></assert>

<!--
            Rule ID: VR.ATO.GEN.428244
            
            IF COUNT(CONTEXT(RP.PASSI)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428244" diagnostics="DVR.ATO.GEN.428244" subject="xbrli:context" test="count(xbrli:context[@id=$RP.PASSI.ContextId]) &lt;= 1"></assert>


<!--
            Rule ID: VR.ATO.LS.414094
            
            IF COUNT(CONTEXT(RP.Y0)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414094" diagnostics="DVR.ATO.LS.414094" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414095
            
            IF COUNT(CONTEXT(RP.Y0-1)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414095" diagnostics="DVR.ATO.LS.414095" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414096
            
            IF COUNT(CONTEXT(RP.Y0-2)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414096" diagnostics="DVR.ATO.LS.414096" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-2.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414097
            
            IF COUNT(CONTEXT(RP.Y0-3)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414097" diagnostics="DVR.ATO.LS.414097" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-3.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414098
            
            IF COUNT(CONTEXT(RP.Y0-4)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414098" diagnostics="DVR.ATO.LS.414098" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-4.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414099
            
            IF COUNT(CONTEXT(RP.Y0-5+)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414099" diagnostics="DVR.ATO.LS.414099" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-5P.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414100
            
            IF COUNT(CONTEXT(RP.ALL)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414100" diagnostics="DVR.ATO.LS.414100" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ALL.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.LS.414101
            
            IF COUNT(CONTEXT(RP.Y0-10SAP2)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.LS.414101" diagnostics="DVR.ATO.LS.414101" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-10SAP2.ContextId]) &lt;= 1"></assert>
</rule>

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.000201

            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.0" subject="xbrli:period/xbrli:startDate" test="
                        not
                        (
                          function:IsDate1GreaterOrEqualToDate2
                          (
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                          )
                        )"></assert>
<!--
            Rule ID: VR.ATO.GEN.001019

            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> ""RprtPyType.xx.xx:ReportingParty"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019.0" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')
                            and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$'))]) = 0"></assert>

    <!--
            Rule ID: VR.ATO.LS.414037
        
            IF RelPrdDrtn.02.01:RelativePeriodDurationAllNegative <> NULLORBLANK AND  
                (RelPrdDrtn.02.:RelativePeriodDurationAllNegative <> “RelPrdDrtn.02.01:All"")
                RETURN VALIDATION MESSAGE
            ENDIF
            conflicts with rule VR.ATO.LS.414093
        
 Removed because is not in 360.
        <iso:assert name="VR.ATO.GEN.414037" id="CMN.ATO.LS.414037"
                    subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember"
                    test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[contains(@dimension,'RelativePeriodDurationAllNegative')
                            and not(regexp:test(., ':All$'))]) = 0"
                    >Explicit member dimension RelativePeriodDurationAllNegative must be set to All - VR.ATO.GEN.414037</iso:assert>
    -->

    <!--
            Rule ID: VR.ATO.LS.414093
            
            IF RelPrdDrtn.02.01.RelativePeriodDurationDimension <> NULLORBLANK AND (
                RelPrdDrtn.02.01:RelativePeriodDurationDimension <> 
                SET(“RelPrdDrtn.02.01:Y0"",“RelPrdDrtn.02.01:Y0Minus1"", “RelPrdDrtn.02.01:Y0Minus2"", 
“RelPrdDrtn.02.01:Y0Minus3"",""RelPrdDrtn.02.01:Y0Minus4"", “RelPrdDrtn.02.01:Y0Minus5Plus"",""RelPrdDrtn.02.01:All"")                                        

                                                                                   
                RETURN VALIDATION MESSAGE                                                                           
            ENDIF
    -->

    <assert  id="VR.ATO.LS.414093" diagnostics="DVR.ATO.LS.414093" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d1:RelativePeriodDurationDimension$')
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0Minus1$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0Minus2$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0Minus3$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0Minus4$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:Y0Minus5Plus$'))
                              and not(regexp:test(., '^RelPrdDrtn\.\d\d\.\d1:All$'))]) = 0"></assert>
    
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.001021
        
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="string-length(normalize-space(
                        xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0"></assert>
<!--
            Rule ID:  VR.ATO.GEN.001023

            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" subject="xbrli:context" test="xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
</rule>
</pattern>
