﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable accross all of the PSI services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.001019
            
            IF RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty"
               RETURN VALIDATION MESSAGE
            ENDIF
         -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                        and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$'))]) = 0"></assert>
</rule>

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.000199
            
            IF period.startDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
        IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
        RETURN VALIDATION MESSAGE
        ENDIF
        
        TODO:  This rule must be finished

        VR.ATO.GEN.000201
        CMN.ATO.GEN.200009
        

            Rule ID:  VR.ATO.GEN.000237
            
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" subject="xbrli:context/xbrli:period/xbrli:endDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID:  VR.ATO.GEN.200007
        
            IF context id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.200007" diagnostics="DVR.ATO.GEN.200007" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.001020
            
            IF enitity.identifier = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020.0" subject="xbrli:identifier" test="string-length(normalize-space(xbrli:identifier)) &gt; 0"></assert>
<!--
            Rule ID:  VR.ATO.GEN.001021
            
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="not(normalize-space(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) != 'http://www.ato.gov.au/tfn']))"></assert>
</rule>
</pattern>