﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF COUNT(CONTEXT(RPI.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280.SMSFAR"
                test="not(count($RPI.CLOSING.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267.SMSFAR"
                test="not(count($RP.JFOREIGN.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.JAus)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266.SMSFAR"
                test="not(count($RP.JAUS.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.Closing.Y0Plus)) > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436306" diagnostics="DVR.ATO.SMSFAR.436306"
                test="count($RP.CLOSING.Y0Plus.Context) &lt;= 1"/>

        <!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209.SMSFAR"
                test="not(
                        count($RP.Context) != 1
                      )"/>

        <!--
            IF COUNT(INT) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227.SMSFAR"
                test="not(
                        count($INT.Context) &gt; 1
                      )"/>

        <!--
            IF COUNT(CONTEXT(RP.TOFA)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302.SMSFAR"
                test="not(
                        count($RP.TOFA.Context) &gt; 1
                      )"/>

        <!--
            IF COUNT(Auditor) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436259" diagnostics="DVR.ATO.SMSFAR.436259"
                test="not(
                        count($AUDITOR.Context) != 1  
                      )"/>

        <!--
            IF COUNT(CONTEXT(RPI.Closing.JAus)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436263" diagnostics="DVR.ATO.SMSFAR.436263"
                test="not(
                        count($RPI.CLOSING.JAUS.Context) &gt; 1  
                      )"/>

        <!--
            IF COUNT(CONTEXT(RPI.Closing.JForeign)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436264" diagnostics="DVR.ATO.SMSFAR.436264"
                test="not(
                        count($RPI.CLOSING.JFOREIGN.ContextId) &gt; 1  
                      )"/>

        <!--
            IF COUNT(CONTEXT(RP.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436265" diagnostics="DVR.ATO.SMSFAR.436265"
                test="not(
                        count($RP.CLOSING.ContextId) &gt; 1  
                      )"/>

        <!--
            IF COUNT(CONTEXT(RPI.Closing.Y0Plus)) > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436267" diagnostics="DVR.ATO.SMSFAR.436267"
                test="not(
                        count($RPI.CLOSING.Y0Plus.ContextId) &gt; 1  
                      )"/>
    </rule>

    <rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023.SMSFAR"
                test="not(
                        xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] != $RP.Identifier.TFN
                      )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--
        IF (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK) 
            AND (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension 
                <> SET(""IntlJurisdiction.02.00:Australian"", ""IntlJurisdiction.02.00:Foreign""))
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.430261" diagnostics="DVR.ATO.GEN.430261.SMSFAR"
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                            and @dimension = 'IntlJurisdiction.02.00:InternationalJurisdictionDimension'
                            and not(regexp:test(., '^IntlJurisdiction.02.00:(Australian|Foreign)$'))]

                )"/>
        <!--
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.SMSFAR"
                test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                      )"/>
        
        <!--
            IF entity.identifier.TFN = NULLORBLANK WHERE CONTEXT <> SET("INT", "Auditor")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436295" diagnostics="DVR.ATO.SMSFAR.436295"
                test="not(
                        @id != $INT.ContextId and 
                        @id != $AUDITOR.ContextId and                         
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                           xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Intermediary") AND 
               (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty") AND 
               (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Auditor ") 
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436255" diagnostics="DVR.ATO.SMSFAR.436255"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$')] 
                        and
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.02.03:(Intermediary|ReportingParty|Auditor)$')])
                      )"/>

        <!--
            IF (RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> NULLORBLANK) AND (RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> “RelPrdDrtn.02.01:Y0Plus”) 
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.SMSFAR.436257" diagnostics="DVR.ATO.SMSFAR.436257"
                test="not(
                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                              and regexp:test(@dimension, '^RelPrdDrtn.02.01:RelativePeriodDurationDimension$')
                              and not(regexp:test(., '^RelPrdDrtn.02.01:Y0Plus$')) ]
                      )"/>

        <!--
            IF (OpenCloseBalance.xx.xx:OpeningAndClosingBalanceDimension <> NULLORBLANK) AND 
                (OpenCloseBalance.xx.xx:OpeningAndClosingBalanceDimension <> “OpenCloseBalance.02.00:Closing”)
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.SMSFAR.436258" diagnostics="DVR.ATO.SMSFAR.436258"
                test="not(
                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                              and regexp:test(@dimension, '^OpenCloseBalance.02.00:OpeningAndClosingBalanceDimension$')
                              and not(regexp:test(., '^OpenCloseBalance.02.00:Closing$')) ]
                      )"/>

        <!--
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000241" diagnostics="DVR.ATO.GEN.000241.RSPT"
                test="not(
                        not(@id) or string-length(normalize-space(@id)) = 0
                      )"/>

        <!--
            IF (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> NULLORBLANK) AND 
               (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> 'FinclArrngmtType.02.00:TOFA')
                 RETURN VALIDATION MESSAGE
                 ENDIF
        -->
        <assert id="VR.ATO.GEN.430301" diagnostics="DVR.ATO.GEN.430301.SMSFAR"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                              and @dimension = 'FinclArrngmtType.02.00:FinancialArrangementTypeDimension'
                              and . != 'FinclArrngmtType.02.00:TOFA']
                      )"/>

        <!-- 
            IF period.startDate = NULLORBLANK
            WHERE CONTEXT <> SET("RPI.Closing", "RPI.Closing.Y0Plus", "RPI.Closing.JAus", "RPI.Closing.JForeign")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436269" diagnostics="DVR.ATO.SMSFAR.436269"
                test="not(
                        not(@id=$RPI.CLOSING.ContextId or @id=$RPI.CLOSING.Y0Plus.ContextId or @id=$RPI.CLOSING.JAUS.ContextId or @id=$RPI.CLOSING.JFOREIGN.ContextId)
                        and
                        not(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"></assert>
        
        <!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT <> SET("RPI.Closing", "RPI.Closing.Y0Plus", "RPI.Closing.JAus", "RPI.Closing.JForeign")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436270" diagnostics="DVR.ATO.SMSFAR.436270"
                test="not(
                        not(@id=$RPI.CLOSING.ContextId or @id=$RPI.CLOSING.Y0Plus.ContextId or @id=$RPI.CLOSING.JAUS.ContextId or @id=$RPI.CLOSING.JFOREIGN.ContextId)
                        and
                        not(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"></assert>
        
        <!--
            IF period.instant = NULLORBLANK WHERE CONTEXT = SET("RPI.Closing", "RPI.Closing.Y0Plus", "RPI.Closing.JAus", "RPI.Closing.JForeign")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436271" diagnostics="DVR.ATO.SMSFAR.436271"
                test="not(
                        (@id=$RPI.CLOSING.ContextId or @id=$RPI.CLOSING.Y0Plus.ContextId or @id=$RPI.CLOSING.JAUS.ContextId or @id=$RPI.CLOSING.JFOREIGN.ContextId)
                        and
                        not(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"></assert>

        <!--
            IF entity.identifier.ABN = NULLORBLANK WHERE CONTEXT = "INT"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430316" diagnostics="DVR.ATO.GEN.430316.SMSFAR"
                test="not(
                        @id = $INT.ContextId and 
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier
                          [not(@i:nil='true' or @i:nil='1') and 
                           exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and 
                           string-length(normalize-space(.)) != 0]) 
                      )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:ReportingParty”) AND 
               (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432265" diagnostics="DVR.ATO.GEN.432265.SMSFAR"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and 
                            @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension' and 
                            . = 'RprtPyType.02.03:ReportingParty']
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and 
                            @scheme != 'http://www.ato.gov.au/tfn']
                      )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:Intermediary”) AND 
               (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432266" diagnostics="DVR.ATO.GEN.432266.SMSFAR"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                            @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension' and
                            . = 'RprtPyType.02.03:Intermediary']
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and
                            @scheme != 'http://www.ato.gov.au/abn']
                      )"/>
        
        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:Auditor”) 
            AND (entity.identifier.scheme <> SET("http://www.sbr.gov.au/ASICAuditorRegistrationNumber", 
            "http://www.sbr.gov.au/CPAAMembershipNumber", 
            "http://www.sbr.gov.au/ICAAMemberNumber", 
            "http://www.sbr.gov.au/IPAMemberNumber", 
            "http://www.sbr.gov.au/ATMAMembershipNumber", 
            "http://www.sbr.gov.au/NTAAMemberNumber", 
            "http://www.sbr.gov.au/SPAAMemberNumber", 
            "http://www.sbr.gov.au/IAAMemberIDNumber",
            "http://www.asic.gov.au/san"))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            
        -->
        <assert id="VR.ATO.SMSFAR.436268" diagnostics="DVR.ATO.SMSFAR.436268"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                            @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension' and
                            . = 'RprtPyType.02.03:Auditor']
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and
                            not(regexp:test(@scheme, '^http://www.sbr.gov.au/(ASICAuditorRegistrationNumber|CPAAMembershipNumber|ICAAMemberNumber|IPAMemberNumber|ATMAMembershipNumber|NTAAMemberNumber|SPAAMemberNumber|IAAMemberIDNumber)|http://www.asic.gov.au/san$'))]
                      )"/>
        

        <!--
            IF Auditor:entity.identifier.membershipnumber = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436254" diagnostics="DVR.ATO.SMSFAR.436254"
                test="not(
                        @id = $AUDITOR.ContextId and
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier
                        [not(@i:nil='true' or @i:nil='1') and
                        string-length(normalize-space(.)) != 0])
                      )"/>               
        
    </rule>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.SMSFAR"
                test="not(
                            (../../@id = $RP.ContextId)
                            and
                            (exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')
                            and
                            string-length(normalize-space(.)) != 0 
                            and
                            not(function:ValidateTFN(.))
                          )"/>

        <!-- 
            IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM(RP:entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.SMSFAR"
                test="not(
                        ../../@id = $INT.ContextId
                        and
                        exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateABN(.))                          
                      )"/>

        <!--
            IF Auditor:entity.identifier.san <> NULLORBLANK AND SAN ALGORITHM(Auditor:entity.identifier.san) = FALSE
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436337" diagnostics="DVR.ATO.SMSFAR.436337"
                test="not(
                        ../../@id = $AUDITOR.ContextId
                        and
                        exslt:uppercase(@scheme) = 'HTTP://WWW.ASIC.GOV.AU/SAN' 
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateACN(.))                          
                      )"/>



    </rule>
</pattern>
