﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_0002/smsfar.0002.lodge.request.02.00.report.xsd']]">
        <!--
            IF [SMSFAR42] > 0 AND  AND (COUNT(SCHEDULE = "NIPSS") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436051" diagnostics="DVR.ATO.SMSFAR.436051"
                test="not(
                        round(100*sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                        &gt; 0
                        and
                        count($NIPSS.Context) = 0
                     )"/>

        <!--
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS9]))) <> [SMSFAR42]
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436052" diagnostics="DVR.ATO.SMSFAR.436052"
                test="not(
                          count($NIPSS.Context) = 1
                          and
                          round(100 * sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                            [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(100 * sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                            [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"/>

        <!--            
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND [SMSFAR42] > 0 AND (([SMSFAR80] + 1) < (SUM(ALL OCCURRENCES OF([NIPSS28])))) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
            [NIPSS28]  = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                         WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
                         IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) 
                         IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->

       
        <assert id="VR.ATO.SMSFAR.436053" diagnostics="DVR.ATO.SMSFAR.436053"
                test="not(
                        count($NIPSS.Context) = 1
                        and 
                        round(100*sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                        &gt; 0
                        and
                        (
                          round(100*(1 + sum(common:node-set(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
                            [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))                          
                          &lt;
                          round(100*sum(common:node-set
                          (
                            $NIPSS.Context
                              /nipss.0001.lodge.req.02.00:Payer
                              /nipss.0001.lodge.req.02.00:PAYGWithholding
                              /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                              [
                                    @contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                                and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code
                                       [@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                                        and exslt:uppercase(.) = 'DNOABN']
                              ]))
                          )
                        )
                      )"/>



        <!-- 
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS3]))) > ([SMSFAR79] + 1)  
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                        WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) 
                        IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->

    
        <assert id="VR.ATO.SMSFAR.436118" diagnostics="DVR.ATO.SMSFAR.436118"
                test="not(
                        count($NIPSS.Context) = 1
                        and
                        round(100*sum(common:node-set(
                          $NIPSS.Context
                            /nipss.0001.lodge.req.02.00:Payer
                            /nipss.0001.lodge.req.02.00:PAYGWithholding
                            /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                            [ @contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                              and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code
                                     [@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')
                                      and exslt:uppercase(.) = 'DFRW']
                            ])))
                        &gt;
                        round(100*(1 + sum(common:node-set(
                          rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                            [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                      )"/>



        <!--
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND (SUM(ALL OCCURRENCES OF([NIPSS4])) > [SMSFAR53])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount            
        -->
        <assert id="VR.ATO.SMSFAR.436072" diagnostics="DVR.ATO.SMSFAR.436072"
                test="not(
                        count($NIPSS.Context) = 1
                        and 
                        round(100*(sum(common:node-set(
                          $NIPSS.Context
                            /nipss.0001.lodge.req.02.00:Payer
                            /lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                              [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                        &gt;
                        round(100*(sum(common:node-set(
                          bafpr1.02.04:Income.Other.Amount
                            [@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                      )"/>

        <!-- 
            IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier 
            IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)        
        -->
        <let name="RP.SMSFAR.TFN"
             value="$RP.SMSFAR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier
                     [not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />
        <assert id="VR.ATO.SMSFAR.436010" diagnostics="DVR.ATO.SMSFAR.436010"
                test="not(
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]
                          /pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.SMSFAR.TFN]) &gt; 0
                      )"/>

        <!--
            IF [SMSFAR164] = NULL and COUNT(SCHEDULE = "IEE") > 0
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR164] = SMSFAR:RP:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.SMSFAR.436196" diagnostics="DVR.ATO.SMSFAR.436196"
                test="not(
                        not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
                              [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.SMSFAR.ContextId])
                        and count($IEE.Context) &gt; 0
                      )"/>

        <!--
            IF ([SMSFAR165] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR165] = SMSFAR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436197" diagnostics="DVR.ATO.SMSFAR.436197"
                test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
                              [@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='R')]
                        and count($IEE.Context) = 0
                      )"/>

        <!--
            IF (SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
               (COUNT(SCHEDULE = "IEE") > 0) AND 
               (ANY OCCURRENCE OF ([IEE116] = "R") AND 
               ([IEE82] <> SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82]  = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
        <assert id="VR.ATO.SMSFAR.436252" diagnostics="DVR.ATO.SMSFAR.436252"
                test="not(
                        count(pyin.02.00:Report.TargetFinancial.Year
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and count($IEE.Context) &gt; 0
                        and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
                          [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='R')]) &gt; 0
                        and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] 
                          != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>

        <!--                      
            IF [SMSFAR32] = TRUE AND 
               (COUNT(SCHEDULE = "CGTS") = 1) AND 
               (
                 [CGTS86] = NULL AND 
                 [CGTS85] = NULL AND 
                 [CGTS87] = NULL AND 
                 [CGTS83] = NULL AND 
                 [CGTS82] = NULL AND 
                 [CGTS84] = NULL AND 
                 [CGTS81] = NULL
               )
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR32] = SMSFAR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86]   = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85]   = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87]   = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83]   = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82]   = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84]   = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81]   = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount            
        -->
        <assert id="VR.ATO.SMSFAR.436033" diagnostics="DVR.ATO.SMSFAR.436033"
                test="not(
                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')]
                        and
                        count($CGT.Context) = 1
                        and
                        (
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          count($CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
                            [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND 
                [SMSFAR32] <> TRUE  AND 
                (
                  [CGTS86] <> NULL OR 
                  [CGTS85] <> NULL OR 
                  [CGTS87] <> NULL OR 
                  [CGTS83] <> NULL OR 
                  [CGTS82] <> NULL OR 
                  [CGTS84] <> NULL OR 
                  [CGTS81] <> NULL
                )
                  RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR32] = SMSFAR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86]   = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85]   = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87]   = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83]   = CGTS:RP.AA.MI: rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82]   = CGTS:RP.AA.MD: rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84]   = CGTS:RP.AA.MO: rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81]   = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436034" diagnostics="DVR.ATO.SMSFAR.436034"
                test="not(
                        count($CGT.Context) = 1
                        and 
                        not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                              [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')])
                        and
                        (
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
                            [@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or
                          $CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
                            [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                      )"/>

        <!--
            IF [SMSFAR32] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR32] = SMSFAR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator        
        -->
        <assert id="VR.ATO.SMSFAR.436035" diagnostics="DVR.ATO.SMSFAR.436035"
                test="not(
                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')]
                        and 
                        count($CGT.Context) = 0
                      )"/>

        <!--
            IF [SMSFAR33] > 10000 AND  (COUNT(SCHEDULE = "CGTS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436038" diagnostics="DVR.ATO.SMSFAR.436038"
                test="not(    
                        sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                          &gt; 10000
                        and (count($CGT.Context) = 0)                
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND [SMSFAR33] <> ([CGTS59] + [CGTS60] + [CGTS61]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
            [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount       
        -->
        <assert id="VR.ATO.SMSFAR.436039" diagnostics="DVR.ATO.SMSFAR.436039"
                test="not(
                        count($CGT.Context) = 1
                        and
                        (
                          round(100*sum(common:node-set(
                            bafpr1.02.00:Income.CapitalGainsNet.Amount
                              [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          != 
                          round(100*sum(common:node-set(
                             $CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount
                               [@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount
                               [@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount
                               [@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS62] + [CGTS63]) <> [SMSFAR86]  
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
            [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436130" diagnostics="DVR.ATO.SMSFAR.436130"
                test="not(
                        count($CGT.Context) = 1
                        and
                        round(100*sum(common:node-set(
                           $CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
                             [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |$CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount
                             [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(100*sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                          [@contextRef=$RPI.CLOSING.Y0Plus.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>
               
        <!--NKEY5678
        
            IF (COUNT(SCHEDULE = "CAS") = 1) AND ([CAS13] + [CAS14]) > [SMSFAR63]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS13] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount
            [CAS14] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount
            [SMSFAR63] = SMSFAR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436089" diagnostics="DVR.ATO.SMSFAR.436089"
                test="not(
                        count($CAS.Context) = 1
                        and 
                        (
                          (
                            round(100*sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount
                              [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                            +
                            round(100*sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount
                              [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                            &gt;
                            round(100*sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount
                              [@contextRef=$RP.SMSFAR.ContextId and not (@i:nil='true' or @i:nil='1')]))
                          )
                        )
                      )"/>

        <!--        
            IF ([SMSFAR63] > 100000) AND (COUNT(SCHEDULE = "CAS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR63] = SMSFAR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436090" diagnostics="DVR.ATO.SMSFAR.436090"
                test="not(
                        round(100*sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 100*100000
                        and
                        count($CAS.Context) = 0
                      )"/>

        <!--        
            IF (COUNT(SCHEDULE = "CAS") = 1)  AND 
               (
                 [CAS39] > 0 OR [CAS40] > 0
               ) AND 
               [SMSFAR228] = NULL AND 
               [SMSFAR230] = NULL AND 
               [SMSFAR233] = NULL
                 RETURN VALIDATION MESSAGE
            ENDIF

            [CAS39]     = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
            [CAS40]     = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
            [SMSFAR228] = SMSFAR:RP.TOFA:Income.GainsTotal.Amount
            [SMSFAR230] = SMSFAR:RP.TOFA:Expense.LossesTotal.Amount
            [SMSFAR233] = SMSFAR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436250" diagnostics="DVR.ATO.SMSFAR.436250"
                test="not(
                        count($CAS.Context) = 1
                        and
                        (
                          number($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount
                            [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])
                              &gt; 0
                          or
                          number($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount
                            [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])
                              &gt; 0
                        )
                        and not(bafpr1.02.04:Income.GainsTotal.Amount
                          [@contextRef=$RP.TOFA.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Expense.LossesTotal.Amount
                          [@contextRef=$RP.TOFA.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
                          [@contextRef=$RP.TOFA.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF ([SMSFAR85] + [SMSFAR86]) > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436127" diagnostics="DVR.ATO.SMSFAR.436127"
                test="not(
                        count($LOS.Context) = 0 
                        and
                        round(100*sum(common:node-set(
                          rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                            [@contextRef=$RP.CLOSING.Y0Plus.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]
                          | 
                          rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                            [@contextRef = $RPI.CLOSING.Y0Plus.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt; 
                        100000 * 100
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [SMSFAR85]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436129" diagnostics="DVR.ATO.SMSFAR.436129"
                test="not(
                        count($LOS.Context) = 1
                        and
                        round(100*sum(common:node-set(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                          [@contextRef=$RP.CLOSING.Y0Plus.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(100*sum(common:node-set($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
                          [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [SMSFAR86]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount        
        -->
        <assert id="VR.ATO.SMSFAR.436132" diagnostics="DVR.ATO.SMSFAR.436132"
                test="not(
                        count($LOS.Context) = 1
                        and
                        round(100*sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                          [@contextRef=$RPI.CLOSING.Y0Plus.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(100*sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                          [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--
            IF [SMSFAR163] = SET("R","V") AND (COUNT(SCHEDULE = "FTER") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR163] = SMSFAR:RP:Elections.FamilyTrustElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436194" diagnostics="DVR.ATO.SMSFAR.436194"
                test="not(
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                          [@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and
                           regexp:test(.,'^(R|V)$')]
                        and
                        count($FTER.Context) = 0                        
                      )"/>
    </rule>
</pattern>
