﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to CGTS.</title>

    <!-- CGTS Variables -->
    <let name="CGT.Context"
           value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0002/cgts.0002.lodge.request.02.01.report.xsd']]" />



    <let name="RP.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />

    <let name="RP.CGT.ContextId" value="$RP.CGT.Context/@id" />

    <!--RP.AA.CGT Context-->
    <let name="RP.AA.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
          ]" />

    <let name="RP.AA.CGT.ContextId" value="$RP.AA.CGT.Context/@id" />

    <!--RP.ANA.CGT Context-->
    <let name="RP.ANA.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
       ]" />

    <let name="RP.ANA.CGT.ContextId" value="$RP.ANA.CGT.Context/@id" />

    <!--RP.MI.CGT Context-->
    <let name="RP.MI.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1]
        ]" />

    <let name="RP.MI.CGT.ContextId" value="$RP.MI.CGT.Context/@id" />

    <!--RP.MD.CGT Context-->
    <let name="RP.MD.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1]
       ]" />

    <let name="RP.MD.CGT.ContextId" value="$RP.MD.CGT.Context/@id" />

    <!--RP.MO.CGT Context-->
    <let name="RP.MO.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1]
     ]" />

    <let name="RP.MO.CGT.ContextId" value="$RP.MO.CGT.Context/@id" />

    <!--RP.AA.MD.CGT Context-->
    <let name="RP.AA.MD.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
     ]" />

    <let name="RP.AA.MD.CGT.ContextId" value="$RP.AA.MD.CGT.Context/@id" />

    <!--RP.AA.MI.CGT Context-->
    <let name="RP.AA.MI.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
     ]" />

    <let name="RP.AA.MI.CGT.ContextId" value="$RP.AA.MI.CGT.Context/@id" />

    <!--RP.AA.MO.CGT Context-->
    <let name="RP.AA.MO.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
    ]" />

    <let name="RP.AA.MO.CGT.ContextId" value="$RP.AA.MO.CGT.Context/@id" />

    <!--RP.ANA.MI.CGT Context-->
    <let name="RP.ANA.MI.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
    ]" />

    <let name="RP.ANA.MI.CGT.ContextId" value="$RP.ANA.MI.CGT.Context/@id" />

    <!--RP.ANA.MD.CGT Context-->
    <let name="RP.ANA.MD.CGT.Context" value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
     ]" />

    <let name="RP.ANA.MD.CGT.ContextId" value="$RP.ANA.MD.CGT.Context/@id" />

    <!--RP.ANA.MO.CGT Context-->
    <let name="RP.ANA.MO.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
     ]" />

    <let name="RP.ANA.MO.CGT.ContextId" value="$RP.ANA.MO.CGT.Context/@id" />

    <!--RP.MI.TR.CGT Context-->
    <let name="RP.MI.TR.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
     ]" />

    <let name="RP.MI.TR.CGT.ContextId" value="$RP.MI.TR.CGT.Context/@id" />

    <!--RP.MD.TR.CGT Context-->
    <let name="RP.MD.TR.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
     ]" />

    <let name="RP.MD.TR.CGT.ContextId" value="$RP.MD.TR.CGT.Context/@id" />

    <!--RP.MO.TR.CGT Context-->
    <let name="RP.MO.TR.CGT.Context"
         value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
     ]" />

    <let name="RP.MO.TR.CGT.ContextId" value="$RP.MO.TR.CGT.Context/@id" />

    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0002/cgts.0002.lodge.request.02.01.report.xsd']]">
        <!-- *** NOTE: Only add CrossForm rules from the CGTS AP360 here that are applicable to FITR. *** -->
        <!--
            IF RP:period.startDate <> PARENT RETURN:RP:period.startDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.001027" diagnostics="DVR.ATO.GEN.001027.0"
                 test="not(                                                
                            $RP.CGT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                            !=
                            $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                
                       )"/>

        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.001028" diagnostics="DVR.ATO.GEN.001028.0"
                 test="not(                    
                             $RP.CGT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                             !=
                             $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                       )"/>
        
        <!--           
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.SMSFAR"
                 test="not(
                            $RP.CGT.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.SMSFAR.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                       )"/>

        <!--                
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010.0"
                 test="not(
                            (
                                $SMSFAR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $SMSFAR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                       )"/>

        <!--
            IF PARENT RETURN = SET(""FITR"",""TRT"",""SMSFAR"") AND [CGTS62] > 0 AND ([CGTS15] > 0 OR [CGTS16] > 0 OR [CGTS17] > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
            [CGTS15] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS16] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS17] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
        -->
        <assert id="VR.ATO.CGTS.402011" diagnostics="DVR.ATO.CGTS.402011.0"
                test="not(
                        sum(common:node-set(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef = $RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                      )"/>

        <!--
            IF PARENT RETURN <> SET("CTR","TRT") AND
            ([CGTS70] <> NULL OR [CGTS71] <> NULL OR [CGTS72] <> NULLORBLANK OR [CGTS73] <> NULL OR [CGTS74] <> NULL OR [CGTS75] <> NULL OR [CGTS76] <> NULL OR [CGTS77] <> NULL OR [CGTS78] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS71] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS72] = CGTS:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS73] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS74] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS75] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS76] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS77] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount
            IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
        -->
        <assert id="VR.ATO.CGTS.402050" diagnostics="DVR.ATO.CGTS.402050.0"
                test="not(
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        cgts.0002.lodge.req.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>

        <!--
          IF PARENT RETURN <> "CTR" AND [CGTS79] <> NULL
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CGTS79] = CGTS:RP:lrla.xx.xx:EmployerConditions.EmployeeShareScheme.Indicator
        -->
        <assert id="VR.ATO.CGTS.402056" diagnostics="DVR.ATO.CGTS.402056.0"
                test="not(
                        lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--           
            IF PARENT RETURN <> ""CTR"" AND ([CGTS36] <> NULL OR [CGTS37] <> NULL OR [CGTS38] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF            
            [CGTS36] = CGTS:RP.MI.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS37] = CGTS:RP.MD.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
            [CGTS38] = CGTS:RP.MO.TR:rvctc3.xx.xx:Capital.Losses.Applied.Amount
        -->
        <assert id="VR.ATO.CGTS.402016" diagnostics="DVR.ATO.CGTS.402016"
                test="not(rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MI.TR.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MD.TR.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or rvctc3.02.02:Capital.Losses.Applied.Amount[@contextRef = $RP.MO.TR.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <!--                   
              IF PARENT RETURN = SET(""FITR"",""TRT"",""SMSFAR"") AND [CGTS63] > 0 AND ([CGTS39] + [CGTS42] + [CGTS40] + [CGTS43] + [CGTS41] + [CGTS44]) > 0
                RETURN VALIDATION MESSAGE
              ENDIF
              
              [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
              [CGTS39] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
              [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
              [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
              [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
              [CGTS41] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
              [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->
        <assert id="VR.ATO.CGTS.402019" diagnostics="DVR.ATO.CGTS.402019"
                test="not(sum(common:node-set(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                      and
                      sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef = $RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0)"/>
        <!--
                      
            IF ((PARENT RETURN = "CTR" AND [CTR49] = "63100") OR PARENT RETURN = SET("FITR","TRT","SMSFAR"))
            AND [CGTS48] > ((([CGTS43] - [CGTS46])*0.5) + 1) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CGTS48] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            
            Note: This rule is executed as part of a FITR request so there is no logic required for the PARENT RETURN parts.
            Note: Amounts have no decimal places but we since we multiply by 0.5, we are adding a (x10) operation to address the xpath floating point tolerance issue.
        -->
        <assert id="VR.ATO.CGTS.402031" diagnostics="DVR.ATO.CGTS.402031"
                test="not
                    (
                     round(10* number(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      &gt; round(10*(                        
                               (
                                  ( sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                      - 
                                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.AA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  )  * 0.5 
                               ) + 1 
                             ) 
                             )
                     )"/>

        <!--
           IF PARENT RETURN = SET("FITR","SMSFAR") AND
            ([CGTS50] <> NULL OR [CGTS51] <> NULL OR [CGTS52] <> NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS50] = CGTS:RP.MI:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS51] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS52] = CGTS:RP.MO:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            
            Note: This rule is executed as part of a SMSFAR request so there is no logic required for the PARENT RETURN parts.
        -->
        <assert id="VR.ATO.CGTS.402040" diagnostics="DVR.ATO.CGTS.402040"
                test="not
                    (
                       gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                       or
                       gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                       or
                       gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                     )"/>
        <!--  
          IF PARENT RETURN = SET("FITR","TRT","SMSFAR") AND
          [CGTS63] > 0 AND ([CGTS59] + [CGTS60] + [CGTS61]) > 0 
             RETURN VALIDATION MESSAGE
          ENDIF
          
          [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
          [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
          [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
          [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
          
          Note: This rule is executed as part of a SMSFAR request so there is no logic required for the PARENT RETURN part.
        -->
        <assert id="VR.ATO.CGTS.402041" diagnostics="DVR.ATO.CGTS.402041"
                test="not
                   (
                      number(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                      and
                      sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      ))
                      &gt; 0
                   )
                  "/>
        <!--
          IF PARENT RETURN <> "CTR" AND [CGTS80] <> NULL 
             RETURN VALIDATION MESSAGE
          ENDIF          
          [CGTS80] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator
          Note: This rule is executed as part of a CGTS request so there is no logic required for the PARENT RETURN part.
        -->
        <assert id="VR.ATO.CGTS.402058" diagnostics="DVR.ATO.CGTS.402058"
                test="not
                   (
                     rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                   )
                  "/>



    </rule>

    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0002/cgts.0002.lodge.request.02.01.report.xsd']]/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL 
                AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text IN TUPLE 
                (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
                (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
                WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045.SMSFAR"
                test="not(                    
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and 
                           exslt:uppercase( pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            !=
                            exslt:uppercase( $SMSFAR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.SMSFAR.ContextId
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C'])
                      )"/>
    </rule>
</pattern>
