﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validation Variables</title>
    
    <!-- SMSFAR Context -->
    <let name="SMSFAR.Context"
         value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_0002/smsfar.0002.lodge.request.02.00.report.xsd']]"/>
                                                                

    <!-- RP Context -->
    <let name="RP.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]"/>

    <!-- RP Context Id -->
    <let name="RP.SMSFAR.ContextId" value="$RP.SMSFAR.Context/@id"/>

    <!-- INT Context -->
    <let name="INT.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]"/>

    <!-- INT Context Id -->
    <let name="INT.SMSFAR.ContextId" value="$INT.SMSFAR.Context/@id"/>

    <!-- RP.CLOSING.Y0Plus.SMSFAR Context -->
    <let name="RP.CLOSING.Y0Plus.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]" />

    <!-- RP.CLOSING.Y0Plus.SMSFAR Context Id -->
    <let name="RP.CLOSING.Y0Plus.SMSFAR.ContextId" value="$RP.CLOSING.Y0Plus.SMSFAR.Context/@id" />

    <!-- RPI.CLOSING.Y0Plus.SMSFAR Context -->
    <let name="RPI.CLOSING.Y0Plus.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
            ]" />

    <!-- RPI.CLOSING.Y0Plus.SMSFAR Context Id -->
    <let name="RPI.CLOSING.Y0Plus.SMSFAR.ContextId" value="$RPI.CLOSING.Y0Plus.SMSFAR.Context/@id" />
    
    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]"/>

    <!-- RP.TOFA Context Id -->
    <let name="RP.TOFA.SMSFAR.ContextId" value="$RP.TOFA.SMSFAR.Context/@id"/>

    <!-- RP.Closing Context -->
    <let name="RP.CLOSING.SMSFAR.Context" value="$SMSFAR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]"/>

    <!-- RP.Closing Context Id -->
    <let name="RP.CLOSING.SMSFAR.ContextId" value="$RP.CLOSING.SMSFAR.Context/@id"/>


   

</pattern>