﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>

    <rule context="xbrli:xbrl">
        <!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
             test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')],'^(|1|2|3|4|5|6|7|8|9)$'))
                   )"/>
        <!--
            IF pyin.xx.xx:Report.AmendmentType.Code <> NULL AND pyin.xx.xx:Report.AmendmentType.Code <> SET("3", "4")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010031" diagnostics="DVR.ATO.GEN.010031"
                test="not(
                        pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')]
                        and not (regexp:test(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')],'^(3|4)$'))
                      )"/>
        <!--
            IF [SMSFAR41] <> NULL AND [SMSFAR41] <> SET(0-999)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR41] = SMSFAR:RP:InternationalDealings.ForeignFundTransfers.Count
        -->
        <assert id="VR.ATO.SMSFAR.436050" diagnostics="DVR.ATO.SMSFAR.436050"
              test="not(
                        rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                regexp:test(rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^([0-9]|[1-9][0-9]|[0-9][0-9][0-9])$')
                            )
                      )"/>
        <!--
            
            IF [SMSFAR48] <> NULL AND [SMSFAR48] <> SET("D", "F", "H", "S", "T", "I", "M", "U", "P", "Q")
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR48] = SMSFAR:RP:pyde.02.05:Party.TrustType.Code
            
            
        -->
        <assert id="VR.ATO.SMSFAR.436065" diagnostics="DVR.ATO.SMSFAR.436065"
              test="not(
                        pyde.02.05:Party.TrustType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                regexp:test(pyde.02.05:Party.TrustType.Code
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(D|F|H|S|T|I|M|U|P|Q)$')
                            )
                      )"/>
        <!--
            IF [SMSFAR54] <> NULL AND [SMSFAR54] <> SET(""B"", ""C"", ""F"", ""O"", ""R"", ""T"", ""W')
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR54] = SMSFAR:RP:Income.Other.Code
        -->
        <assert id="VR.ATO.SMSFAR.436077" diagnostics="DVR.ATO.SMSFAR.436077"
                test="not(
                        bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                regexp:test(bafpr1.02.05:Income.Other.Code
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(B|C|F|O|R|T|W)$')
                            )
                      )"/>
        <!--
            IF [SMSFAR71] <> NULL AND [SMSFAR71] <> SET(""A"", ""B"", ""C"", ""E"", ""F"", ""I"", ""N"", ""O"", ""R"", ""T"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR71] = SMSFAR:RP:Expense.DeductibleOther.Code
        -->
        <assert id="VR.ATO.SMSFAR.436102" diagnostics="DVR.ATO.SMSFAR.436102"
                test="not(
                        bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                regexp:test(bafpr1.02.04:Expense.DeductibleOther.Code
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(A|B|C|E|F|I|N|O|R|T)$')
                            )
                      )"/>
        <!--
            IF [SMSFAR163] <> NULL AND [SMSFAR163] <> SET(""R"",""V"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR163] = SMSFAR:RP:Elections.FamilyTrustElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436195" diagnostics="DVR.ATO.SMSFAR.436195"
                    test="not(
                            rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(R|V)$')
                                )
                           )"/>
        <!--
            IF ([SMSFAR165] <> NULL) AND ([SMSFAR165] <> ""R"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR165] = SMSFAR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436198" diagnostics="DVR.ATO.SMSFAR.436198"
                    test="not(
                            rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(R)$')
                                )
                           )"/>

    </rule>

    <rule context="smsfar.0002.lodge.req.02.00:MemberInformation">
        <!--
                IF [SMSFAR222] <> NULL AND [SMSFAR222] <> SET(""C"",""L"",""P"",""T"")
                RETURN VALIDATION MESSAGE
                ENDIF
                [SMSFAR222] = SMSFAR:RP:SuperannuationBenefit.Payments.Code IN TUPLE(smsfar.0002.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436238" diagnostics="DVR.ATO.SMSFAR.436238"
                     test="not(
                            emsup.02.01:SuperannuationBenefit.Payments.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(emsup.02.01:SuperannuationBenefit.Payments.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(C|L|P|T)$')
                                )
                           )"/>
    </rule>
    
    <rule context="smsfar.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation">
        <!--
            IF [SMSFAR159] <> NULL AND [SMSFAR159] <> SET(""PR"",""AN"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR159] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(smsfar.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
        -->
        <assert id="VR.ATO.SMSFAR.436189" diagnostics="DVR.ATO.SMSFAR.436189"
                     test="not(
                            gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(PR|AN)$')
                                )
                           )"/>

        <!--
            IF (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number <> NULL) 
                    AND (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number <> SET(1-999999))
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.430192" diagnostics="DVR.ATO.GEN.430192"
                test="not(
                        gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(number(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;= number(1)
                             and number(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt;= number(999999))
                      )"/>
        
    </rule>

    <rule context="email1.02.00:ElectronicContactElectronicMail">
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->
        <assert id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222"
                test="not(
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(@)(.*)$') 
                         or 
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(.*)(?i)(@)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(@)(.*)(@)(.*)$') 
                      )"/>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224"
                test="not(
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(\.)(.*)$') 
                         or 
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(.*)(?i)(\.)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->
        <assert id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226"
                test="not(
                           regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                            [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\.\.)(.*)$') 
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\.@)(.*)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228"
                test="not(
                        regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                    [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(@\.)(.*)$') 
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\x28|\x29|\x3C|\x3E|\x2C|\x3B|\x3A|x5C|\x22|\x5D|x5B)(.*)$') 
                      )"/>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
                test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(?i)(.*)(@)(.*)$'))]
                      )"/>
        <!--
        IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
                test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                [not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(.*)(\x20)(.*)$')]
                      )"/>
    </rule>

    <rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206"
                test=". &gt;='1' and . &lt;='999'"/>
    </rule>

</pattern>