﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCAS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable across TRT</title>

    <!-- RP.CAS Context Variables -->
    <let name="CAS.Context"
         value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cas/cas_0001/cas.0001.lodge.request.02.00.report.xsd']]" />

    <let name="RP.CAS.Context"
         value="$CAS.Context/xbrli:context[
           not(@i:nil='true' or @i:nil='1') 
           and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
           and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
           and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
           xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
           xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
    <let name="RP.CAS.ContextId"
         value="$RP.CAS.Context/@id" />

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cas/cas_0001/cas.0001.lodge.request.02.00.report.xsd']]">

        <!-- *** NOTE: Only add CrossForm rules from the CAS AP360 here that are applicable to TRT *** -->

        <!--
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.TRT"
                test="not(
                          xbrli:context[@id=$RP.CAS.ContextId]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                          !=
                          $RP.TRT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                      )" />

        <!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010.TRT"
                test="not(                    
                        (
                            $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            and
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                        and
                        (
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                     )"/>

    </rule>
    
</pattern>