﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT106] <> NULL AND [TRT106] <> SET(""S"", ""P"", ""J"", ""I"", ""Q"")
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT106] = TRT:RP.JAus:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code
        -->
        <assert id="VR.ATO.TRT.432151" diagnostics="DVR.ATO.TRT.432151"
                test="not(
                       rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')],'^(S|P|J|I|Q)$'))
                   )"/>

        <!--            
            IF [TRT245] <> NULL AND [TRT245] <> SET("01", "02")
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT245] = TRT:RP:pyde.xx.xx:Residency.TaxPurposesOrganisationStatus.Code
        -->
        <assert id="VR.ATO.TRT.432336" diagnostics="DVR.ATO.TRT.432336"
                test="not(
                       pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(01|02)$'))
                   )"/>

        <!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
                test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')],'^(1|2|3|4|5|6|7|8|9)$'))
                   )"/>


        <!--
            IF [TRT29] <> NULLORBLANK AND [TRT29] <> SET("R","V")
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT29] = TRT:RP:Elections.FamilyTrustElectionRevocation.Code
        -->
        <assert id="VR.ATO.TRT.432413" diagnostics="DVR.ATO.TRT.432413"
             test="not(
                       rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[
                       not(@i:nil='true' or @i:nil='1') 
                       and @contextRef = $RP.ContextId 
                       and not(regexp:test(exslt:uppercase(.),'^(R|V)$'))
                       ]
                   )"/>

      <!--
            IF [TRT186] > 0 AND [TRT187] <> SET("D", "X") 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT186] = TRT:RPI.Closing:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
            [TRT187] = TRT:RP:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
        -->
      <assert id="VR.ATO.TRT.432265" diagnostics="DVR.ATO.TRT.432265"
              test="not(
                            sum(common:node-set(
                                    rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount[@contextRef = $RPI.Closing.ContextId and 
                                    not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and
                            not(rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code[@contextRef = $RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(D|X)$')])
                          )"/>



    </rule>

    <rule context="pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
           IF [TRT32] <> NULL AND [TRT32] <> SET("039", "059", "071", "072", "077", "089", "090", "112", "179", "184", "203")
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
        -->
        <assert id="VR.ATO.TRT.432023" diagnostics="DVR.ATO.TRT.432023"
                test=" not( @contextRef = $RP.ContextId 
                          and not(regexp:test(.,'^(039|059|071|072|077|089|090|112|179|184|203)$'))
                        )" />
    </rule>



    <rule context="trt.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number <> NULL) 
                    AND (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number <> SET(1-999999))
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.430192" diagnostics="DVR.ATO.GEN.430192.TRT"
                test="not(
                        gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')]
                        and not(number(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')]) &gt;= number(1)
                             and number(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')]) &lt;= number(999999))
                      )"/>
    </rule>

        <rule context="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code [not(@i:nil='true' or @i:nil='1')]">
            <!--
            IF [TRT42] <> NULL AND [TRT42] <> SET(DOMAIN(ANZSIC Codes))
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT42] = TRT:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
        -->

          <assert id="VR.ATO.TRT.432040" diagnostics="DVR.ATO.TRT.432040"
                    test="not(
                                @contextRef = $RP.ContextId
                                and not(regexp:test(.,'^(01110|01120|01130|01140|01150|01210|01220|01230|01310|01320|01330|01340|01350|01360|01370|01390|01410|01420|01430|01440|01450|01460|01490|01510|01520|01590|01600|01710|01720|01800|01910|01920|01930|01990|02011|02019|02020|02031|02039|03010|03020|04111|04112|04120|04130|04140|04191|04192|04199|04200|05100|05210|05220|05290|06000|07000|08010|08020|08030|08040|08050|08060|08070|08090|09110|09190|09901|09902|09903|09909|10111|10112|10121|10122|10900|11110|11120|11130|11200|11310|11320|11330|11400|11500|11610|11620|11710|11720|11730|11740|11810|11820|11910|11920|11990|12110|12120|12130|12140|12200|13110|13120|13130|13200|13310|13320|13330|13340|13400|13510|13520|14110|14120|14130|14910|14920|14930|14940|14990|15100|15210|15220|15230|15240|15290|16110|16120|16200|17010|17090|18110|18120|18130|18210|18290|18310|18320|18410|18420|18510|18520|18910|18920|18990|19110|19120|19130|19140|19150|19160|19190|19200|20100|20210|20290|20310|20320|20330|20340|20900|21100|21210|21220|21310|21320|21330|21390|21410|21420|21490|22100|22210|22220|22230|22240|22290|22310|22390|22400|22910|22920|22930|22990|23110|23120|23130|23190|23910|23920|23930|23940|23990|24110|24120|24190|24211|24219|24220|24290|24310|24320|24390|24410|24490|24510|24520|24610|24620|24630|24690|24910|24990|25110|25120|25130|25190|25910|25920|25990|26110|26120|26190|26200|26300|26400|27000|28110|28120|29110|29190|29210|29220|30110|30190|30200|31010|31091|31099|32110|32120|32210|32220|32230|32240|32310|32320|32330|32340|32390|32410|32420|32430|32440|32450|32910|32920|32990|33110|33120|33190|33210|33221|33229|33230|33310|33320|33390|34110|34190|34910|34920|34930|34940|34990|35010|35020|35030|35040|35050|36010|36020|36030|36040|36050|36061|36062|36090|37110|37120|37200|37310|37320|37330|37340|37350|37360|37390|38000|39110|39120|39130|39211|39219|39220|40000|41100|41211|41212|41213|41220|41230|41290|42110|42120|42130|42140|42210|42220|42290|42310|42320|42410|42420|42430|42441|42442|42450|42510|42520|42530|42590|42600|42711|42712|42720|42731|42732|42733|42740|42791|42792|42793|42794|42799|43101|43102|43109|43201|43202|43209|44000|45110|45120|45130|45200|45301|45302|46100|46210|46220|46231|46239|47100|47200|48100|48200|49001|49009|50100|50210|50290|51010|51020|52110|52120|52190|52200|52910|52920|52991|52999|53010|53090|54110|54120|54130|54140|54190|54200|55110|55120|55130|55140|55210|55220|56100|56210|56220|57000|58010|58020|58090|59100|59210|59220|60100|60200|62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200|66110|66190|66200|66310|66320|66390|66400|67110|67120|67200|69100|69210|69220|69230|69240|69250|69310|69320|69400|69500|69610|69621|69622|69629|69700|69910|69990|70000|72110|72120|72200|72910|72920|72930|72940|72990|73110|73120|73130|73200|75100|75200|75300|75400|75510|75520|76000|77110|77120|77130|77140|77190|77200|80100|80210|80220|80230|80240|81011|81019|81020|82110|82120|82191|82199|82200|84010|84020|85110|85121|85122|85123|85124|85125|85129|85201|85202|85203|85209|85310|85320|85330|85340|85391|85399|85910|85990|86011|86012|86090|87100|87900|89100|89210|89220|90010|90021|90029|90030|91110|91121|91122|91123|91124|91125|91126|91129|91131|91139|91140|91210|91291|91292|91299|91310|91390|92010|92020|92091|92092|92099|94110|94121|94129|94191|94192|94193|94199|94210|94220|94290|94910|94990|95110|95120|95200|95310|95320|95330|95340|95391|95392|95393|95399|95400|95510|95520|95591|95599|96010|96020|96030|98000|99010|99020|99030|99040|99050|99060|99070)$'))
                                )"/>

        </rule>

        <rule context="trt.0002.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[not(@i:nil='true' or @i:nil='1')]">
            <!--
            Rule ID: VR.ATO.TRT.432008
            IF [TRT230] <> NULL AND [TRT230] <> SET("15", "16", "17", "36", "37")
              RETURN VALIDATION MESSAGE
            ENDIF
          [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0002.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432008" diagnostics="DVR.ATO.TRT.432008"
                test="not(
                            @contextRef = $RP.ContextId
                            and not (regexp:test(.,'^(15|16|17|36|37)$'))
                          )" />
    </rule>

    <rule context="trt.0002.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.TRT.432418
            IF [TRT214] <> NULL AND [TRT214] <> SET("11", "12", "13", "14", "25", "26", "27", "28", "29", "30", "34", "35", "45", "111", "118", "119", "120", "125", "126", "127", "128", "129", "138", "139", "140", "145")
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT214] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
         -->

        <assert  id="VR.ATO.TRT.432418" diagnostics="DVR.ATO.TRT.432418"
                     test="not(
                                @contextRef = $RP.ContextId 
                                and not (regexp:test(.,'^(11|12|13|14|25|26|27|28|29|30|34|35|45|111|118|119|120|125|126|127|128|129|138|139|140|145)$'))
                                )" />
    </rule>

    

    <rule context="trt.0002.lodge.req.02.00:StatementOfDistributionToBeneficiary [not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier [not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.TRT.432288
            IF [TRT212] <> NULL AND [TRT212] <> SET(1-49) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT212] = TRT:RP:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )

         -->

        <assert  id="VR.ATO.TRT.432288" diagnostics="DVR.ATO.TRT.432288"
                     test="not(
                                @contextRef = $RP.ContextId 
                                and not (regexp:test(.,'^(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49)$'))
                                )" />
    </rule>

  
  <rule context="pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]">
          <!--
            IF (pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND (pyin.xx.xx:Report.TargetFinancial.Year <> 2012)
            RETURN VALIDATION MESSAGE
            ENDIF
          -->
        <assert  id="VR.ATO.TRT.432608" diagnostics="DVR.ATO.TRT.432608"
                     test="not( number(.)!= 2012 )" />
  </rule>





</pattern>