﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:date="http://exslt.org/dates-and-times" xmlns:math="http://exslt.org/math" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:rvctc3.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:fter.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/fter/fter.0001.lodge.request.02.00.report"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M43" /><xsl:apply-templates select="/" mode="M46" /><xsl:apply-templates select="/" mode="M48" /><xsl:apply-templates select="/" mode="M49" /><xsl:apply-templates select="/" mode="M50" /><xsl:apply-templates select="/" mode="M51" /><xsl:apply-templates select="/" mode="M52" /><xsl:apply-templates select="/" mode="M53" /><xsl:apply-templates select="/" mode="M55" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                               count($INT.ContextId) &gt; 0                             and                             not(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')])                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430249</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                             count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 120                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408151</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/fter.0001.lodge.req.02.00:InterposedEntity</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^V$')]                           and                           (                             ( not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                               and                               not(rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                             or count(fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')])=0                           )                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408030</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^V$')]                 and                     (                     pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                     or                     count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt;0                     )                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408031</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]                 and                 not(rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 and                 not(rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408032</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.Revocation.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                 and                  not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                 and                 count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                      and child::pyin.02.05:Period.Type.Code[exslt:uppercase(.) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']]) =  0                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408051</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                 and                 (                 pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 or                 count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                         and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                 )                               )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408052</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(E|e)$')]                  and                 (                 not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 or                 not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 or                 count(fter.0001.lodge.req.02.00:SpecifiedIndividual) != 1                 or                  count(fter.0001.lodge.req.02.00:Trustee) = 0                  )                               )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408053</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                     (                     pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                                          or                      count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(pyin.02.05:Period.Type.Code) ='SUBSTITUTEDACCOUNTINGPERIOD']) &gt; 0                                          or                     count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt; 0                                         or                     rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     count(fter.0001.lodge.req.02.00:SpecifiedIndividual) &gt; 0                     )                     and                     (                     rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                     pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                     or                     pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                      count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 0                     )                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408054</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                      pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')  and regexp:test(.,'^(true|1)$')]                      and                     count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                                                   )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408055</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="FTER40_year_start" select="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code                             [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and regexp:test(.,'^(?i)(E|V)(.*)$')]                         and rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]                         and not(period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                 [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                 @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                         and period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                     [function:IsDate1GreaterThanDate2($FTER40_year_start, .)                                      and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                      and exslt:uppercase(../pyin.02.05:Period.Type.Code                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408063</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                 and                 pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408101</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]                 and                 not(rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 and                 not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408102</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         number (rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]) &lt; 1998                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408113</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          exslt:uppercase(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code                                 [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])='R'                         and                          number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])&lt; 1995                                                )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408115</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          exslt:uppercase(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code                                 [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])='R'                         and rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]                                 &gt;                          rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408116</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                             count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(pyin.02.05:Period.Type.Code) ='SUBSTITUTEDACCOUNTINGPERIOD']) &gt; 1                             )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408091</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(E|V)$')]                 and                 (                     rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                      rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                      rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                      pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                     or                     pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     or                      (count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 0))                                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408027</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           number(pyin.02.00:Lodgment.PeriodYear.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt;2011                           )                     " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408161</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Lodgment.PeriodYear.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt;10                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408064</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/fter.0001.lodge.req.02.00:Trustee/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(fter.0001.lodge.req.02.00:DeclarationOfTrustee                               [                                 not(@i:nil='true' or @i:nil='1') and                                  declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]                                   /pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]                               ])                         &gt; 10                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408154</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INT.Context) = 0                         and                         rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId and                            exslt:uppercase(.) = 'E']                         and                          count(fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')])                         !=                         count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408155</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                 rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]                 and                 not (pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0])                  and                 not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408114</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')                             and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']                             ]) &gt;12                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408056</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         (                             fter.0001.lodge.req.02.00:Trustee                                 /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                     [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']                             and                             function:IsDate1GreaterThanDate2(rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                                                              fter.0001.lodge.req.02.00:Trustee                                                                 /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                                                     [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                                                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])                         )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408085</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="FTER40Minus1" select="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         not(period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                             [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(../pyin.02.05:Period.Type.Code[                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                         and                         not(rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                         and                         fter.0001.lodge.req.02.00:Trustee                                 /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                     [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']                         and                         function:IsDate1GreaterThanDate2($FTER40Minus1,                                                           fter.0001.lodge.req.02.00:Trustee                                                             /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                                                 [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                                                     and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                                                         @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])                                                                                                )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408086</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="FTER40MinusOne" select="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                                 rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         not(period1.02.01:PeriodDetails                             /pyin.02.00:Period.Start.Date                                 [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                     @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                         and                         function:IsDate1GreaterThanDate2($FTER40MinusOne,                                                           rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408088</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                                 fter.0001.lodge.req.02.00:SpecifiedIndividual                             /pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                         and                         function:IsDate1GreaterThanDate2(fter.0001.lodge.req.02.00:SpecifiedIndividual                                                             /pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],                                                           rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408097</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/fter.0001.lodge.req.02.00:SpecifiedIndividual/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(true|1)$')                             and                             (                                not (pyde.02.00:Residency.NonResidentFullPeriod.Indicator                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                                or                                regexp:test(pyde.02.00:Residency.NonResidentFullPeriod.Indicator                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(false|0)$')                             )                             and                             count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')])=0                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408078</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.NonResidentFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 4                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408080</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                             [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(../pyin.02.05:Period.Type.Code[                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']                              and                             period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                             [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                             and exslt:uppercase(../pyin.02.05:Period.Type.Code[                             @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']                             and                             function:IsDate1GreaterThanDate2(                                     ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                          and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                          @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'],                                     period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                         @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408084</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         (not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                           or pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(false|0)$')]                         ) and not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408066</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])&gt;0                          and count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])&gt;0                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408071</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                          and                          pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408065</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          (count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])=0                          and count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])=0)                          or                          count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')])=0                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')])!=1                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408005</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/                          pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')                                                                and not(regexp:test(.,'^(?i)(POS)(.*)$'))]                          or                           ../pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')                                                                       and not(regexp:test(.,'^(?i)(C)(.*)$'))]                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408075</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                       (                          pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                          and                          count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 0                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408079</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.NonResidentFullPeriod.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                             and                             (                                 pyde.02.00:Residency.NonResidentFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]                                 or                                 count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 0                                                     )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408077</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0 ]                             and pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0 ]                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408122</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]                         and not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408072</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not( pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='LGL'])                         or not(pyde.02.05:PersonNameDetails.Usage.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='CONTACT'])                         or not(pyde.02.00:PersonNameDetails.Currency.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.432435</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN'])                         or not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not((@contextRef = $INT.ContextId or @contextRef = $RP.ContextId) and exslt:uppercase(.)!='DECLARATIONSIGNATORY')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.436279</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef=$RP.ContextId                          and                          exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD'                         and ../../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                                          and exslt:uppercase(../pyin.02.05:Period.Type.Code[                                                          @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']                         and                         function:IsDate1GreaterThanDate2(../../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date                                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                                          and exslt:uppercase(../pyin.02.05:Period.Type.Code                                                             [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'],.)                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408061</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             pyin.02.00:Period.Start.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             ../rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             exslt:uppercase(pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD'                             and                             function:IsDate1GreaterThanDate2(../rvctc3.02.00:Elections.Commencement.Date[not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408062</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                           (                            pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                            and pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]='SubstitutedAccountingPeriod'                            and ../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           )                            and function:IsDate1GreaterThanDate2(pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408096</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Period.Start.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0 and not(function:ValidateTFN(.))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410031</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                     (                     ../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                      )                     or                     (                     not(../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                     and ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                          and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']                    and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                                           )                                                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408098</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1')]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408099</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             count(                                     prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')='LGL'                                     and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'                                     and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C']                                                                      ) != 1                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408089</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                         and not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                    )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408107</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                         and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408100</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                            (                             pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                           and ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']                            )                            and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408095</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="ElectionStatusYear" select="number(../rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                            (                                 ../rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                               and  pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                               and   not(../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                       and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])                               and not(../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                )                            and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],concat($ElectionStatusYear,'-07-01') )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408090</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonDemographicDetails.Birth.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]) != 1                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408150</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'RES'                         or                         exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408108</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                             pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                             and pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) !=0]                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408122</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                         and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408118</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                         and                         not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408119</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) ='MN'])                         or                         not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(C)$')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408120</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId                           and exslt:uppercase(.) != 'MN']                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" not(                                             not(exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'POS')                             or not(exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408123</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[ not(@i:nil='true' or @i:nil='1')]) != 0                          and ( pyde.02.00:ElectronicContact.Telephone.Usage.Code[ not(@i:nil='true' or @i:nil='1')] ='03')                          and ( pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[ not(@i:nil='true' or @i:nil='1') and (regexp:test(.,'^(01|02)$'))])                          " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.432016</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text                          [@contextRef=$RP.ContextId                           and string-length(normalize-space(.)) != 0                           and not(@i:nil='true' or @i:nil='1')                            and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL']                            and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']])                         and                          not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text                          [@contextRef=$RP.ContextId                           and string-length(normalize-space(.)) != 0                           and not(@i:nil='true' or @i:nil='1')                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']])                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408130</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text                              [@contextRef=$RP.ContextId                               and string-length(normalize-space(.)) != 0                               and not(@i:nil='true' or @i:nil='1')                                and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']                                and ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']]                         and                         prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text                              [@contextRef=$RP.ContextId                               and string-length(normalize-space(.)) != 0                               and not(@i:nil='true' or @i:nil='1')                                and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL']                                and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408135</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                        prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text                              [@contextRef=$RP.ContextId                               and string-length(normalize-space(.)) != 0                               and not(@i:nil='true' or @i:nil='1')                  and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL']                                and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']                               ]                         and                         not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text                              [@contextRef=$RP.ContextId                               and string-length(normalize-space(.)) != 0                               and not(@i:nil='true' or @i:nil='1')                               and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL']                                and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']                               ])                                                )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408158</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'])                         or not(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY'])                         or not(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408131</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']                  and                   pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408137</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='POS']" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])                         or not(pyin.02.00:Declaration.SignatoryIdentifier.Text [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         or not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])                       )                                  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408166</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.ContextId and  not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(.)!='TRUEANDCORRECT']                                            )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430250</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template><xsl:template match="text()" priority="-1" mode="M43" /><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

<!--
        PATTERN FieldPatternsField Pattern Validations-->


	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0 and not(function:ValidateACN(.))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0 and not(function:ValidateABN(.))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             string-length(normalize-space(.)) != 0 and not(function:ValidateACN(.))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410105</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template><xsl:template match="text()" priority="-1" mode="M46" /><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the FTER services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]" /><xsl:variable name="INT.ContextId" select="$INT.Context/@id" /><xsl:template match="text()" priority="-1" mode="M48" /><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="@*|*" mode="M48" /></xsl:template>

<!--
        PATTERN PersonPerson Common Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             (                                 count(prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 0                                 and                                 count(../prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) &gt; 0                              )                             or                              prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId  and exslt:uppercase(.)  != 'CONTACT']                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.432391</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410183</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410216</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.PersonNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410217</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                   pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] and                   not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410218</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                           regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                           regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                           regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*) - (.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                   regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M49"><xsl:variable name="ucName" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                     $ucName = 'ESQ' or                     $ucName = 'II' or                      $ucName = 'III' or                      $ucName = 'IV' or                      $ucName = 'JNR' or                      $ucName = 'JP' or                      $ucName = 'MHA' or                      $ucName = 'MHR' or                      $ucName = 'MLA' or                      $ucName = 'MLC' or                      $ucName = 'MP' or                     $ucName = 'QC' or                     $ucName = 'SNR'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000458</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M49"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                   $ucvalue = '2LT' or                   $ucvalue = 'AB' or                   $ucvalue = 'ABBOT' or                   $ucvalue = 'AC' or                   $ucvalue = 'ACM' or                   $ucvalue = 'ADM' or                   $ucvalue = 'AIR CDRE' or                   $ucvalue = 'ALDERMAN' or                   $ucvalue = 'AM' or                   $ucvalue = 'ARCHBISHOP' or                   $ucvalue = 'ARCHDEACON' or                   $ucvalue = 'ASSOC PROF' or                   $ucvalue = 'AVM' or                   $ucvalue = 'BARON' or                   $ucvalue = 'BARONESS' or                    $ucvalue = 'BISHOP' or                   $ucvalue = 'BR' or                   $ucvalue = 'BRIG' or                   $ucvalue = 'CANON' or                   $ucvalue = 'CAPT' or                   $ucvalue = 'CARDINAL' or                   $ucvalue = 'CDRE' or                   $ucvalue = 'CDT' or                   $ucvalue = 'CHAP' or                   $ucvalue = 'CMDR' or                   $ucvalue = 'CMM' or                   $ucvalue = 'COL' or                   $ucvalue = 'CONST' or                   $ucvalue = 'COUNT' or                   $ucvalue = 'COUNTESS' or                   $ucvalue = 'CPL' or                   $ucvalue = 'CPO' or                   $ucvalue = 'DAME' or                   $ucvalue = 'DEACON' or                   $ucvalue = 'DEACONESS' or                   $ucvalue = 'DEPUTY SUPT' or                   $ucvalue = 'DR' or                   $ucvalue = 'DEAN' or                   $ucvalue = 'DUCHESS' or                   $ucvalue = 'DUKE' or                   $ucvalue = 'EARL' or                   $ucvalue = 'EF' or                   $ucvalue = 'FLGOFF' or                   $ucvalue = 'FLT LT' or                   $ucvalue = 'FR' or                   $ucvalue = 'FSGT' or                   $ucvalue = 'GEN' or                   $ucvalue = 'GNR' or                   $ucvalue = 'GP CAPT' or                   $ucvalue = 'HON' or                   $ucvalue = 'HON JUDGE' or                   $ucvalue = 'HON JUST' or                   $ucvalue = 'HRH' or                   $ucvalue = 'INSP' or                   $ucvalue = 'JUDGE' or                   $ucvalue = 'JUST' or                   $ucvalue = 'LAC' or                   $ucvalue = 'LACW' or                   $ucvalue = 'LADY' or                   $ucvalue = 'LBDR' or                   $ucvalue = 'LCPL' or                   $ucvalue = 'LORD' or                   $ucvalue = 'LS' or                   $ucvalue = 'LT' or                   $ucvalue = 'LT CMDR' or                   $ucvalue = 'LT COL' or                   $ucvalue = 'LT GEN' or                   $ucvalue = 'MADAM' or                   $ucvalue = 'MAJ' or                   $ucvalue = 'MAJ GEN' or                   $ucvalue = 'MASTER' or                   $ucvalue = 'MATRON' or                   $ucvalue = 'MAYOR' or                   $ucvalue = 'MAYORESS' or                   $ucvalue = 'MIDN' or                   $ucvalue = 'MISS' or                   $ucvalue = 'MON' or                   $ucvalue = 'MOST REV' or                   $ucvalue = 'MR' or                   $ucvalue = 'MRS' or                   $ucvalue = 'MS' or                   $ucvalue = 'PASTOR' or                   $ucvalue = 'PATRIARCH' or                   $ucvalue = 'PLT OFF' or                   $ucvalue = 'PO' or                   $ucvalue = 'PRIOR' or                   $ucvalue = 'PROF' or                   $ucvalue = 'PTE' or                   $ucvalue = 'RABBI' or                   $ucvalue = 'RADM' or                   $ucvalue = 'RECTOR' or                   $ucvalue = 'REV' or                   $ucvalue = 'RF' or                   $ucvalue = 'RT HON' or                   $ucvalue = 'RT REV' or                   $ucvalue = 'RT REV BISHOP' or                   $ucvalue = 'RT REV MON' or                   $ucvalue = 'SBLT' or                   $ucvalue = 'SEN' or                   $ucvalue = 'SGT' or                   $ucvalue = 'SIR' or                   $ucvalue = 'SMN' or                   $ucvalue = 'SNR CONST' or                   $ucvalue = 'SQN LDR' or                   $ucvalue = 'SR' or                   $ucvalue = 'SSGT' or                   $ucvalue = 'SUPR' or                   $ucvalue = 'SWAMI' or                   $ucvalue = 'TF' or                   $ucvalue = 'VADM' or                   $ucvalue = 'VERY REV' or                   $ucvalue = 'VICAR' or                   $ucvalue = 'VISCOUNT' or                   $ucvalue = 'WG CDR' or                   $ucvalue = 'WO' or                   $ucvalue = 'WO1' or                   $ucvalue = 'WO2'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000459</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text [not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*) - (.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                   regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                   regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text [not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*) - (.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000446</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                   regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or                   regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or                   regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000448</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                   regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or                   regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or                   regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                   regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or                   regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or                   regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M49">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0])                         or                          not(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000243</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(.*)\s-\s(.*)$')]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.408010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template><xsl:template match="text()" priority="-1" mode="M49" /><xsl:template match="@*|node()" priority="-2" mode="M49"><xsl:apply-templates select="@*|*" mode="M49" /></xsl:template>

<!--
        PATTERN OrganisationOrganisation Common Validations-->


	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M50">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)( T\/A| T\/A P\x27ship| T\/A Pship| T\/A P\/Ship| T\/A Partnership)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         regexp:test(.,'^(?i)(T\/A )(.*)$') and regexp:test(.,'^(.*)(?i)( Pship| P\x27ship| P\/ship)$')                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$'))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          regexp:test(.,'^(.*)\ - (.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          regexp:test(.,'^(.*)(?i)P\/L(.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M50">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                             and                             not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(C|P)$')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430850</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410215</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(               regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or               regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or               regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or               regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$')               )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.Currency.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410140</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template><xsl:template match="text()" priority="-1" mode="M50" /><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="@*|*" mode="M50" /></xsl:template>

<!--
        PATTERN AddressAddress Common Validations-->


	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M51"><xsl:variable name="ucName" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                                     $ucName = 'ACT' or                      $ucName = 'NSW' or                      $ucName = 'NT' or                      $ucName = 'QLD' or                      $ucName = 'SA' or                      $ucName = 'VIC' or                      $ucName = 'WA' or                      $ucName = 'TAS' or                     $ucName = 'AAT'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.300003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(exslt:uppercase(.), 'C/-')]                         and                         not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                     " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410167</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                         and                         not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410191</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                         and                         (                              not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                           or not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         )                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.434147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')                           and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410148</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))='AU']                          and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410211</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                and pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))!='AU']                         and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410212</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410213</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.CountryName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')                      and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410214</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')] and                          regexp:test(pyde.02.00:AddressDetails.LocalityName.Text,'^(.*)[0-9](.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430245</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M51"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'AD' or                 $ucvalue = 'AE' or                 $ucvalue = 'AF' or                 $ucvalue = 'AG' or                 $ucvalue = 'AI' or                 $ucvalue = 'AL' or                 $ucvalue = 'AM' or                 $ucvalue = 'AN' or                 $ucvalue = 'AO' or                 $ucvalue = 'AQ' or                 $ucvalue = 'AR' or                 $ucvalue = 'AS' or                 $ucvalue = 'AT' or                 $ucvalue = 'AU' or                 $ucvalue = 'AW' or                 $ucvalue = 'AX' or                 $ucvalue = 'AZ' or                 $ucvalue = 'BA' or                 $ucvalue = 'BB' or                 $ucvalue = 'BD' or                 $ucvalue = 'BE' or                 $ucvalue = 'BF' or                 $ucvalue = 'BG' or                 $ucvalue = 'BH' or                 $ucvalue = 'BI' or                 $ucvalue = 'BJ' or                 $ucvalue = 'BL' or                 $ucvalue = 'BM' or                 $ucvalue = 'BN' or                 $ucvalue = 'BO' or                 $ucvalue = 'BR' or                 $ucvalue = 'BS' or                 $ucvalue = 'BT' or                 $ucvalue = 'BV' or                 $ucvalue = 'BW' or                 $ucvalue = 'BY' or                 $ucvalue = 'BZ' or                 $ucvalue = 'CA' or                 $ucvalue = 'CC' or                 $ucvalue = 'CD' or                 $ucvalue = 'CF' or                 $ucvalue = 'CG' or                 $ucvalue = 'CH' or                 $ucvalue = 'CI' or                 $ucvalue = 'CK' or                 $ucvalue = 'CL' or                 $ucvalue = 'CM' or                 $ucvalue = 'CN' or                 $ucvalue = 'CO' or                 $ucvalue = 'CR' or                 $ucvalue = 'CU' or                 $ucvalue = 'CV' or                 $ucvalue = 'CX' or                 $ucvalue = 'CY' or                 $ucvalue = 'CZ' or                 $ucvalue = 'DE' or                 $ucvalue = 'DJ' or                 $ucvalue = 'DK' or                 $ucvalue = 'DM' or                 $ucvalue = 'DO' or                 $ucvalue = 'DZ' or                 $ucvalue = 'EC' or                 $ucvalue = 'EE' or                 $ucvalue = 'EG' or                 $ucvalue = 'EH' or                 $ucvalue = 'ER' or                 $ucvalue = 'ES' or                 $ucvalue = 'ET' or                 $ucvalue = 'FI' or                 $ucvalue = 'FJ' or                 $ucvalue = 'FK' or                 $ucvalue = 'FM' or                 $ucvalue = 'FO' or                 $ucvalue = 'FR' or                 $ucvalue = 'GA' or                 $ucvalue = 'GB' or                 $ucvalue = 'GD' or                 $ucvalue = 'GE' or                 $ucvalue = 'GF' or                 $ucvalue = 'GG' or                 $ucvalue = 'GH' or                 $ucvalue = 'GI' or                 $ucvalue = 'GL' or                 $ucvalue = 'GM' or                 $ucvalue = 'GN' or                 $ucvalue = 'GP' or                 $ucvalue = 'GQ' or                 $ucvalue = 'GR' or                 $ucvalue = 'GS' or                 $ucvalue = 'GT' or                 $ucvalue = 'GU' or                 $ucvalue = 'GW' or                 $ucvalue = 'GY' or                 $ucvalue = 'HK' or                 $ucvalue = 'HM' or                 $ucvalue = 'HN' or                 $ucvalue = 'HR' or                 $ucvalue = 'HT' or                 $ucvalue = 'HU' or                 $ucvalue = 'ID' or                 $ucvalue = 'IE' or                 $ucvalue = 'IL' or                 $ucvalue = 'IM' or                 $ucvalue = 'IN' or                 $ucvalue = 'IO' or                 $ucvalue = 'IQ' or                 $ucvalue = 'IR' or                 $ucvalue = 'IS' or                 $ucvalue = 'IT' or                 $ucvalue = 'JE' or                 $ucvalue = 'JM' or                 $ucvalue = 'JO' or                 $ucvalue = 'JP' or                 $ucvalue = 'KE' or                 $ucvalue = 'KG' or                 $ucvalue = 'KH' or                 $ucvalue = 'KI' or                 $ucvalue = 'KM' or                 $ucvalue = 'KN' or                 $ucvalue = 'KP' or                 $ucvalue = 'KR' or                 $ucvalue = 'KW' or                 $ucvalue = 'KY' or                 $ucvalue = 'KZ' or                 $ucvalue = 'LA' or                 $ucvalue = 'LB' or                 $ucvalue = 'LC' or                 $ucvalue = 'LI' or                 $ucvalue = 'LK' or                 $ucvalue = 'LR' or                 $ucvalue = 'LS' or                 $ucvalue = 'LT' or                 $ucvalue = 'LU' or                 $ucvalue = 'LV' or                 $ucvalue = 'LY' or                 $ucvalue = 'MA' or                 $ucvalue = 'MC' or                 $ucvalue = 'MD' or                 $ucvalue = 'ME' or                 $ucvalue = 'MF' or                 $ucvalue = 'MG' or                 $ucvalue = 'MH' or                 $ucvalue = 'MK' or                 $ucvalue = 'ML' or                 $ucvalue = 'MM' or                 $ucvalue = 'MN' or                 $ucvalue = 'MO' or                 $ucvalue = 'MP' or                 $ucvalue = 'MQ' or                 $ucvalue = 'MR' or                 $ucvalue = 'MS' or                 $ucvalue = 'MT' or                 $ucvalue = 'MU' or                 $ucvalue = 'MV' or                 $ucvalue = 'MW' or                 $ucvalue = 'MX' or                 $ucvalue = 'MY' or                 $ucvalue = 'MZ' or                 $ucvalue = 'NA' or                 $ucvalue = 'NC' or                 $ucvalue = 'NE' or                 $ucvalue = 'NF' or                 $ucvalue = 'NG' or                 $ucvalue = 'NI' or                 $ucvalue = 'NL' or                 $ucvalue = 'NO' or                 $ucvalue = 'NP' or                 $ucvalue = 'NR' or                 $ucvalue = 'NU' or                 $ucvalue = 'NZ' or                 $ucvalue = 'OM' or                 $ucvalue = 'PA' or                 $ucvalue = 'PE' or                 $ucvalue = 'PF' or                 $ucvalue = 'PG' or                 $ucvalue = 'PH' or                 $ucvalue = 'PK' or                 $ucvalue = 'PL' or                 $ucvalue = 'PM' or                 $ucvalue = 'PN' or                 $ucvalue = 'PR' or                 $ucvalue = 'PS' or                 $ucvalue = 'PT' or                 $ucvalue = 'PW' or                 $ucvalue = 'PY' or                 $ucvalue = 'QA' or                 $ucvalue = 'RE' or                 $ucvalue = 'RO' or                 $ucvalue = 'RS' or                 $ucvalue = 'RU' or                 $ucvalue = 'RW' or                 $ucvalue = 'SA' or                 $ucvalue = 'SB' or                 $ucvalue = 'SC' or                 $ucvalue = 'SD' or                 $ucvalue = 'SE' or                 $ucvalue = 'SG' or                 $ucvalue = 'SH' or                 $ucvalue = 'SI' or                 $ucvalue = 'SJ' or                 $ucvalue = 'SK' or                 $ucvalue = 'SL' or                 $ucvalue = 'SM' or                 $ucvalue = 'SN' or                 $ucvalue = 'SO' or                 $ucvalue = 'SR' or                 $ucvalue = 'ST' or                 $ucvalue = 'SV' or                 $ucvalue = 'SY' or                 $ucvalue = 'SZ' or                 $ucvalue = 'TC' or                 $ucvalue = 'TD' or                 $ucvalue = 'TF' or                 $ucvalue = 'TG' or                 $ucvalue = 'TH' or                 $ucvalue = 'TJ' or                 $ucvalue = 'TK' or                 $ucvalue = 'TL' or                 $ucvalue = 'TM' or                 $ucvalue = 'TN' or                 $ucvalue = 'TO' or                 $ucvalue = 'TR' or                 $ucvalue = 'TT' or                 $ucvalue = 'TV' or                 $ucvalue = 'TW' or                 $ucvalue = 'TZ' or                 $ucvalue = 'UA' or                 $ucvalue = 'UG' or                 $ucvalue = 'UM' or                 $ucvalue = 'US' or                 $ucvalue = 'UY' or                 $ucvalue = 'UZ' or                 $ucvalue = 'VA' or                 $ucvalue = 'VC' or                 $ucvalue = 'VE' or                 $ucvalue = 'VG' or                 $ucvalue = 'VI' or                 $ucvalue = 'VN' or                 $ucvalue = 'VU' or                 $ucvalue = 'WF' or                 $ucvalue = 'WS' or                 $ucvalue = 'YE' or                 $ucvalue = 'YT' or                 $ucvalue = 'ZA' or                 $ucvalue = 'ZM' or                 $ucvalue = 'ZW'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410192</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or                             regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or                             regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or                             regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(exslt:uppercase(.), 'AS ABOVE'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             string-length(normalize-space(.)) &gt; 38                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410194</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(normalize-space(.)) &gt; 38                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410195</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(?i)(C\/- |C\/O |C\/ |Care Of |CO )(.*)$') or                               regexp:test(.,'^(.*)(?i)( C\/- | C\/O | C\/ | Care Of | CO )(.*)$') or                               regexp:test(.,'^(.*)(?i)( C\/-| C\/O| C\/| Care Of| CO)$') or                               regexp:test(.,'^(?i)(C\/-|C\/O|C\/|Care Of|CO)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template><xsl:template match="text()" priority="-1" mode="M51" /><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="@*|*" mode="M51" /></xsl:template>

<!--
        PATTERN PeriodPeriod Common Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M52">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.05:Period.Type.Code                                     [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             and not(                                 period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.05:Period.Type.Code                                     [not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(ControlOutsideAustraliaPartPeriod|SubstitutedAccountingPeriod)$')])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.408058</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.05:Period.Type.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M52" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M52">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.408057</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.05:Period.Type.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')])                          or                          not(pyin.02.00:Period.End.Date[not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.408059</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(function:IsDate1GreaterThanDate2(pyin.02.00:Period.End.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],                                                                pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.408060</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M52" /></xsl:template><xsl:template match="text()" priority="-1" mode="M52" /><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="@*|*" mode="M52" /></xsl:template>

<!--
        PATTERN DeclarationDeclaration Common Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M53">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INT.Context) = 0                         and                         1 != count(fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]                                /pyin.02.03:Declaration.StatementType.Code[regexp:test(.,'^TrueAndCorrect$') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408164</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M53" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]" priority="1001" mode="M53">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                     not(pyin.02.00:Declaration.Signature.Date)                     or not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], date:date-time()))                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430255</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M53" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M53">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 200" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430252</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="(regexp:test(.,'^(.*)([a-zA-Z\ \-])(.*)$')or string-length(normalize-space(.))=0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430253</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M53" /></xsl:template><xsl:template match="text()" priority="-1" mode="M53" /><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="@*|*" mode="M53" /></xsl:template>

<!--
        PATTERN StandAloneContentStand Alone Content Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($INT.Context) = 0                         and                         not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408165</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code                         [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(E)$')]                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408025</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and                                exslt:uppercase(.) = 'E']                         and                              number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year                             [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             &lt; 2005                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408087</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(       count(        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')        and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']        and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']        and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]       ) != 1      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408145</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')                               and pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                              and pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']                              and pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]                          ])=1                          " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FTER.408146</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template><xsl:template match="text()" priority="-1" mode="M55" /><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template></xsl:stylesheet>